.\"
.\" Humdrum++ manual page for the beat command
.\"
.\" Author:        Craig Stuart Sapp <craig@ccrma.stanford.edu>
.\" Creation Date: Tue Jul  7 16:41:52 PDT 1998
.\" Last Modified: Tue Jul  7 16:41:56 PDT 1998
.\" Filename:      ...humdrum++/doc/man/beat.man
.\" Syntax:        troff -man
.\" $Smake:        groff -Tps -man %f > %b.ps
.\" $Smake-screen: nroff -man %f | more
.\"
.\"
.TH BEAT HUMDRUM++ "Humdrum++ Commands" "Craig Stuart Sapp" "7 July 1998" 

.SH NAME
beat \- generates metric position/duration of **kern records

.SH SYNOPSIS
.B beat
[\f3\-a\f1] 
[\f3\-b \f2kern-rhythm\f1]
[\f3\-h\f1]
[\f3\-s|\-d\f1] 
[\f2inputfile1 \f1[\f2inputfile2\f1 ...]]
[> \f2outputfile\f1]

.SH DESCRIPTION

\f3beat\f1 generates a beat location for each **kern record in a 
humdrum file.  All other exclusive interpretations in the file are
ignored.  The program can also print the duration of a record by using
the \f2\-d\f1 option, and can print the total number of beats in a measure 
with the \f2\-s\f1 option.


.SS OPTIONS

.TP
.B "\-a"
assembles the input data along with the output analysis spine.

.TP
.B "\-b \f2kern-rhythm\f3"
Sets the rhythmic unit for calculating metrical location.  For
example, the meter 12/8 can be analyzed either by eighth notes, or
by dotted quarter notes.  If there is a tandem interpretation for
meter in the input file, then the base of the meter will be used
by default (for 12/8, eighth notes will be used as the beat).  
the \f2\-b\f1 option allows for overriding the meter interpretation.
The parameter given to the \f2\-b\f1 options is in the syntax of 
a kern rhythm, \f2e.g.\f1, eighth note = 8, quarter note = 4, dotted
quarter note = 4.  If neither a meter interpretation exists nor the \f2\-b\f1
option is given, then the base rhythm will be set to quarter notes.

.TP
.B "\-d"
displays the duration values of the **kern records as a fraction of
the beat instead of giving the metrical position of the record.

.TP
.B "\-h, \-\-help"
Print a usage message and exit with a status code indicating success.

.TP
.B "\-n"
keeps null records when using the \f2\-s\f1 option.

.TP
.B "\-s"
gives the sum (number) of beats contained in each measure instead of
giving the metric position of each record.

.TP
.B "\-z"
assigns the downbeat value to zero rather than the default of one for the
first beat of a measure.

.TP 
.B "\-\-debug"
causes a line number message to print to standard output as each
input humdrum file line is processed by the \f2beat\f1 program.

.TP 
.B "\-\-example"
prints to standard output, some example calls to the \f2beat\f1
program.

.TP 
.B "\-\-options"
displays a database of the available options for the command as
well as any alias and default values.

.TP
.B "\-\-version"
prints version information on standard output then exits.

.SH EXAMPLES

To find the metric position of kern records:
.PP
   \f3beat chor217.krn\f1
.PP
To find the beat count for each measure:
.PP
   \f3beat chor217.krn -s\f1
.PP
To find th duration of each kern record in units of sixteenth notes:
.PP
   \f3beat chor217.krn -d -b 16\f1


.\"SH PORTABILITY



.SH SEE ALSO

\f3composite\f1(humdrum++)


.SH LIMITS

The spine count must remain constant throughout an input file.
Doesn't detect pickup beats yet.



