(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    453438,      13096]*)
(*NotebookOutlinePosition[    454076,      13119]*)
(*  CellTagsIndexPosition[    454032,      13115]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(H[z_, \ a_]\  := \ \((1 - 1/z)\)/\((1 - \ a\ /z)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Abs[H[E^\((I\ w)\), \ a]]\ \)\)], "Input"],

Cell[BoxData[
    \(Abs[\(1 - E\^\(\(-I\)\ w\)\)\/\(1 - a\ E\^\(\(-I\)\ w\)\)]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.99]]], 
      \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
      PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.9, 0, 0.1]}, 
      DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
      FrameLabel
         -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", \ 
          "\< \>", \ "\< \>"}, \nPlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, 
      \ Frame -> True]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.9 0 .1 r
.015 w
.00558 0 m
.00778 .06036 L
.01039 .11195 L
.01326 .15543 L
.01631 .19216 L
.02177 .24327 L
.02741 .2837 L
.03269 .31435 L
.04473 .36786 L
.057 .40793 L
.06822 .43652 L
.08133 .46319 L
.0935 .48323 L
.11548 .51125 L
.13947 .53348 L
.16323 .54973 L
.18477 .56099 L
.20705 .57013 L
.23115 .57789 L
.25378 .58368 L
.27862 .58879 L
.32433 .59576 L
.34691 .59837 L
.37112 .60072 L
.419 .60434 L
.46513 .60692 L
.5095 .60881 L
.55671 .61038 L
.60217 .61157 L
.64587 .6125 L
.69241 .61331 L
.73719 .61395 L
.78482 .61453 L
.83069 .61499 L
.8748 .61537 L
.92176 .61572 L
.96696 .616 L
s
.96696 .616 m
1 .61619 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`05d1oP;m0Oh2o@7`3o00m:00lIool004?oo`05h2o@;n0_d1oP;`04ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`0Gool004?o
o`05d1oP;m0Oh2o@7`0Uool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?oooo
o`0Vool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Gool004?oo`05
h2o@7m0_d1oP;`3ooom9ool00`0?ooooo`0Gool004?oo`05d1oP;m0Oh2o@7`3ooom9ool00`0?oooo
o`0Gool004?oo`0600o@;n0_d1oP;m0_ooooB?oo00<03oooool05ooo0013ool01P0?h2o@7n0_d1oP
;oooodSoo`0300oooooo01Ooo`00@ooo00H03m0Od2o@7n0_d1oooom7ool200lIool004?oo`0600oP
;m0Oh2o@7n0_ooooB?oo00<03oooool05ooo0013ool01P0?d2oP;m0Oh2o@;oooodSoo`0300oooooo
01Ooo`00@ooo00H03n0_d1oP;m0Oh2oooom8ool00`0?ooooo`0Gool004?oo`0600o@7m0_d1oP;m0O
ooooB?oo00<03oooool05ooo0013ool01P0?h2o@7n0_d1oP;oooodSoo`0300oooooo01Ooo`00@ooo
00H03m0_h2o@7n0_d2oooom7ool200lIool004?oo`0600oP;m0Oh2o@7n0_ooooB?oo00<03oooool0
5ooo0013ool01P0?d1o@;m0Oh2o@7oooodSoo`0300oooooo01Ooo`00@ooo00H03n0_d1oP;m0Oh2oo
oom8ool00`0?ooooo`0Gool004?oo`0600o@;n0_d1oP;m0_ooooB?oo00<03oooool05ooo0013ool0
1P0?h2o@7n0_d1oP;oooodSoo`0300oooooo01Ooo`00@ooo00H03m0Od2o@7n0_d1oooom8ool00`0?
ooooo`0Gool004?oo`0600oP;m0Oh2o@7n0_ooooAooo0P0?6Ooo0013ool01P0?d2oP;m0Oh2o@;ooo
odSoo`0300oooooo01Ooo`00@ooo00H03n0_d1oP;m0Oh2oooom8ool00`0?ooooo`0Gool004?oo`06
00o@7m0_d1oP;m0OooooB?oo00<03oooool05ooo0013ool01P0?h2o@7n0_d1oP;oooodSoo`0300oo
oooo01Ooo`00@ooo00H03m0_h2o@7n0_d2oooom8ool00`0?ooooo`0Gool004?oo`0600oP;m0Oh2o@
7n0_ooooB?oo00<03oooool05ooo0013ool01P0?d1o@;m0Oh2o@7oooodOoo`803aWoo`00@ooo00H0
3n0_d1oP;m0Oh2oooom8ool00`0?ooooo`0Gool002coo`L03`;oo`@03`[oo`0700ooon0_d1oP;m0_
h2l0ooooAooo00<03oooool05ooo000/ool700l2ool200l01?oo00l03`0?2?oo00L03oood1oP;m0O
h2o@7`3ooom7ool00`0?ooooo`0Gool002goo`803`?oo`0300oooooo00Coo`803`Soo`0700ooom0_
d1oP;m0Od2l0ooooAooo00<03oooool05ooo000^ool200l:ool200l7ool01`0?ooo@7n0_d1oP;m0O
0?ooodOoo`0300oooooo01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo00L03oooh2o@7n0_d2oP;`3o
oom7ool00`0?ooooo`0Gool0033oo`803`Ooo`<03`Ooo`803`05d1oP;m0Oh2o@7`3ooom5ool300lI
ool0033oo`803`Ooo`803`Soo`0700ooom0_d1oP;m0Od2l0ooooAooo00<03oooool05ooo000aool2
00l4ool400l8ool01`0?ooo@7n0_d1oP;m0O0?ooodOoo`0300oooooo01Ooo`00<Ooo0P0?0_oo100?
2_oo00L03oooh2o@7n0_d2oP;`3ooom7ool00`0?ooooo`0Gool002coo`0300oooooo00;oo`803`;o
o`803`coo`0700ooom0Oh2o@7n0_d1l0ooooAooo00<03oooool05ooo000/ool200l2ool300l2ool2
00l<ool01`0?ooo@;m0Oh2o@7m0_0?ooodOoo`0300oooooo01Ooo`00;Ooo1P0?0ooo1@0?2?oo00L0
3oood1oP;m0Oh2o@7`3ooom7ool00`0?ooooo`0Gool002koo`@03`Coo`H03`Ooo`803`05h2o@7n0_
d2oP;`3ooom6ool200lIool004?oo`0700ooom0Oh2o@7n0_d1l0ooooAooo00<03oooool05ooo0013
ool01`0?ooo@;m0Oh2o@7m0_0?ooodOoo`0300oooooo01Ooo`00@ooo00L03oood1oP;m0Oh2o@7`3o
oom7ool00`0?ooooo`0Gool004?oo`0700ooon0_d1oP;m0_h2l0ooooAooo00<03oooool05ooo0013
ool0200?ooooon0_d1oP;m0Oh2oooom6ool00`0?ooooo`0Gool004?oo`0800ooooood1oP;m0Od2o@
7oooodKoo`0300oooooo01Ooo`00@ooo0`0?00GP;m0Oh2o@7n0_0?ooodGoo`803aWoo`00@ooo00P0
3oooooo@7n0_d2oP;m0OooooA_oo00<03oooool05ooo0013ool0200?ooooon0_d1oP;m0Oh2oooom6
ool00`0?ooooo`0Gool004?oo`0800ooooood1oP;m0Od2o@7oooodKoo`0300oooooo01Ooo`00@ooo
00P03ooooooP;m0Oh2o@7n0_ooooA_oo00<03oooool05ooo0013ool0200?ooooom0Oh2o@;n0_d1oo
oom6ool00`0?ooooo`0Gool004?oo`0800ooooooh2o@7n0_d1oP;oooodKoo`0300oooooo01Ooo`00
@ooo0`0?00G@7n0_d1o@;m0O0?ooodGoo`803aWoo`00@ooo00P03ooooooP;m0Oh2o@7n0_ooooA_oo
00<03oooool05ooo0013ool0200?ooooom0Oh2o@;n0_d1oooom6ool00`0?ooooo`0Gool004?oo`08
00ooooooh2o@7n0_d1oP;oooodKoo`0300oooooo01Ooo`00@ooo00T03oooooooon0_d1o@;m0Oh2l0
ooooAOoo00<03oooool05ooo0013ool02@0?ooooooood1oP;m0Oh2o@7`3ooom5ool00`0?ooooo`0G
ool004?oo`<03`06oooP;m0_h2o@7n0_ooooA?oo0P0?6Ooo0013ool02@0?ooooooood1oP;m0Oh2o@
7`3ooom5ool00`0?ooooo`0Gool002coo`L03`?oo`@03`Woo`0900oooooooooP;m0Od2o@7n0_0?oo
odGoo`0300oooooo01Ooo`00;?oo1`0?0_oo0P0?0_oo0P0?2?oo00T03oooooooom0Oh2o@7n0_d1l0
ooooAOoo00<03oooool05ooo000]ool200l3ool00`0?ooooo`0200l2ool200l8ool02@0?oooooooo
h2o@;n0_d1oP;`3ooom5ool00`0?ooooo`0Gool002koo`803`Coo`803`Coo`803`Ooo`0900oooooo
ooo@7n0_d1oP;m0O0?ooodGoo`0300oooooo01Ooo`008?oo2@0?1_oo0P0?0ooo0P0?1?oo0P0?1ooo
00T03oooooooon0_d1o@;m0Oh2l0ooooAOoo00<03oooool05ooo000`ool200l2ool200l4ool200l7
ool400l01M0Oh2o@7n0_d1l0oooo@ooo0`0?6Ooo000Gool200lGool200l2ool200l4ool200l7ool0
2@0?ooooooooh2o@;n0_d1oP;`3ooom5ool00`0?ooooo`0Gool000ooo`<03`;oo`H03aOoo`803`03
ool03`0?00Coo`803`Ooo`0300oooooo00;oo`05h2o@7n0_d1oP;`3ooom4ool00`0?ooooo`0Gool0
00koo`H03`03ool03ooo00;oo`0300oooooo01Goo`803`03ool03`0?00Coo`803`Ooo`0300oooooo
00;oo`05d1o@;m0Oh2o@7`3ooom4ool00`0?ooooo`0Gool000goo`0300oooooo00;oo`803`03ool0
3ooo00;oo`0300oooooo013oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`Ooo`0300oooooo
00;oo`05h2o@7n0_d1oP;`3ooom4ool00`0?ooooo`0Gool000goo`0300oooooo00?oo`0300ooo`0?
00?oo`0300oooooo013oo`803`;oo`<03`;oo`803`;oo`803`Soo`0300oooooo00;oo`05d2oP;m0O
h2o@;`3ooom4ool00`0?ooooo`0Gool000goo`803`Coo`0300ooo`0?00?oo`0300oooooo017oo`H0
3`;oo`803`;oo`803`Soo`0300oooooo00;oo`05h2o@7n0_d1oP;`3ooom4ool00`0?ooooo`0Gool0
00koo`D03`;oo`0500ooooooool03`0Dool400l4ool400l9ool300l2ool01M0Od2o@7n0_d1l0oooo
@ooo0P0?6Ooo000>ool400l3ool0100?ooooo`0?:_oo00<03oooool00_oo00GP;m0Oh2o@7n0_0?oo
odCoo`0300oooooo01Ooo`003_oo00<03oooool01Ooo0P0?:ooo00<03oooool00_oo00G@;n0_d1oP
;m0_0?ooodCoo`0300oooooo01Ooo`004ooo0P0?;_oo00<03oooool00_oo00GP;m0Oh2o@7n0_0?oo
odCoo`0300oooooo01Ooo`003_oo0P0?0_oo100?;Ooo00<03oooool00ooo00G@;m0Oh2o@7m0_0?oo
od?oo`0300oooooo01Ooo`003Ooo0`0?00?oo`0?ool00_oo00<03oooool0:ooo00<03oooool00ooo
00G@7n0_d1oP;m0O0?oood?oo`0300oooooo01Ooo`003Ooo00D03oooooooo`0?00?oo`0300oooooo
02_oo`0300oooooo00?oo`05h2o@7n0_d2oP;`3ooom3ool00`0?ooooo`0Gool000goo`0400oooooo
00l3ool00`0?ooooo`0/ool300l3ool01M0Oh2o@7n0_d1l0oooo@_oo0P0?6Ooo000=ool900l]ool0
0`0?ooooo`03ool01M0_d1oP;m0Od2l0oooo@ooo00<03oooool05ooo000>ool800l]ool00`0?oooo
o`03ool01M0Oh2o@7n0_d1l0oooo@ooo00<03oooool05ooo000Eool00`0?ooooo`0[ool00`0?oooo
o`03ool01N0_d1oP;m0_h2l0oooo@ooo00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?oooo
o`0[ool00`0?ooooo`03ool01M0Oh2o@7n0_d1l0oooo@ooo00<03oooool05ooo000:ool200l2ool8
00l]ool00`0?ooooo`04ool01M0Oh2o@7m0_d1l0oooo@_oo00<03oooool05ooo000:ool200l00ooo
00l03`0700l]ool00`0?ooooo`04ool01N0_d1oP;m0Oh2l0oooo@_oo00<03oooool05ooo000Eool0
0`0?ooooo`0[ool300l4ool01M0Oh2o@;n0_d1l0oooo@Ooo0P0?6Ooo0013ool00`0?ooooo`04ool0
1N0_d1oP;m0Oh2l0oooo@_oo00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool0
0`0?ooooo`04ool01M0Oh2o@7m0_d1l0oooo@_oo00<03oooool05ooo000=ool900l]ool00`0?oooo
o`04ool01N0_d1oP;m0Oh2l0oooo@_oo00<03oooool05ooo000=ool900l]ool00`0?ooooo`04ool0
1M0Oh2o@;n0_d1l0oooo@_oo00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool0
0`0?ooooo`05ool01M0Oh2o@7n0_d1l0oooo@Ooo00<03oooool05ooo000=ool00`0?ooooo`0cool0
0`0?ooooo`05ool01N0_d1o@;m0Oh2l0oooo@Ooo00<03oooool05ooo000=ool00`0?ooooo`05ool0
0`0?ooooo`0[ool300l5ool01M0Oh2o@7n0_d1l0oooo@?oo0P0?6Ooo000=ool900l]ool00`0?oooo
o`05ool01N0_d2oP;m0Oh2l0oooo@Ooo00<03oooool05ooo000>ool800lGool600l2ool400l:ool0
0`0?ooooo`05ool01M0Oh2o@7n0_d1l0oooo@Ooo00<03oooool05ooo000Eool00`0?ooooo`0Fool4
00l3ool200l01?oo00l03`0?2?oo00<03oooool01Ooo00GP;m0Od2o@7n0_0?oood7oo`0300oooooo
01Ooo`00;ooo0P0?2?oo0P0?2?oo00<03oooool01_oo00GP;m0Oh2o@7n0_0?oood3oo`0300oooooo
01Ooo`00;ooo0P0?2Ooo0P0?1ooo00<03oooool01_oo00G@;n0_d1oP;m0_0?oood3oo`0300oooooo
01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo00<03oooool01_oo00GP;m0Oh2o@7n0_0?oood3oo`03
00oooooo01Ooo`00;ooo0P0?2?oo0`0?1ooo100?1Ooo00G@7m0_d1oP;m0O0?ooockoo`<03aWoo`00
;ooo0P0?2?oo0P0?2?oo00<03oooool01_oo00GP;m0Oh2o@7n0_0?oood3oo`0300oooooo01Ooo`00
;ooo0P0?1_oo100?2?oo00<03oooool01_oo00K@;n0_d1oP;m0_h2ooooloool00`0?ooooo`0Gool0
00[oo`l03aKoo`803`Coo`@03`[oo`0300oooooo00Ooo`05d1oP;m0Oh2o@7`3oooloool00`0?oooo
o`0Gool000[oo`0300oooooo00_oo`0300oooooo01Coo`803`Coo`803`coo`0300oooooo00Ooo`05
d2o@7n0_d1o@;`3oooloool00`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01;oo`@0
3`Coo`803`coo`0300oooooo00Ooo`05d1oP;m0Oh2o@7`3oooloool00`0?ooooo`0Gool002koo`<0
3`Goo`D03`Soo`<03`Ooo`05h2o@7n0_d2oP;`3ooolnool200lIool0013oo`@03a_oo`803`Goo`H0
3`Ooo`0300oooooo00Soo`05h2o@7n0_d1oP;`3ooolnool00`0?ooooo`0Gool000koo`L03bkoo`03
00oooooo00Soo`05d1oP;m0Od2o@7`3ooolnool00`0?ooooo`0Gool000koo`0300oooooo00?oo`80
3bgoo`0300oooooo00Soo`05h2o@7n0_d1oP;`3ooolnool00`0?ooooo`0Gool000goo`0300oooooo
00Goo`0300oooooo02_oo`0300oooooo00Soo`05d1oP;m0_h2o@7`3ooolnool00`0?ooooo`0Gool0
00goo`0300oooooo00Goo`0300oooooo02_oo`0300oooooo00Woo`05d1oP;m0Oh2o@7`3ooolmool0
0`0?ooooo`0Gool000_oo`0400oooooo00l6ool00`0?ooooo`0[ool00`0?ooooo`09ool01N0_d1o@
;m0Oh2l0oooo?Ooo00<03oooool05ooo000;ool;00l]ool300l9ool01M0Oh2o@7n0_d1l0oooo??oo
0P0?6Ooo000:ool<00l]ool00`0?ooooo`09ool01N0_d2oP;m0Oh2l0oooo?Ooo00<03oooool05ooo
000Eool00`0?ooooo`0[ool00`0?ooooo`09ool01M0Oh2o@7n0_d1l0oooo?Ooo00<03oooool05ooo
000:ool00`0?ooooo`08ool00`0?ooooo`0[ool00`0?ooooo`0:ool01M0Od2o@7n0_d1l0oooo??oo
00<03oooool05ooo000:ool00`0?ooooo`08ool00`0?ooooo`0[ool00`0?ooooo`0:ool01N0_d1oP
;m0Oh2l0oooo??oo00<03oooool05ooo000:ool<00l]ool00`0?ooooo`0:ool01M0_h2o@7n0_d2l0
oooo??oo00<03oooool05ooo000:ool<00l]ool00`0?ooooo`0:ool01N0_d1oP;m0Oh2l0oooo??oo
00<03oooool05ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?ooooo`0[ool300l;ool0
1M0_d1oP;m0Od2l0oooo>_oo0P0?6Ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?oooo
o`0[ool00`0?ooooo`0;ool01M0Oh2o@7n0_d1l0oooo>ooo00<03oooool05ooo000:ool00`0?oooo
o`02ool00`0?ooooo`03ool00`0?ooooo`0[ool00`0?ooooo`0;ool01N0_d1oP;m0_h2l0oooo>ooo
00<03oooool05ooo000:ool200l2ool300l4ool00`0?ooooo`0[ool00`0?ooooo`0<ool01N0_d1oP
;m0Oh2l0oooo>_oo00<03oooool05ooo000;ool400l00ooo00ooo`02ool200l]ool00`0?ooooo`0<
ool01M0Oh2o@7m0_d1l0oooo>_oo00<03oooool05ooo000<ool200l2ool500l^ool00`0?ooooo`0<
ool01N0_d1oP;m0Oh2l0oooo>_oo00<03oooool05ooo000Aool300l_ool00`0?ooooo`0<ool01M0O
h2o@;n0_d1l0oooo>_oo00<03oooool05ooo0013ool300l=ool01M0Oh2o@7n0_d1l0oooo>?oo0P0?
6Ooo0013ool00`0?ooooo`0=ool01N0_d1o@;m0Oh2l0oooo>Ooo00<03oooool05ooo000:ool00`0?
ooooo`0;ool00`0?ooooo`0Bool600l3ool400l9ool00`0?ooooo`0=ool01M0Oh2o@7n0_d1l0oooo
>Ooo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Cool400l3ool200l2ool200l8
ool00`0?ooooo`0>ool01M0_h2o@7n0_d2l0oooo>?oo00<03oooool05ooo000:ool?00lFool200l4
ool200l2ool200l8ool00`0?ooooo`0>ool01N0_d1oP;m0Oh2l0oooo>?oo00<03oooool05ooo000_
ool200l3ool200l4ool200l7ool00`0?ooooo`0>ool01M0Od2o@7n0_d1l0oooo>?oo00<03oooool0
5ooo000Pool900l6ool200l3ool200l4ool200l7ool00`0?ooooo`0?ool01M0Oh2o@7n0_d1l0oooo
=ooo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool400l>ool01N0_d1oP;m0_h2l0oooo
=Ooo0`0?6Ooo000_ool200l3ool200l4ool200l7ool00`0?ooooo`0?ool01M0Oh2o@7n0_d1l0oooo
=ooo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool00`0?ooooo`0@ool01M0Oh2o@7m0_
d1l0oooo=_oo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool00`0?ooooo`0@ool01N0_
d1oP;m0Oh2l0oooo=_oo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool00`0?ooooo`0A
ool01N0_d2oP;m0Oh2l0oooo=Ooo00<03oooool05ooo000]ool400l4ool200l2ool200l8ool00`0?
ooooo`0Aool01M0Oh2o@7n0_d1l0oooo=Ooo00<03oooool05ooo000^ool300l4ool200l2ool200l8
ool00`0?ooooo`0Aool01N0_d1o@;m0Oh2l0oooo=Ooo00<03oooool05ooo000_ool200l5ool400l9
ool300lBool01N0_d1oP;m0Oh2l0oooo<ooo0P0?6Ooo0013ool00`0?ooooo`0Bool01M0_h2o@7n0_
d2l0oooo=?oo00<03oooool05ooo0013ool00`0?ooooo`0Cool01M0Oh2o@7n0_d1l0oooo<ooo00<0
3oooool05ooo0013ool00`0?ooooo`0Cool01M0_d1oP;m0Od2l0oooo<ooo00<03oooool05ooo0013
ool00`0?ooooo`0Dool01N0_d1oP;m0Oh2l0oooo<_oo00<03oooool05ooo0013ool00`0?ooooo`0D
ool01M0Oh2o@;n0_d1l0oooo<_oo00<03oooool05ooo0013ool00`0?ooooo`0Eool01M0Oh2o@7n0_
d1l0oooo<Ooo00<03oooool05ooo0013ool300lEool01N0_d1o@;m0Oh2l0oooo<?oo0P0?6Ooo0013
ool00`0?ooooo`0Fool01N0_d1oP;m0Oh2l0oooo<?oo00<03oooool05ooo0013ool00`0?ooooo`0F
ool01]0_h2o@7n0_d2oP;oooobooo`0300oooooo01Ooo`00@ooo00<03oooool05ooo00G@7n0_d1oP
;m0O0?ooobooo`0300oooooo01Ooo`00@ooo00<03oooool05ooo00K@;m0Oh2o@7m0_d1ooool^ool0
0`0?ooooo`0Gool004?oo`0300oooooo01Ooo`06d1oP;m0Oh2o@7n0_oooo;_oo00<03oooool05ooo
0013ool300lHool01]0Oh2o@;n0_d1oP;oooobcoo`803aWoo`00@ooo00<03oooool06Ooo00K@7n0_
d1oP;m0Oh2ooool/ool00`0?ooooo`0Gool004?oo`0300oooooo01Woo`06h2o@7m0_d1oP;m0Ooooo
;?oo00<03oooool05ooo0013ool00`0?ooooo`0Jool01^0_d1oP;m0Oh2o@7oooob_oo`0300oooooo
01Ooo`00@ooo00<03oooool06_oo00K@;n0_d1oP;m0_h2ooool[ool00`0?ooooo`0Gool004?oo`03
00oooooo01_oo`06d1oP;m0Oh2o@7n0_oooo:_oo00<03oooool05ooo0013ool00`0?ooooo`0Lool0
1]0Oh2o@7m0_d1oP;oooobWoo`0300oooooo01Ooo`00@ooo0`0?7Ooo00K@7n0_d1oP;m0Oh2oooolW
ool200lIool004?oo`0300oooooo01koo`06d2oP;m0Oh2o@;n0_oooo9ooo00<03oooool05ooo000e
ool400l:ool00`0?ooooo`0Nool01^0_d1oP;m0Oh2o@7oooobOoo`0300oooooo01Ooo`00=Ooo0P0?
00Coo`0?00l03`Soo`0300oooooo01ooo`06d2o@7n0_d1o@;m0Ooooo9_oo00<03oooool05ooo000i
ool200l8ool00`0?ooooo`0Pool01^0_d1oP;m0Oh2o@7oooobGoo`0300oooooo01Ooo`00>_oo0P0?
1ooo00<03oooool08Ooo00KP;m0_h2o@7n0_d2oooolTool00`0?ooooo`0Gool002Woo`T03`Soo`80
3`Ooo`0300oooooo02;oo`06h2o@7n0_d1oP;m0Ooooo8ooo00<03oooool05ooo000iool300l7ool4
00lQool01m0Od2o@7n0_d1o@;m0O0?ooob3oo`<03aWoo`00>Ooo0P0?2?oo00<03oooool09?oo00KP
;m0Oh2o@7n0_d1oooolQool00`0?ooooo`0Gool003Ooo`@03`Soo`0300oooooo02Goo`06h2o@;n0_
d1oP;m0_oooo8?oo00<03oooool05ooo000eool400l:ool00`0?ooooo`0Vool01^0_d1oP;m0Oh2o@
7ooooaooo`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03oooool09ooo00K@;m0Oh2o@7m0_d1oooolN
ool00`0?ooooo`0Gool003Goo`803`coo`0300oooooo02Soo`07h2o@7n0_d1oP;m0Oh2l0oooo7?oo
00<03oooool05ooo000fool500l8ool00`0?ooooo`0Yool01n0_d2oP;m0Oh2o@;n0_0?oooa_oo`03
00oooooo01Ooo`00=_oo1P0?1ooo0`0?:_oo00SP;m0Oh2o@7n0_d1oP;m0Ooooo6?oo0P0?6Ooo0013
ool00`0?ooooo`0[ool02=0_d1oP;m0Od2o@7n0_d1oooolHool00`0?ooooo`0Gool004?oo`0300oo
oooo02coo`09h2o@7n0_d1oP;m0Oh2o@7n0_0?oooaKoo`0300oooooo01Ooo`00@ooo00<03oooool0
;_oo00W@;n0_d1oP;m0_h2o@7n0_d2l0oooo5?oo00<03oooool05ooo0013ool00`0?ooooo`0_ool0
2]0Oh2o@7n0_d1oP;m0Oh2o@7n0_oooo4_oo00<03oooool05ooo0013ool00`0?ooooo`0`ool02m0O
h2o@7m0_d1oP;m0Od2o@7n0_d1l0oooo4?oo00<03oooool05ooo0013ool00`0?ooooo`0bool02n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2l0oooo3_oo00<03oooool05ooo0013ool300lcool02n0_d1oP;m0_
h2o@7n0_d2oP;m0Oh2l0oooo3?oo0P0?6Ooo0013ool00`0?ooooo`0eool03=0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;oooo`[oo`0300oooooo01Ooo`00@ooo00<03oooool0=ooo00c@;m0Oh2o@7m0_d1oP
;m0Od2o@7n0_d1ooool8ool00`0?ooooo`0Gool004?oo`0300oooooo03Woo`0=d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1l0oooo1Ooo00<03oooool05ooo0013ool00`0?ooooo`0lool03M0Oh2o@;n0_
d1oP;m0_h2o@7n0_d2oP;m0O0?ooo`;oo`0300oooooo01Ooo`00@ooo00<03oooool0?_oo00oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2l0oOoo00<03oooool05ooo0013ool00`0?ooooo`11ool0
4>0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0OnOoo00<03oooool05ooo0013ool300m3ool0
4]0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;oCoo`803aWoo`00@ooo00<03oooool0
A_oo01C@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_l?oo00<03oooool05ooo
0013ool00`0?ooooo`19ool05m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1l0j_oo00<03oooool05ooo0013ool00`0?ooooo`1=ool06^0_d1o@;m0Oh2o@7m0_d1oP;m0O
d2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1oSool00`0?ooooo`0Gool004?oo`0300oooooo
057oo`0Nd1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_fooo00<03oooool05ooo0013ool00`0?ooooo`1Eool09>0_d2oP;m0Oh2o@;n0_d1oP;m0_
h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7m7oo`0300oo
oooo01Ooo`00@ooo0`0?F_oo02cP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O`ooo0P0?6Ooo0013
ool00`0?ooooo`1Pool0=]0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_
d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;kCoo`0300oooooo01Ooo`00=ooo100?2?oo00<03oooool0Iooo04O@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0O09coo`0300oooooo01Ooo`00=_oo0P0?0_oo0P0?1ooo00<03oooool0Kooo06KP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_d2oP;m0Oh2o@;n0_d1meool00`0?ooooo`0Gool003Koo`803`;oo`803`Ooo`0300oooooo07Wo
o`2^d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_8ooo00<03ooo
ool05ooo000eool200l4ool200l6ool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool0
0`0?ooooo`09ool0aM0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP
;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@
;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP
;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@
;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP
;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@
;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1l06Ooo000eool200l4
ool200l6ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool0^00?ooooon0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_6Ooo000e
ool200l4ool200l6oona00l0WM0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_01Woo`00=Ooo0P0?1?oo0P0?ooooK_oo000e
ool200l4ool200oooom^ool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?1?oo0P0?ooooK_oo000f
ool200l2ool200oooom_ool003Koo`803`;oo`803oooofooo`00=ooo100?ooooL?oo003ooon[ool0
0?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00oooo
Zooo003ooon[ool00001\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot1\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.95]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.9, 0, 0.1]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.9 0 .1 r
.015 w
.02779 0 m
.03269 .02926 L
.04473 .08523 L
.057 .12847 L
.06822 .16049 L
.0935 .21644 L
.11548 .25372 L
.13947 .28683 L
.18652 .33721 L
.23182 .37413 L
.27996 .40538 L
.32634 .43002 L
.37096 .44997 L
.41843 .46804 L
.46414 .483 L
.5081 .49554 L
.5549 .50724 L
.59994 .51713 L
.64782 .52642 L
.69394 .53433 L
.73832 .54112 L
.78553 .54759 L
.83098 .55316 L
.87468 .558 L
.92122 .56265 L
.96601 .56669 L
s
.96601 .56669 m
1 .56948 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`P03`05d1oP;m0Oh2o@7`3o00m200lIool004?oo`0300oooooo00Goo`05h2o@
;n0_d1oP;`04ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool0
0`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool0
0`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool0
0`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool0
0`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool0
0`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool0
0`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool0
0`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`0Gool0
04?oo`0300oooooo00Goo`05d1oP;m0Oh2o@7`0Mool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?
ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?
ooooo`0Gool004?oo`0300oooooo00Goo`05h2o@7m0_d1oP;`3ooom1ool00`0?ooooo`0Gool004?o
o`0300oooooo00Goo`05d1oP;m0Oh2o@7`3ooom1ool00`0?ooooo`0Gool004?oo`0300oooooo00Ko
o`05d2oP;m0Oh2o@;`3ooom0ool00`0?ooooo`0Gool004?oo`0300oooooo00Koo`05h2o@7n0_d1oP
;`3ooom0ool00`0?ooooo`0Gool004?oo`<03`Koo`05d1o@;m0Oh2o@7`3oooloool200lIool004?o
o`0300oooooo00Koo`05h2o@7n0_d1oP;`3ooom0ool00`0?ooooo`0Gool004?oo`0300oooooo00Ko
o`05d2oP;m0Oh2o@;`3ooom0ool00`0?ooooo`0Gool004?oo`0300oooooo00Koo`05h2o@7n0_d1oP
;`3ooom0ool00`0?ooooo`0Gool004?oo`0300oooooo00Ooo`05d2o@7n0_d1o@;`3oooloool00`0?
ooooo`0Gool004?oo`0300oooooo00Ooo`05d1oP;m0Oh2o@7`3oooloool00`0?ooooo`0Gool004?o
o`<03`Ooo`05h2o@7n0_d2oP;`3ooolnool200lIool004?oo`0300oooooo00Ooo`05d1oP;m0Oh2o@
7`3oooloool00`0?ooooo`0Gool004?oo`0300oooooo00Soo`05d1oP;m0Od2o@7`3ooolnool00`0?
ooooo`0Gool004?oo`0300oooooo00Soo`05h2o@7n0_d1oP;`3ooolnool00`0?ooooo`0Gool004?o
o`0300oooooo00Soo`05d1oP;m0_h2o@7`3ooolnool00`0?ooooo`0Gool004?oo`0300oooooo00So
o`05h2o@7n0_d1oP;`3ooolnool00`0?ooooo`0Gool004?oo`0300oooooo00Soo`05d1oP;m0Od2o@
7`3ooolnool00`0?ooooo`0Gool004?oo`<03`Woo`05d1oP;m0Oh2o@7`3ooollool200lIool004?o
o`0300oooooo00Woo`05h2o@;n0_d1oP;`3ooolmool00`0?ooooo`0Gool004?oo`0300oooooo00Wo
o`05d1oP;m0Oh2o@7`3ooolmool00`0?ooooo`0Gool004?oo`0300oooooo00Woo`05h2o@7m0_d1oP
;`3ooolmool00`0?ooooo`0Gool004?oo`0300oooooo00Woo`05d1oP;m0Oh2o@7`3ooolmool00`0?
ooooo`0Gool004?oo`0300oooooo00[oo`05d2oP;m0Oh2o@;`3ooollool00`0?ooooo`0Gool004?o
o`0300oooooo00[oo`05h2o@7n0_d1oP;`3ooollool00`0?ooooo`0Gool004?oo`<03`[oo`05d1o@
;m0Oh2o@7`3ooolkool200lIool004?oo`0300oooooo00[oo`05h2o@7n0_d1oP;`3ooollool00`0?
ooooo`0Gool002coo`L03`;oo`@03`[oo`0300oooooo00_oo`05h2o@7n0_d2oP;`3ooolkool00`0?
ooooo`0Gool002coo`L03`;oo`803`04ool03`0?00l8ool00`0?ooooo`0;ool01M0Oh2o@7n0_d1l0
oooo>ooo00<03oooool05ooo000]ool200l3ool00`0?ooooo`04ool200l8ool00`0?ooooo`0;ool0
1M0_d1oP;m0Od2l0oooo>ooo00<03oooool05ooo000^ool200l:ool200l7ool00`0?ooooo`0;ool0
1M0Oh2o@7n0_d1l0oooo>ooo00<03oooool05ooo000Pool900l6ool200l9ool200l7ool00`0?oooo
o`0<ool01M0Oh2o@;n0_d1l0oooo>_oo00<03oooool05ooo000`ool200l7ool300l7ool400l;ool0
1N0_d1oP;m0Oh2l0oooo>?oo0`0?6Ooo000`ool200l7ool200l8ool00`0?ooooo`0<ool01M0Oh2o@
7m0_d1l0oooo>_oo00<03oooool05ooo000aool200l4ool400l8ool00`0?ooooo`0=ool01M0Oh2o@
7n0_d1l0oooo>Ooo00<03oooool05ooo000aool200l2ool400l:ool00`0?ooooo`0=ool01N0_d2oP
;m0Oh2l0oooo>Ooo00<03oooool05ooo000/ool00`0?ooooo`02ool200l2ool200l<ool00`0?oooo
o`0=ool01M0Oh2o@7n0_d1l0oooo>Ooo00<03oooool05ooo000/ool200l2ool300l2ool200l<ool0
0`0?ooooo`0=ool01N0_d1o@;m0Oh2l0oooo>Ooo00<03oooool05ooo000]ool600l3ool500l8ool0
0`0?ooooo`0>ool01N0_d1oP;m0Oh2l0oooo>?oo00<03oooool05ooo000^ool400l4ool600l7ool3
00l>ool01M0_h2o@7n0_d2l0oooo=ooo0P0?6Ooo0013ool00`0?ooooo`0>ool01N0_d1oP;m0Oh2l0
oooo>?oo00<03oooool05ooo0013ool00`0?ooooo`0?ool01M0_d1oP;m0Od2l0oooo=ooo00<03ooo
ool05ooo0013ool00`0?ooooo`0?ool01M0Oh2o@7n0_d1l0oooo=ooo00<03oooool05ooo0013ool0
0`0?ooooo`0?ool01N0_d1oP;m0_h2l0oooo=ooo00<03oooool05ooo0013ool00`0?ooooo`0@ool0
1N0_d1oP;m0Oh2l0oooo=_oo00<03oooool05ooo0013ool00`0?ooooo`0@ool01M0Oh2o@7m0_d1l0
oooo=_oo00<03oooool05ooo0013ool300l@ool01N0_d1oP;m0Oh2l0oooo=Ooo0P0?6Ooo0013ool0
0`0?ooooo`0Aool01N0_d2oP;m0Oh2l0oooo=Ooo00<03oooool05ooo0013ool00`0?ooooo`0Aool0
1M0Oh2o@7n0_d1l0oooo=Ooo00<03oooool05ooo0013ool00`0?ooooo`0Aool01N0_d1o@;m0Oh2l0
oooo=Ooo00<03oooool05ooo0013ool00`0?ooooo`0Bool01N0_d1oP;m0Oh2l0oooo=?oo00<03ooo
ool05ooo0013ool00`0?ooooo`0Bool01M0_h2o@7n0_d2l0oooo=?oo00<03oooool05ooo0013ool0
0`0?ooooo`0Bool01^0_d1oP;m0Oh2o@7ooooc?oo`0300oooooo01Ooo`00@ooo0`0?4ooo00G@;m0O
h2o@7m0_0?oooc;oo`803aWoo`00@ooo00<03oooool04ooo00G@7n0_d1oP;m0O0?oooc?oo`0300oo
oooo01Ooo`00@ooo00<03oooool05?oo00G@7n0_d2oP;m0O0?oooc;oo`0300oooooo01Ooo`00@ooo
00<03oooool05?oo00GP;m0Oh2o@7n0_0?oooc;oo`0300oooooo01Ooo`00@ooo00<03oooool05Ooo
00GP;m0Od2o@7n0_0?oooc7oo`0300oooooo01Ooo`00@ooo00<03oooool05Ooo00G@7n0_d1oP;m0O
0?oooc7oo`0300oooooo01Ooo`00@ooo0`0?5_oo00G@;n0_d1oP;m0_0?ooobooo`803aWoo`00@ooo
00<03oooool05_oo00GP;m0Oh2o@7n0_0?oooc3oo`0300oooooo01Ooo`00;?oo1`0?0ooo100?2Ooo
00<03oooool05ooo00G@;m0Oh2o@7m0_0?ooobooo`0300oooooo01Ooo`00;?oo1`0?0_oo0P0?0_oo
0P0?2?oo00<03oooool05ooo00G@7n0_d1oP;m0O0?ooobooo`0300oooooo01Ooo`00;Ooo0P0?0ooo
00<03oooool00P0?0_oo0P0?2?oo00<03oooool06?oo00G@7n0_d2oP;m0O0?ooobkoo`0300oooooo
01Ooo`00;_oo0P0?1?oo0P0?1?oo0P0?1ooo00<03oooool06?oo00GP;m0Oh2o@7n0_0?ooobkoo`03
00oooooo01Ooo`008?oo2@0?1_oo0P0?0ooo0P0?1?oo0P0?1ooo00<03oooool06?oo00G@7n0_d1o@
;m0O0?ooobkoo`0300oooooo01Ooo`00<?oo0P0?0_oo0P0?1?oo0P0?1ooo100?6?oo00G@7n0_d1oP
;m0O0?ooob_oo`<03aWoo`005ooo0P0?5ooo0P0?0_oo0P0?1?oo0P0?1ooo00<03oooool06Ooo00GP
;m0_h2o@7n0_0?ooobgoo`0300oooooo01Ooo`003ooo0`0?0_oo1P0?5ooo0P0?00?oo`0?00l01?oo
0P0?1ooo00<03oooool06_oo00GP;m0Oh2o@7n0_0?ooobcoo`0300oooooo01Ooo`003_oo1P0?00?o
o`0?ool00_oo00<03oooool05Ooo0P0?00?oo`0?00l01?oo0P0?1ooo00<03oooool06_oo00K@7m0_
d1oP;m0Od2ooool[ool00`0?ooooo`0Gool000goo`0300oooooo00;oo`803`03ool03ooo00;oo`03
00oooooo013oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`Ooo`0300oooooo01_oo`05d1oP
;m0Oh2o@7`3oool[ool00`0?ooooo`0Gool000goo`0300oooooo00?oo`0300ooo`0?00?oo`0300oo
oooo013oo`803`;oo`<03`;oo`803`;oo`803`Soo`0300oooooo01_oo`06h2o@7n0_d2oP;m0Ooooo
:_oo00<03oooool05ooo000=ool200l4ool00`0?ool03`03ool00`0?ooooo`0Aool600l2ool200l2
ool200l8ool00`0?ooooo`0Kool01]0Oh2o@7n0_d1oP;oooob[oo`0300oooooo01Ooo`003_oo1@0?
0_oo00D03oooooooo`0?01Coo`@03`Coo`@03`Woo`<03acoo`06d1oP;m0Od2o@7n0_oooo:?oo0P0?
6Ooo000>ool400l3ool0100?ooooo`0?:_oo00<03oooool07Ooo00K@7n0_d1oP;m0Oh2oooolXool0
0`0?ooooo`0Gool000koo`0300oooooo00Goo`803b_oo`0300oooooo01goo`06h2o@;n0_d1oP;m0_
oooo:?oo00<03oooool05ooo000Cool200l^ool00`0?ooooo`0Nool01^0_d1oP;m0Oh2o@7oooobOo
o`0300oooooo01Ooo`003_oo0P0?0_oo100?;Ooo00<03oooool07_oo00K@7m0_d1oP;m0Od2oooolW
ool00`0?ooooo`0Gool000goo`<03`03ool03ooo00;oo`0300oooooo02_oo`0300oooooo01ooo`06
d1oP;m0Oh2o@7n0_oooo9_oo00<03oooool05ooo000=ool01@0?oooooooo00l00ooo00<03oooool0
:ooo00<03oooool08?oo00K@7n0_d2oP;m0Oh2oooolUool00`0?ooooo`0Gool000goo`0400oooooo
00l3ool00`0?ooooo`0/ool300lPool01^0_d1oP;m0Oh2o@7oooobCoo`803aWoo`003Ooo2@0?;Ooo
00<03oooool08Ooo00KP;m0Od2o@7n0_d1oooolTool00`0?ooooo`0Gool000koo`P03bgoo`0300oo
oooo027oo`06d1oP;m0Oh2o@7n0_oooo9?oo00<03oooool05ooo000Eool00`0?ooooo`0[ool00`0?
ooooo`0Rool01]0_h2o@7n0_d2oP;oooob?oo`0300oooooo01Ooo`003_oo00<03oooool01?oo00<0
3oooool0:ooo00<03oooool08ooo00K@7n0_d1oP;m0Oh2oooolRool00`0?ooooo`0Gool000[oo`80
3`;oo`P03bgoo`0300oooooo02?oo`06d2o@7n0_d1o@;m0Ooooo8_oo00<03oooool05ooo000:ool2
00l00ooo00l03`0700l]ool00`0?ooooo`0Tool01^0_d1oP;m0Oh2o@7oooob7oo`0300oooooo01Oo
o`005Ooo00<03oooool0:ooo0`0?9Ooo00KP;m0_h2o@7n0_d2oooolOool200lIool004?oo`0300oo
oooo02Koo`06h2o@7n0_d1oP;m0Ooooo7ooo00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?
ooooo`0[ool00`0?ooooo`0Vool01]0Od2o@7n0_d1o@;ooooaooo`0300oooooo01Ooo`003Ooo2@0?
;Ooo00<03oooool09ooo00K@7n0_d1oP;m0Oh2oooolNool00`0?ooooo`0Gool000goo`T03bgoo`03
00oooooo02Soo`06d1oP;m0_h2o@7n0_oooo7Ooo00<03oooool05ooo000>ool00`0?ooooo`04ool0
0`0?ooooo`0[ool00`0?ooooo`0Yool01M0Oh2o@7n0_d1l0oooo7Ooo00<03oooool05ooo000=ool0
0`0?ooooo`0cool00`0?ooooo`0Yool01^0_d1o@;m0Oh2o@7ooooacoo`0300oooooo01Ooo`003Ooo
00<03oooool01Ooo00<03oooool0:ooo0`0?:_oo00KP;m0Oh2o@7n0_d1oooolJool200lIool000go
o`T03bgoo`0300oooooo02_oo`06h2o@7n0_d2oP;m0Ooooo6_oo00<03oooool05ooo000>ool800lG
ool600l2ool400l:ool00`0?ooooo`0/ool01^0_d1oP;m0Oh2o@7ooooaWoo`0300oooooo01Ooo`00
5Ooo00<03oooool05_oo100?0ooo0P0?00Coo`0?00l03`Soo`0300oooooo02goo`06h2o@7m0_d1oP
;m0Ooooo6?oo00<03oooool05ooo000_ool200l8ool200l8ool00`0?ooooo`0^ool01^0_d1oP;m0O
h2o@7ooooaOoo`0300oooooo01Ooo`00;ooo0P0?2Ooo0P0?1ooo00<03oooool0;ooo00KP;m0Oh2o@
;n0_d1oooolFool00`0?ooooo`0Gool0023oo`T03`Koo`803`Woo`803`Ooo`0300oooooo033oo`06
h2o@7n0_d1oP;m0Ooooo5Ooo00<03oooool05ooo000_ool200l8ool300l7ool400l`ool01^0_d1o@
;m0Oh2o@7ooooa;oo`<03aWoo`00;ooo0P0?2?oo0P0?2?oo00<03oooool0<_oo00KP;m0Oh2o@7n0_
d1oooolCool00`0?ooooo`0Gool002ooo`803`Koo`@03`Soo`0300oooooo03?oo`06h2o@7n0_d2oP
;m0Ooooo4_oo00<03oooool05ooo000:ool?00lFool200l4ool400l:ool00`0?ooooo`0dool01^0_
d1oP;m0Oh2o@7ooooa7oo`0300oooooo01Ooo`002_oo00<03oooool02ooo00<03oooool05?oo0P0?
1?oo0P0?3?oo00<03oooool0=?oo00K@7n0_d1o@;m0Oh2oooolAool00`0?ooooo`0Gool000[oo`03
00oooooo00_oo`0300oooooo01;oo`@03`Coo`803`coo`0300oooooo03Goo`06d1oP;m0Oh2o@7n0_
oooo4?oo00<03oooool05ooo000^ool300l5ool500l8ool300lfool01]0_h2o@7n0_d2oP;oooo`ko
o`803aWoo`004?oo100?6ooo0P0?1Ooo1P0?1ooo00<03oooool0=ooo00K@7n0_d1oP;m0Oh2ooool>
ool00`0?ooooo`0Gool000koo`L03bkoo`0300oooooo03Soo`07d1oP;m0Od2o@7n0_d1l0oooo3?oo
00<03oooool05ooo000>ool00`0?ooooo`03ool200l]ool00`0?ooooo`0iool01m0Oh2o@7n0_d1oP
;m0O0?ooo`_oo`0300oooooo01Ooo`003Ooo00<03oooool01Ooo00<03oooool0:ooo00<03oooool0
>_oo00O@;n0_d1oP;m0_h2o@7`3oool:ool00`0?ooooo`0Gool000goo`0300oooooo00Goo`0300oo
oooo02_oo`0300oooooo03_oo`07d1oP;m0Oh2o@7n0_d1l0oooo2Ooo00<03oooool05ooo000;ool0
100?ooooo`0?1_oo00<03oooool0:ooo00<03oooool0??oo00O@7n0_d1o@;m0Oh2o@7`3oool8ool0
0`0?ooooo`0Gool000_oo`/03bgoo`<03cgoo`08d1oP;m0Oh2o@7n0_d1oP;oooo`Goo`803aWoo`00
2_oo300?;Ooo00<03oooool0?ooo00OP;m0Oh2o@;n0_d1oP;`3oool5ool00`0?ooooo`0Gool001Go
o`0300oooooo02_oo`0300oooooo043oo`07h2o@7n0_d1oP;m0Oh2l0oooo1?oo00<03oooool05ooo
000:ool00`0?ooooo`08ool00`0?ooooo`0[ool00`0?ooooo`11ool01n0_d1o@;m0Oh2o@7m0_0?oo
o`?oo`0300oooooo01Ooo`002_oo00<03oooool02?oo00<03oooool0:ooo00<03oooool0@_oo00SP
;m0Oh2o@7n0_d1oP;m0Ooooo0Ooo00<03oooool05ooo000:ool<00l]ool00`0?ooooo`13ool02>0_
d1oP;m0_h2o@7n0_d2ooool00`0?ooooo`0Gool000[oo``03bgoo`0300oooooo04Goo`07d1oP;m0O
h2o@7n0_d1l0o_oo00<03oooool05ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?oooo
o`0[ool300m6ool02=0Od2o@7n0_d1o@;m0Oh2okool200lIool000[oo`0300oooooo00;oo`0300oo
oooo00?oo`0300oooooo02_oo`0300oooooo04Ooo`08d1oP;m0Oh2o@7n0_d1oP;o_oo`0300oooooo
01Ooo`002_oo00<03oooool00_oo00<03oooool00ooo00<03oooool0:ooo00<03oooool0B?oo00W@
7n0_d2oP;m0Oh2o@;n0_d1l0nOoo00<03oooool05ooo000:ool200l2ool300l4ool00`0?ooooo`0[
ool00`0?ooooo`1:ool02>0_d1oP;m0Oh2o@7n0_d1ohool00`0?ooooo`0Gool000_oo`@03`03ool0
3ooo00;oo`803bgoo`0300oooooo04_oo`09d2o@7n0_d1o@;m0Oh2o@7m0_0?Koo`0300oooooo01Oo
o`003?oo0P0?0_oo1@0?;_oo00<03oooool0C?oo00[P;m0Oh2o@7n0_d1oP;m0Oh2o@7oCoo`0300oo
oooo01Ooo`004Ooo0`0?;ooo00<03oooool0C_oo00W@;n0_d1oP;m0_h2o@7n0_d2l0looo00<03ooo
ool05ooo0013ool300m?ool02]0Oh2o@7n0_d1oP;m0Oh2o@7n0_l?oo0P0?6Ooo0013ool00`0?oooo
o`1Aool02N0_d1o@;m0Oh2o@7m0_d1oP;`3`ool00`0?ooooo`0Gool000[oo`0300oooooo00_oo`03
00oooooo01;oo`H03`?oo`@03`Woo`0300oooooo05;oo`0:h2o@7n0_d1oP;m0Oh2o@7n0_d1o^ool0
0`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01?oo`@03`?oo`803`;oo`803`Soo`03
00oooooo05Coo`0:d1oP;m0_h2o@7n0_d2oP;m0Oh2o/ool00`0?ooooo`0Gool000[oo`l03aKoo`80
3`Coo`803`;oo`803`Soo`0300oooooo05Koo`0:h2o@7n0_d1oP;m0Oh2o@7n0_d1oZool00`0?oooo
o`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo05Ooo`0;d2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;`3Xool00`0?ooooo`0Gool0023oo`T03`Koo`803`?oo`803`Coo`803`Ooo`0300oooooo05Wo
o`0:d1oP;m0Oh2o@7n0_d1oP;m0Oh2oWool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Oo
o`@03eWoo`0;d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7`3Sool300lIool002ooo`803`?oo`803`Coo`80
3`Ooo`0300oooooo05coo`0;h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;`3Sool00`0?ooooo`0Gool002oo
o`803`?oo`803`Coo`803`Ooo`0300oooooo05koo`0;d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7`3Qool0
0`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo063oo`0;h2o@7n0_d1oP;m0O
h2o@7n0_d1oP;`3Oool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo06;o
o`0:d2oP;m0Oh2o@;n0_d1oP;m0_h2oNool00`0?ooooo`0Gool002goo`@03`Coo`803`;oo`803`So
o`0300oooooo06?oo`0;d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`3Lool00`0?ooooo`0Gool002koo`<0
3`Coo`803`;oo`803`Soo`0300oooooo06Goo`0<h2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0OfOoo00<0
3oooool05ooo000_ool200l5ool400l9ool300mWool03=0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;mKo
o`803aWoo`00@ooo00<03oooool0JOoo00cP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oEool00`0?oooo
o`0Gool004?oo`0300oooooo06coo`0;h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;`3Cool00`0?ooooo`0G
ool004?oo`0300oooooo06koo`0<d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d?oo00<03oooool05ooo
0013ool00`0?ooooo`1aool02m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0c_oo00<03oooool05ooo0013
ool00`0?ooooo`1cool03>0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;l_oo`0300oooooo01Ooo`00@ooo
00<03oooool0MOoo00c@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o9ool00`0?ooooo`0Gool004?oo`<0
3gOoo`0=d2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2l0aOoo0P0?6Ooo0013ool00`0?ooooo`1jool0
3N0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_0<?oo`0300oooooo01Ooo`00@ooo00<03oooool0O?oo
00g@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7`31ool00`0?ooooo`0Gool004?oo`0300oooooo07oo
o`0=d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0__oo00<03oooool05ooo0013ool00`0?ooooo`21
ool03^0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1nkool00`0?ooooo`0Gool004?oo`0300oooooo
08Coo`0?h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_0;Ooo`0300oooooo01Ooo`00@ooo0`0?
Qooo00oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2l0/ooo0P0?6Ooo0013ool00`0?ooooo`29
ool04=0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_/Ooo00<03oooool05ooo0013ool00`0?
ooooo`2<ool04=0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_[_oo00<03oooool05ooo0013
ool00`0?ooooo`2?ool04M0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0Z_oo00<03ooo
ool05ooo0013ool00`0?ooooo`2Cool04>0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_Yooo
00<03oooool05ooo0013ool00`0?ooooo`2Fool04N0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP
;m0Oh2l0Xooo00<03oooool05ooo0013ool00`0?ooooo`2Iool04^0_d1o@;m0Oh2o@7m0_d1oP;m0O
d2o@7n0_d1o@;m0Oh2o@7iooo`0300oooooo01Ooo`00@ooo0`0?W?oo01?P;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;`2Jool200lIool004?oo`0300oooooo0:3oo`0Cd1oP;m0_h2o@
7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2l0Uooo00<03oooool05ooo000eool400l:ool00`0?
ooooo`2Sool05=0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2nCool00`0?oooo
o`0Gool003Goo`803`04ool03`0?00l8ool00`0?ooooo`2Wool05=0_d1oP;m0Od2o@7n0_d1o@;m0O
h2o@7m0_d1oP;m0Od2o@7n0_d1n?ool00`0?ooooo`0Gool003Woo`803`Soo`0300oooooo0:_oo`0E
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O08[oo`0300oooooo01Ooo`00
>_oo0P0?1ooo00<03oooool0[ooo01GP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP
;m0_h2l0Q_oo00<03oooool05ooo000Yool900l8ool200l7ool00`0?ooooo`2cool05]0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_POoo00<03oooool05ooo000iool300l7
ool400nfool05m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2l0N_oo
0`0?6Ooo000iool200l8ool00`0?ooooo`2kool06M0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0O07Koo`0300oooooo01Ooo`00=ooo100?2?oo00<03oooool0`?oo
01W@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7`1aool00`0?
ooooo`0Gool003Goo`@03`[oo`0300oooooo0<Coo`0Kh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_06_oo`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03ooo
ool0bOoo01cP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0O
d2o@7fGoo`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03oooool0c_oo01gP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_05ooo`0300oooooo01Ooo`00
=_oo1@0?2?oo00<03oooool0e?oo01k@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2mHool00`0?ooooo`0Gool003Koo`H03`Ooo`<03mWoo`0Pd1oP
;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP
;e3oo`803aWoo`00@ooo00<03oooool0gooo027@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@
7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2l0B_oo00<03oooool05ooo0013ool00`0?
ooooo`3Uool08m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1l0@_oo00<03oooool05ooo0013ool00`0?ooooo`3[ool09N0_d1oP
;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP
;m0Oh2o@;n0_03[oo`0300oooooo01Ooo`00@ooo00<03oooool0l_oo02OP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2l0<Ooo00<03oooool05ooo0013ool00`0?ooooo`3iool0:N0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@
7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2l0
:?oo00<03oooool05ooo0013ool00`0?ooooo`3oool1ool0;>0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1lNool00`0?ooooo`0Gool004?oo`<03oooo`Woo`0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_
d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_
d2oP;m0Oh2o@;`0Bool200lIool004?oo`0300oooooo0?oooa7oo`0bh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`Soo`0300oooooo01Ooo`00@ooo00<03oooool0oooo6_oo03;P
;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@
;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0O6Ooo0013ool00`0?ooooo`3ooolS
ool0:N0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2l06Ooo0013ool00`0?ooooo`3oool]ool07m0Oh2o@;n0_
d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_01Woo`00
@ooo00<03oooool0oooo>?oo01C@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
6Ooo0013ool00`0?ooooo`3ooom3ool02M0Od2o@7n0_d1o@;m0Oh2o@7`0Iool004?oo`<03ooood[o
o`803aWoo`00@ooo00<03oooool0ooooBooo00<03oooool05ooo0013ool00`0?ooooo`3ooom;ool0
0`0?ooooo`0Gool004?oo`0300oooooo0?oood_oo`0300oooooo01Ooo`00@ooo00<03oooool0oooo
Booo00<03oooool05ooo0013ool00`0?ooooo`3ooom;ool00`0?ooooo`0Gool004?oo`<03ooood[o
o`803aWoo`00@ooo00<03oooool0ooooBooo00<03oooool05ooo000gool400l8ool00`0?ooooo`3o
oom;ool00`0?ooooo`0Gool003Koo`803`;oo`803`Ooo`0300oooooo0?oood_oo`0300oooooo01Oo
o`00=_oo0P0?0_oo0P0?1ooo00<03oooool0ooooBooo00<03oooool05ooo000eool200l4ool200l6
ool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?ooooo`0V
ool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Gool003Goo`803`Co
o`803`Koo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oo
oooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oo
oooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oo
oooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oo
oooo00Goo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oo
oooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oo
oooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oo
oooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oo
oooo00Goo`0300oooooo01Ooo`00=Ooo0P0?1?oo0P0?1_ooo`0?C`0?6Ooo000eool200l4ool200oo
oom^ool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?1?oo0P0?ooooK_oo000eool200l4ool200oo
oom^ool003Koo`803`;oo`803oooofooo`00=_oo0P0?0_oo0P0?ooooKooo000gool400oooom`ool0
0?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00oooo
Zooo003ooon[ool00?oooj_oo`00\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot2\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.97]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.7, 0, 0.3]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.7 0 .3 r
.015 w
.01671 0 m
.02177 .04789 L
.02741 .08902 L
.03269 .12045 L
.04473 .17623 L
.057 .21923 L
.06822 .25097 L
.0935 .30611 L
.11548 .34251 L
.13947 .37447 L
.18652 .4221 L
.23182 .45586 L
.27996 .48335 L
.32634 .50413 L
.37096 .52023 L
.41843 .53419 L
.46414 .54523 L
.5081 .5541 L
.5549 .56203 L
.59994 .56848 L
.64782 .5743 L
.69394 .57908 L
.73832 .58305 L
.78553 .58671 L
.83098 .58978 L
.87468 .59237 L
.92122 .59479 L
.96601 .59686 L
s
.96601 .59686 m
1 .59825 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`@03`05X4n`Gj1?/5nPC`3o00m600lIool004?oo`0:00oooooooon`Gj1O/5nP
Ck1O00l7ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`0Gool004?o
o`0900oooooooonPCk1OX4n`Gj1?027oo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo02Oo
o`0300oooooo02Koo`0300oooooo02Ooo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo01Oo
o`00@ooo00T03ooooooook1OX4nPGj1?/5l0ooooAOoo00<03oooool05ooo0013ool02@0?oooooooo
X4n`Gj1?/5nPC`3ooom5ool00`0?ooooo`0Gool004?oo`0300oooooo00;oo`05X5n`Gj1?/5nPG`3o
oom4ool00`0?ooooo`0Gool004?oo`0300oooooo00;oo`05/5nPCk1OX4n`G`3ooom4ool00`0?oooo
o`0Gool004?oo`<03`;oo`05X4nPGj1?/5nPC`3ooom3ool200lIool004?oo`0300oooooo00;oo`05
/5nPCk1OX4n`G`3ooom4ool00`0?ooooo`0Gool004?oo`0300oooooo00;oo`05X5n`Gj1?/5nPG`3o
oom4ool00`0?ooooo`0Gool004?oo`0300oooooo00;oo`05/5nPCk1OX4n`G`3ooom4ool00`0?oooo
o`0Gool004?oo`0300oooooo00;oo`05X4nPGj1?/5nPC`3ooom4ool00`0?ooooo`0Gool004?oo`03
00oooooo00;oo`05/5nPCk1OX4n`G`3ooom4ool00`0?ooooo`0Gool004?oo`<03`;oo`05X5n`Gj1?
/5nPG`3ooom3ool200lIool004?oo`0300oooooo00?oo`05X4n`Gj1?/5nPC`3ooom3ool00`0?oooo
o`0Gool004?oo`0300oooooo00?oo`05X5nPCk1OX4nPG`3ooom3ool00`0?ooooo`0Gool004?oo`03
00oooooo00?oo`05X4n`Gj1?/5nPC`3ooom3ool00`0?ooooo`0Gool004?oo`0300oooooo00?oo`05
/5nPCk1OX5n`G`3ooom3ool00`0?ooooo`0Gool004?oo`0300oooooo00?oo`05X4n`Gj1?/5nPC`3o
oom3ool00`0?ooooo`0Gool004?oo`0300oooooo00?oo`05X5nPCk1OX4nPG`3ooom3ool00`0?oooo
o`0Gool004?oo`<03`?oo`05X4n`Gj1?/5nPC`3ooom2ool200lIool004?oo`0300oooooo00?oo`05
/5nPCk1OX5n`G`3ooom3ool00`0?ooooo`0Gool004?oo`0300oooooo00Coo`05/5nPCk1OX4n`G`3o
oom2ool00`0?ooooo`0Gool004?oo`0300oooooo00Coo`05X4n`Gj1?X5nPC`3ooom2ool00`0?oooo
o`0Gool004?oo`0300oooooo00Coo`05/5nPCk1OX4n`G`3ooom2ool00`0?ooooo`0Gool004?oo`03
00oooooo00Coo`05X4n`Gj1O/5nPC`3ooom2ool00`0?ooooo`0Gool004?oo`0300oooooo00Coo`05
/5nPCk1OX4n`G`3ooom2ool00`0?ooooo`0Gool004?oo`<03`Coo`05X4n`Gj1?X5nPC`3ooom1ool2
00lIool004?oo`0300oooooo00Coo`05/5nPCk1OX4n`G`3ooom2ool00`0?ooooo`0Gool002coo`L0
3`;oo`@03`[oo`0300oooooo00Goo`05/5nPGk1OX4n`G`3ooom1ool00`0?ooooo`0Gool002coo`L0
3`;oo`803`04ool03`0?00l8ool00`0?ooooo`05ool01J1?/5nPCk1OX4l0oooo@Ooo00<03oooool0
5ooo000]ool200l3ool00`0?ooooo`04ool200l8ool00`0?ooooo`05ool01K1OX4nPGj1?/5l0oooo
@Ooo00<03oooool05ooo000^ool200l:ool200l7ool00`0?ooooo`05ool01J1?/5nPCk1OX4l0oooo
@Ooo00<03oooool05ooo000Pool900l6ool200l9ool200l7ool00`0?ooooo`05ool01K1OX5n`Gj1?
/5l0oooo@Ooo00<03oooool05ooo000`ool200l7ool300l7ool400l4ool01J1?/5nPCk1OX4l0oooo
?ooo0`0?6Ooo000`ool200l7ool200l8ool00`0?ooooo`06ool01J1?X5nPCk1OX4l0oooo@?oo00<0
3oooool05ooo000aool200l4ool400l8ool00`0?ooooo`06ool01K1OX4n`Gj1?/5l0oooo@?oo00<0
3oooool05ooo000aool200l2ool400l:ool00`0?ooooo`06ool01J1O/5nPCk1OX5l0oooo@?oo00<0
3oooool05ooo000/ool00`0?ooooo`02ool200l2ool200l<ool00`0?ooooo`06ool01K1OX4n`Gj1?
/5l0oooo@?oo00<03oooool05ooo000/ool200l2ool300l2ool200l<ool00`0?ooooo`06ool01J1?
X5nPCk1OX4l0oooo@?oo00<03oooool05ooo000]ool600l3ool500l8ool00`0?ooooo`06ool01K1O
X4n`Gj1?/5l0oooo@?oo00<03oooool05ooo000^ool400l4ool600l7ool300l7ool01K1OX4n`Gj1O
/5l0oooo?_oo0P0?6Ooo0013ool00`0?ooooo`07ool01J1?/5nPCk1OX4l0oooo?ooo00<03oooool0
5ooo0013ool00`0?ooooo`07ool01J1OX4n`Gj1?X5l0oooo?ooo00<03oooool05ooo0013ool00`0?
ooooo`07ool01J1?/5nPCk1OX4l0oooo?ooo00<03oooool05ooo0013ool00`0?ooooo`07ool01K1O
X4n`Gj1O/5l0oooo?ooo00<03oooool05ooo0013ool00`0?ooooo`08ool01K1OX4n`Gj1?/5l0oooo
?_oo00<03oooool05ooo0013ool00`0?ooooo`08ool01J1?/5nPCj1OX4l0oooo?_oo00<03oooool0
5ooo0013ool300l8ool01K1OX4n`Gj1?/5l0oooo?Ooo0P0?6Ooo0013ool00`0?ooooo`08ool01J1?
/5nPGk1OX4l0oooo?_oo00<03oooool05ooo0013ool00`0?ooooo`09ool01J1?/5nPCk1OX4l0oooo
?Ooo00<03oooool05ooo0013ool00`0?ooooo`09ool01K1OX4nPGj1?/5l0oooo?Ooo00<03oooool0
5ooo0013ool00`0?ooooo`09ool01J1?/5nPCk1OX4l0oooo?Ooo00<03oooool05ooo0013ool00`0?
ooooo`09ool01K1OX5n`Gj1?/5l0oooo?Ooo00<03oooool05ooo0013ool00`0?ooooo`09ool01J1?
/5nPCk1OX4l0oooo?Ooo00<03oooool05ooo0013ool300l:ool01J1?X5nPCk1OX4l0oooo>ooo0P0?
6Ooo0013ool00`0?ooooo`0:ool01K1OX4n`Gj1?/5l0oooo??oo00<03oooool05ooo0013ool00`0?
ooooo`0:ool01J1O/5nPCk1OX5l0oooo??oo00<03oooool05ooo0013ool00`0?ooooo`0:ool01K1O
X4n`Gj1?/5l0oooo??oo00<03oooool05ooo0013ool00`0?ooooo`0:ool01Z1?X5nPCk1OX4nPGooo
oc_oo`0300oooooo01Ooo`00@ooo00<03oooool02ooo00FPCk1OX4n`Gj1?0?oooc_oo`0300oooooo
01Ooo`00@ooo0`0?2ooo00F`Gj1?/5nPGk1O0?oooc[oo`803aWoo`00@ooo00<03oooool02ooo00FP
Ck1OX4n`Gj1?0?oooc_oo`0300oooooo01Ooo`00;?oo1`0?0ooo100?2Ooo00<03oooool03?oo00FP
Ck1OX4nPGj1?0?oooc[oo`0300oooooo01Ooo`00;?oo1`0?0_oo0P0?0_oo0P0?2?oo00<03oooool0
3?oo00F`Gj1?/5nPCk1O0?oooc[oo`0300oooooo01Ooo`00;Ooo0P0?0ooo00<03oooool00P0?0_oo
0P0?2?oo00<03oooool03?oo00FPCk1OX5n`Gj1?0?oooc[oo`0300oooooo01Ooo`00;_oo0P0?1?oo
0P0?1?oo0P0?1ooo00<03oooool03Ooo00FPCk1OX4n`Gj1?0?ooocWoo`0300oooooo01Ooo`008?oo
2@0?1_oo0P0?0ooo0P0?1?oo0P0?1ooo00<03oooool03Ooo00F`Gj1?X5nPCk1O0?ooocWoo`0300oo
oooo01Ooo`00<?oo0P0?0_oo0P0?1?oo0P0?1ooo100?3?oo00FPCk1OX4n`Gj1?0?ooocOoo`<03aWo
o`005ooo0P0?5ooo0P0?0_oo0P0?1?oo0P0?1ooo00<03oooool03Ooo00F`Gj1O/5nPCk1O0?ooocWo
o`0300oooooo01Ooo`003ooo0`0?0_oo1P0?5ooo0P0?00?oo`0?00l01?oo0P0?1ooo00<03oooool0
3_oo00F`Gj1?/5nPCk1O0?ooocSoo`0300oooooo01Ooo`003_oo1P0?00?oo`0?ool00_oo00<03ooo
ool05Ooo0P0?00?oo`0?00l01?oo0P0?1ooo00<03oooool03_oo00FPCj1OX4n`Gj1?0?ooocSoo`03
00oooooo01Ooo`003Ooo00<03oooool00_oo0P0?00?oo`0?ool00_oo00<03oooool04?oo00<03ooo
ool00_oo0P0?00?oo`0?00l01?oo0P0?1ooo00<03oooool03_oo00F`Gj1?/5nPCk1O0?ooocSoo`03
00oooooo01Ooo`003Ooo00<03oooool00ooo00<03ooo00l00ooo00<03oooool04?oo0P0?0_oo0`0?
0_oo0P0?0_oo0P0?2?oo00<03oooool03ooo00F`Gj1?/5nPGk1O0?ooocOoo`0300oooooo01Ooo`00
3Ooo0P0?1?oo00<03ooo00l00ooo00<03oooool04Ooo1P0?0_oo0P0?0_oo0P0?2?oo00<03oooool0
3ooo00FPCk1OX4n`Gj1?0?ooocOoo`0300oooooo01Ooo`003_oo1@0?0_oo00D03oooooooo`0?01Co
o`@03`Coo`@03`Woo`<03`ooo`05X5nPCk1OX4nPG`3ooolfool200lIool000koo`@03`?oo`0400oo
oooo00lZool00`0?ooooo`0@ool01K1OX4n`Gj1?/5l0oooo=_oo00<03oooool05ooo000>ool00`0?
ooooo`05ool200l[ool00`0?ooooo`0@ool01J1?/5nPGk1OX4l0oooo=_oo00<03oooool05ooo000C
ool200l^ool00`0?ooooo`0@ool01K1OX4n`Gj1?/5l0oooo=_oo00<03oooool05ooo000>ool200l2
ool400l]ool00`0?ooooo`0Aool01K1OX4nPGj1?/5l0oooo=Ooo00<03oooool05ooo000=ool300l0
0ooo00ooo`02ool00`0?ooooo`0[ool00`0?ooooo`0Aool01J1?/5nPCk1OX4l0oooo=Ooo00<03ooo
ool05ooo000=ool01@0?oooooooo00l00ooo00<03oooool0:ooo00<03oooool04Ooo00F`Gj1O/5nP
Ck1O0?ooocGoo`0300oooooo01Ooo`003Ooo00@03oooool03`?oo`0300oooooo02coo`<03a;oo`05
/5nPCk1OX4n`G`3ooolcool200lIool000goo`T03bgoo`0300oooooo01;oo`05X4nPGj1?/5nPC`3o
ooldool00`0?ooooo`0Gool000koo`P03bgoo`0300oooooo01;oo`06/5nPCk1OX4n`Gj1?oooo<ooo
00<03oooool05ooo000Eool00`0?ooooo`0[ool00`0?ooooo`0Cool01K1OX4n`Gj1O/5l0oooo<ooo
00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0Cool01J1?/5nP
Ck1OX4l0oooo<ooo00<03oooool05ooo000:ool200l2ool800l]ool00`0?ooooo`0Dool01J1?/5nP
Cj1OX4l0oooo<_oo00<03oooool05ooo000:ool200l00ooo00l03`0700l]ool00`0?ooooo`0Dool0
1K1OX4n`Gj1?/5l0oooo<_oo00<03oooool05ooo000Eool00`0?ooooo`0[ool300lEool01K1OX5n`
Gj1?/5l0oooo<?oo0P0?6Ooo0013ool00`0?ooooo`0Eool01J1?/5nPCk1OX4l0oooo<Ooo00<03ooo
ool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0Fool01J1?X5nPCk1OX4l0
oooo<?oo00<03oooool05ooo000=ool900l]ool00`0?ooooo`0Fool01K1OX4n`Gj1?/5l0oooo<?oo
00<03oooool05ooo000=ool900l]ool00`0?ooooo`0Gool01K1OX4n`Gj1O/5l0oooo;ooo00<03ooo
ool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0Gool01J1?/5nPCk1OX4l0
oooo;ooo00<03oooool05ooo000=ool00`0?ooooo`0cool00`0?ooooo`0Hool01J1?/5nPCj1OX4l0
oooo;_oo00<03oooool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[ool300lHool01K1OX4n`
Gj1?/5l0oooo;Ooo0P0?6Ooo000=ool900l]ool00`0?ooooo`0Hool01J1?/5nPGk1OX4l0oooo;_oo
00<03oooool05ooo000>ool800lGool600l2ool400l:ool00`0?ooooo`0Iool01J1?/5nPCk1OX4l0
oooo;Ooo00<03oooool05ooo000Eool00`0?ooooo`0Fool400l3ool200l01?oo00l03`0?2?oo00<0
3oooool06Ooo00F`Gj1?X5nPCk1O0?ooobgoo`0300oooooo01Ooo`00;ooo0P0?2?oo0P0?2?oo00<0
3oooool06_oo00F`Gj1?/5nPCk1O0?ooobcoo`0300oooooo01Ooo`00;ooo0P0?2Ooo0P0?1ooo00<0
3oooool06_oo00JPGk1OX4n`Gj1O/5ooool[ool00`0?ooooo`0Gool0023oo`T03`Koo`803`Woo`80
3`Ooo`0300oooooo01_oo`05X4n`Gj1?/5nPC`3oool[ool00`0?ooooo`0Gool002ooo`803`Soo`<0
3`Ooo`@03a[oo`06X5nPCk1OX4nPGj1?oooo:?oo0`0?6Ooo000_ool200l8ool200l8ool00`0?oooo
o`0Lool01[1OX4n`Gj1?/5nPCoooobWoo`0300oooooo01Ooo`00;ooo0P0?1_oo100?2?oo00<03ooo
ool07?oo00JPCk1OX5n`Gj1?/5oooolYool00`0?ooooo`0Gool000[oo`l03aKoo`803`Coo`@03`[o
o`0300oooooo01goo`06X4n`Gj1?/5nPCk1Ooooo:?oo00<03oooool05ooo000:ool00`0?ooooo`0;
ool00`0?ooooo`0Dool200l4ool200l<ool00`0?ooooo`0Mool01[1OX4nPGj1?/5nPCoooobSoo`03
00oooooo01Ooo`002_oo00<03oooool02ooo00<03oooool04_oo100?1?oo0P0?3?oo00<03oooool0
7_oo00J`Gj1?/5nPCk1OX4oooolWool00`0?ooooo`0Gool002koo`<03`Goo`D03`Soo`<03aooo`06
/5nPCk1OX5n`Gj1?oooo9Ooo0P0?6Ooo000@ool400lKool200l5ool600l7ool00`0?ooooo`0Oool0
1Z1?/5nPCk1OX4n`GoooobKoo`0300oooooo01Ooo`003_oo1`0?;_oo00<03oooool08?oo00JPCk1O
X4nPGj1?/5oooolUool00`0?ooooo`0Gool000koo`0300oooooo00?oo`803bgoo`0300oooooo023o
o`06/5nPCk1OX4n`Gj1?oooo9Ooo00<03oooool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[
ool00`0?ooooo`0Qool01[1OX5n`Gj1?/5nPGoooobCoo`0300oooooo01Ooo`003Ooo00<03oooool0
1Ooo00<03oooool0:ooo00<03oooool08_oo00J`Gj1?/5nPCk1OX4oooolSool00`0?ooooo`0Gool0
00_oo`0400oooooo00l6ool00`0?ooooo`0[ool00`0?ooooo`0Rool01Z1?X5nPCk1OX4nPGoooob?o
o`0300oooooo01Ooo`002ooo2`0?;Ooo0`0?8ooo00JPCk1OX4n`Gj1?/5oooolQool200lIool000[o
o``03bgoo`0300oooooo02Coo`06X4n`Gj1O/5nPCk1Ooooo8Ooo00<03oooool05ooo000Eool00`0?
ooooo`0[ool00`0?ooooo`0Uool01Z1?/5nPCk1OX4n`Goooob3oo`0300oooooo01Ooo`002_oo00<0
3oooool02?oo00<03oooool0:ooo00<03oooool09Ooo00J`Gj1?X5nPCk1OX4oooolPool00`0?oooo
o`0Gool000[oo`0300oooooo00Soo`0300oooooo02_oo`0300oooooo02Koo`06/5nPCk1OX4n`Gj1?
oooo7ooo00<03oooool05ooo000:ool<00l]ool00`0?ooooo`0Wool01[1OX4n`Gj1O/5nPCooooako
o`0300oooooo01Ooo`002_oo300?;Ooo00<03oooool0:?oo00J`Gj1?/5nPCk1OX4oooolMool00`0?
ooooo`0Gool000[oo`0300oooooo00;oo`0300oooooo00?oo`0300oooooo02_oo`<03bSoo`07X4n`
Gj1?X5nPCk1OX4l0oooo6ooo0P0?6Ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?oooo
o`0[ool00`0?ooooo`0Yool01j1?/5nPCk1OX4n`Gj1?0?oooa_oo`0300oooooo01Ooo`002_oo00<0
3oooool00_oo00<03oooool00ooo00<03oooool0:ooo00<03oooool0:_oo00NPGk1OX4n`Gj1O/5nP
C`3ooolJool00`0?ooooo`0Gool000[oo`803`;oo`<03`Coo`0300oooooo02_oo`0300oooooo02_o
o`07X4n`Gj1?/5nPCk1OX4l0oooo6Ooo00<03oooool05ooo000;ool400l00ooo00ooo`02ool200l]
ool00`0?ooooo`0/ool01j1?/5nPCj1OX4n`Gj1?0?oooaSoo`0300oooooo01Ooo`003?oo0P0?0_oo
1@0?;_oo00<03oooool0;Ooo00NPCk1OX4n`Gj1?/5nPC`3ooolGool00`0?ooooo`0Gool0017oo`<0
3booo`0300oooooo02koo`07X5n`Gj1?/5nPGk1OX4l0oooo5_oo00<03oooool05ooo0013ool300l^
ool01k1OX4n`Gj1?/5nPCk1O0?oooaGoo`803aWoo`00@ooo00<03oooool0;ooo00NPGj1?/5nPCj1O
X4n`G`3ooolEool00`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01;oo`H03`?oo`@0
3`Woo`0300oooooo033oo`07/5nPCk1OX4n`Gj1?/5l0oooo5?oo00<03oooool05ooo000:ool00`0?
ooooo`0;ool00`0?ooooo`0Cool400l3ool200l2ool200l8ool00`0?ooooo`0aool01k1OX5n`Gj1?
/5nPGk1O0?oooa?oo`0300oooooo01Ooo`002_oo3`0?5_oo0P0?1?oo0P0?0_oo0P0?2?oo00<03ooo
ool0<_oo00N`Gj1?/5nPCk1OX4n`G`3ooolBool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`80
3`Ooo`0300oooooo03?oo`07X5nPCk1OX4nPGj1?/5l0oooo4Ooo00<03oooool05ooo000Pool900l6
ool200l3ool200l4ool200l7ool00`0?ooooo`0dool01k1OX4n`Gj1?/5nPCk1O0?oooa3oo`0300oo
oooo01Ooo`00;ooo0P0?0ooo0P0?1?oo0P0?1ooo100?=?oo00N`Gj1O/5nPCk1OX5n`G`3oool=ool3
00lIool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo03Koo`07/5nPCk1OX4n`Gj1?/5l0oooo
3_oo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool00`0?ooooo`0gool02:1OX4n`Gj1?
X5nPCk1OX4ooool<ool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo03So
o`08/5nPCk1OX4n`Gj1?/5nPCoooo`_oo`0300oooooo01Ooo`00;ooo0P0?0ooo0P0?1?oo0P0?1ooo
00<03oooool0>Ooo00R`Gj1O/5nPCk1OX5n`Gj1?oooo2_oo00<03oooool05ooo000]ool400l4ool2
00l2ool200l8ool00`0?ooooo`0jool02K1OX4n`Gj1?/5nPCk1OX4n`G`3oool8ool00`0?ooooo`0G
ool002koo`<03`Coo`803`;oo`803`Soo`0300oooooo03coo`08X4n`Gj1?X5nPCk1OX4nPGoooo`Oo
o`0300oooooo01Ooo`00;ooo0P0?1Ooo100?2Ooo0`0??Ooo00RPCk1OX4n`Gj1?/5nPCk1Ooooo1Ooo
0P0?6Ooo0013ool00`0?ooooo`0oool02;1OX4n`Gj1O/5nPCk1OX5ooool4ool00`0?ooooo`0Gool0
04?oo`0300oooooo043oo`08/5nPCk1OX4n`Gj1?/5nPCoooo`?oo`0300oooooo01Ooo`00@ooo00<0
3oooool0@Ooo00R`Gj1?X5nPCk1OX4nPGj1?oooo0_oo00<03oooool05ooo0013ool00`0?ooooo`13
ool02:1?/5nPCk1OX4n`Gj1?/5ooool00`0?ooooo`0Gool004?oo`0300oooooo04Coo`08X4n`Gj1O
/5nPCk1OX5n`Gokoo`0300oooooo01Ooo`00@ooo00<03oooool0AOoo00VPCk1OX4n`Gj1?/5nPCk1O
X4l0o?oo00<03oooool05ooo0013ool300m7ool02J1OX4n`Gj1?X5nPCk1OX4nPG`3iool200lIool0
04?oo`0300oooooo04Soo`09/5nPCk1OX4n`Gj1?/5nPCk1O0?Woo`0300oooooo01Ooo`00@ooo00<0
3oooool0BOoo00Z`Gj1O/5nPCk1OX5n`Gj1?/5nPGoOoo`0300oooooo01Ooo`00@ooo00<03oooool0
B_oo00^`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O0?Goo`0300oooooo01Ooo`00@ooo00<03oooool0C?oo
00^PCk1OX4nPGj1?/5nPCj1OX4n`Gj1?0??oo`0300oooooo01Ooo`00@ooo00<03oooool0C_oo00Z`
Gj1?/5nPCk1OX4n`Gj1?/5nPCo;oo`0300oooooo01Ooo`00@ooo0`0?D?oo00ZPCk1OX5n`Gj1?/5nP
Gk1OX4n`Gnooo`803aWoo`00@ooo00<03oooool0DOoo00^PCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?0>ko
o`0300oooooo01Ooo`00@ooo00<03oooool0Dooo00ZPGj1?/5nPCj1OX4n`Gj1?X5nPCngoo`0300oo
oooo01Ooo`00@ooo00<03oooool0EOoo00^PCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?0>[oo`0300oooooo
01Ooo`00@ooo00<03oooool0Eooo00^`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1O0>Soo`0300oooooo01Oo
o`00@ooo00<03oooool0F?oo00b`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4oVool00`0?ooooo`0Gool0
04?oo`0300oooooo05_oo`0;X5nPCk1OX4nPGj1?/5nPCj1OX4n`G`3Tool00`0?ooooo`0Gool004?o
o`<03egoo`0;X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPC`3Qool200lIool004?oo`0300oooooo063oo`0;
X4n`Gj1O/5nPCk1OX5n`Gj1?/5nPG`3Oool00`0?ooooo`0Gool003Goo`@03`[oo`0300oooooo06;o
o`0;/5nPCk1OX4n`Gj1?/5nPCk1OX4n`G`3Mool00`0?ooooo`0Gool003Goo`803`04ool03`0?00l8
ool00`0?ooooo`1Tool03:1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGm[oo`0300oooooo01Ooo`00>Ooo
0P0?2?oo00<03oooool0I_oo00f`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`G`3Gool00`0?ooooo`0G
ool003[oo`803`Ooo`0300oooooo06Soo`0>X4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`GmCoo`03
00oooooo01Ooo`00:Ooo2@0?2?oo0P0?1ooo00<03oooool0Jooo00jPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OdOoo00<03oooool05ooo000iool300l7ool400m/ool03k1OX4nPGj1?/5nPCj1OX4n`
Gj1?X5nPCk1OX4nPG`3<ool300lIool003Woo`803`Soo`0300oooooo073oo`0?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1O0<_oo`0300oooooo01Ooo`00=ooo100?2?oo00<03oooool0Looo012`
Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGlOoo`0300oooooo01Ooo`00=Ooo100?2_oo00<0
3oooool0M_oo012`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPClCoo`0300oooooo01Ooo`00
=Ooo0P0?3?oo00<03oooool0N?oo016PCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?0<7o
o`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03oooool0O?oo01:`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4nlool00`0?ooooo`0Gool003Koo`D03`Soo`0300oooooo07ooo`0C/5nPCk1O
X5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5l0^?oo00<03oooool05ooo000fool600l7ool3
00n3ool04j1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?0;?oo`803aWoo`00@ooo
00<03oooool0Q_oo01BPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1O/?oo00<0
3oooool05ooo0013ool00`0?ooooo`29ool05Z1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OZooo00<03oooool05ooo0013ool00`0?ooooo`2>ool05Z1O/5nPCk1OX5n`Gj1?
/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OY_oo00<03oooool05ooo0013ool00`0?ooooo`2B
ool06;1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCj3oo`0300oo
oooo01Ooo`00@ooo00<03oooool0U_oo01VPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPC`2Kool00`0?ooooo`0Gool004?oo`0300oooooo09[oo`0K/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O09Goo`0300oooooo01Oo
o`00@ooo0`0?Wooo01f`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1O
X5n`Gj1?/5nPGk1O08goo`803aWoo`00@ooo00<03oooool0Y?oo01n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`G`27ool00`0?ooooo`0Gool0
04?oo`0300oooooo0:[oo`0QX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?07ooo`0300oooooo01Ooo`00@ooo00<03oooool0[ooo02BP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5mgool00`0?ooooo`0Gool004?oo`0300oooooo0;Goo`0W/5nPGk1OX4n`Gj1O/5nP
Ck1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nP
Gk1O06koo`0300oooooo01Ooo`00@ooo00<03oooool0_?oo02Z`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4mTool00`0?ooooo`0Gool004?oo`0300oooooo0<?oo`0^X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?
/5nPCj1OX4mIool00`0?ooooo`0Gool004?oo`<03l_oo`0cX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?04_oo`803aWoo`00@ooo00<03oooool0dooo03V`Gj1?/5nPGk1OX4n`
Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`
Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5l0?_oo00<03oooool05ooo0013
ool00`0?ooooo`3Lool0@;1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?;_oo00<03oooool05ooo0013ool00`0?ooooo`3Vool0B:1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?
/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gacoo`0300oooooo01Ooo`00@ooo00<03oooool0lOoo05>PCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?00Koo`0300oooooo01Ooo`00
@ooo00<03oooool0o_oo04fPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`
Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`
Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O01Woo`00@ooo
0`0?oooo3Ooo03n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5l06Ooo0013ool00`0?ooooo`3ooolMool0;j1?/5nPCj1OX4n`Gj1?X5nP
Ck1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nP
Cj1OX4n`Gj1?X5nPCk1OX4l06Ooo000gool400l8ool00`0?ooooo`3oool_ool07K1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5l06Ooo000fool200l2
ool200l7ool00`0?ooooo`3ooom5ool01j1?/5nPGk1OX4n`Gj1O01Woo`00=_oo0P0?0_oo0P0?1ooo
00<03oooool0ooooBooo00<03oooool05ooo000eool200l4ool200l6ool00`0?ooooo`0Wool00`0?
ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?
ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Gool003Goo`803`Coo`803`Koo`0300oooooo00Ko
o`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Go
o`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Go
o`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Ko
o`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Go
o`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Ko
o`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Go
o`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Go
o`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo01Oo
o`00=Ooo0P0?1?oo0P0?1_ooo`0?C`0?6Ooo000eool200l4ool200oooom^ool003Goo`803`Coo`80
3oooofkoo`00=Ooo0P0?1?oo0P0?ooooK_oo000eool200l4ool200oooom^ool003Koo`803`;oo`80
3oooofooo`00=_oo0P0?0_oo0P0?ooooKooo000gool400oooom`ool00?oooj_oo`00ooooZooo003o
oon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_o
o`00\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot3\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.98]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.5, 0, 0.5]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 0 .5 r
.015 w
.01117 0 m
.01326 .03178 L
.01631 .0687 L
.02177 .12025 L
.02741 .16127 L
.03269 .19258 L
.04473 .24799 L
.057 .29051 L
.06822 .32171 L
.0935 .37535 L
.11548 .41012 L
.13947 .44004 L
.16415 .46469 L
.18652 .48307 L
.23182 .51198 L
.2782 .53354 L
.32283 .54906 L
.37029 .56164 L
.41601 .571 L
.45996 .57812 L
.50676 .5842 L
.5518 .58893 L
.59968 .59303 L
.64581 .59627 L
.69018 .59889 L
.73739 .60124 L
.78284 .60315 L
.82655 .60473 L
.87309 .60619 L
.91787 .6074 L
.9655 .60852 L
s
.9655 .60852 m
1 .60924 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`803`05L7n0Sg1oP8m`O`3o00m800lIool004?oo`0700oooh2?L7n0Sg1oP8l0
0_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool0
1Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool0
1Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool0
1_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool0
1Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool0
1_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool0
1Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool0
1Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool0
5ooo0013ool01`0?oom`Oh2?L7n0Sg1o02?oo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo
02Ooo`0300oooooo02Koo`0300oooooo02Ooo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo
01Ooo`00@ooo00L03oooP8m`Oh2?L7n0S`3ooom7ool00`0?ooooo`0Gool004?oo`0700ooog1oP8m`
Oh2?L7l0ooooAooo00<03oooool05ooo0013ool0200?ooooog1oP8m`Oh2?L7oooom6ool00`0?oooo
o`0Gool004?oo`0800ooooooP8m`Oh2?L7n0SoooodKoo`0300oooooo01Ooo`00@ooo0`0?00E`Oh2?
L7n0Sg1o0?ooodGoo`803aWoo`00@ooo00P03ooooon0Sg1oP8m`Oh2?ooooA_oo00<03oooool05ooo
0013ool0200?ooooog1oP8m`Oh2?L7oooom6ool00`0?ooooo`0Gool004?oo`0800ooooooP8m`Oh2?
L7n0SoooodKoo`0300oooooo01Ooo`00@ooo00P03ooooom`Oh2?L7n0Sg1oooooA_oo00<03oooool0
5ooo0013ool0200?oooooh2?L7n0Sg1oP8oooom6ool00`0?ooooo`0Gool004?oo`<03`05L7n0Sg1o
P8m`O`3ooom5ool200lIool004?oo`0800ooooooP8m`Oh2?L7n0SoooodKoo`0300oooooo01Ooo`00
@ooo00P03ooooom`Oh2?L7n0Sg1oooooA_oo00<03oooool05ooo0013ool0200?oooooh2?L7n0Sg1o
P8oooom6ool00`0?ooooo`0Gool004?oo`0800ooooooL7n0Sg1oP8m`OoooodKoo`0300oooooo01Oo
o`00@ooo00T03oooooooog1oP8m`Oh2?L7l0ooooAOoo00<03oooool05ooo0013ool02@0?oooooooo
P8m`Oh2?L7n0S`3ooom5ool00`0?ooooo`0Gool004?oo`<03`06oom`Oh2?L7n0Sg1oooooA?oo0P0?
6Ooo0013ool02@0?ooooooooP8m`Oh2?L7n0S`3ooom5ool00`0?ooooo`0Gool004?oo`0900oooooo
oom`Oh2?L7n0Sg1o0?ooodGoo`0300oooooo01Ooo`00@ooo00T03ooooooooh2?L7n0Sg1oP8l0oooo
AOoo00<03oooool05ooo0013ool02@0?ooooooooL7n0Sg1oP8m`O`3ooom5ool00`0?ooooo`0Gool0
04?oo`0900oooooooon0Sg1oP8m`Oh2?0?ooodGoo`0300oooooo01Ooo`00@ooo00T03oooooooog1o
P8m`Oh2?L7l0ooooAOoo00<03oooool05ooo0013ool300l01_ooP8m`Oh2?L7n0SoooodCoo`803aWo
o`00@ooo00T03oooooooog1oP8m`Oh2?L7l0ooooAOoo00<03oooool05ooo000/ool700l2ool400l:
ool00`0?ooooo`02ool01G1oP8m`Oh2?L7l0ooooA?oo00<03oooool05ooo000/ool700l2ool200l0
1?oo00l03`0?2?oo00<03oooool00_oo00F0Sg1oP8m`Oh2?0?ooodCoo`0300oooooo01Ooo`00;Ooo
0P0?0ooo00<03oooool01?oo0P0?2?oo00<03oooool00_oo00E`Oh2?L7n0Sg1o0?ooodCoo`0300oo
oooo01Ooo`00;_oo0P0?2_oo0P0?1ooo00<03oooool00_oo00F0Sg1oP8m`Oh2?0?ooodCoo`0300oo
oooo01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo00<03oooool00_oo00E`Oh2?L7n0Sg1o0?ooodCo
o`0300oooooo01Ooo`00<?oo0P0?1ooo0`0?1ooo100?00Kooh2?L7n0Sg1oP8oooom2ool300lIool0
033oo`803`Ooo`803`Soo`0300oooooo00;oo`05L7n0Sg1oP8m`O`3ooom4ool00`0?ooooo`0Gool0
037oo`803`Coo`@03`Soo`0300oooooo00;oo`05P8m`Oh2?L7n0S`3ooom4ool00`0?ooooo`0Gool0
037oo`803`;oo`@03`[oo`0300oooooo00;oo`05L7n0Sg1oP8m`O`3ooom4ool00`0?ooooo`0Gool0
02coo`0300oooooo00;oo`803`;oo`803`coo`0300oooooo00?oo`05L7n0Sg1oP8m`O`3ooom3ool0
0`0?ooooo`0Gool002coo`803`;oo`<03`;oo`803`coo`0300oooooo00?oo`05P8m`Oh2?L7n0S`3o
oom3ool00`0?ooooo`0Gool002goo`H03`?oo`D03`Soo`0300oooooo00?oo`05L7n0Sg1oP8m`O`3o
oom3ool00`0?ooooo`0Gool002koo`@03`Coo`H03`Ooo`<03`?oo`05P8m`Oh2?L7n0S`3ooom2ool2
00lIool004?oo`0300oooooo00?oo`05L7n0Sg1oP8m`O`3ooom3ool00`0?ooooo`0Gool004?oo`03
00oooooo00?oo`05P8m`Oh2?L7n0S`3ooom3ool00`0?ooooo`0Gool004?oo`0300oooooo00?oo`05
L7n0Sg1oP8m`O`3ooom3ool00`0?ooooo`0Gool004?oo`0300oooooo00?oo`05P8m`Oh2?L7n0S`3o
oom3ool00`0?ooooo`0Gool004?oo`0300oooooo00Coo`05P8m`Oh2?L7n0S`3ooom2ool00`0?oooo
o`0Gool004?oo`0300oooooo00Coo`05L7n0Sg1oP8m`O`3ooom2ool00`0?ooooo`0Gool004?oo`<0
3`Coo`05P8m`Oh2?L7n0S`3ooom1ool200lIool004?oo`0300oooooo00Coo`05L7n0Sg1oP8m`O`3o
oom2ool00`0?ooooo`0Gool004?oo`0300oooooo00Coo`05P8m`Oh2?L7n0S`3ooom2ool00`0?oooo
o`0Gool004?oo`0300oooooo00Coo`05L7n0Sg1oP8m`O`3ooom2ool00`0?ooooo`0Gool004?oo`03
00oooooo00Coo`05P8m`Oh2?L7n0S`3ooom2ool00`0?ooooo`0Gool004?oo`0300oooooo00Goo`05
P8m`Oh2?L7n0S`3ooom1ool00`0?ooooo`0Gool004?oo`0300oooooo00Goo`05L7n0Sg1oP8m`O`3o
oom1ool00`0?ooooo`0Gool004?oo`<03`Goo`05P8m`Oh2?L7n0S`3ooom0ool200lIool004?oo`03
00oooooo00Goo`05L7n0Sg1oP8m`O`3ooom1ool00`0?ooooo`0Gool004?oo`0300oooooo00Goo`05
P8m`Oh2?L7n0S`3ooom1ool00`0?ooooo`0Gool004?oo`0300oooooo00Goo`05L7n0Sg1oP8m`O`3o
oom1ool00`0?ooooo`0Gool004?oo`0300oooooo00Koo`05L7n0Sg1oP8m`O`3ooom0ool00`0?oooo
o`0Gool004?oo`0300oooooo00Koo`05P8m`Oh2?L7n0S`3ooom0ool00`0?ooooo`0Gool004?oo`<0
3`Koo`05L7n0Sg1oP8m`O`3oooloool200lIool004?oo`0300oooooo00Koo`05P8m`Oh2?L7n0S`3o
oom0ool00`0?ooooo`0Gool002coo`L03`?oo`@03`Woo`0300oooooo00Koo`05L7n0Sg1oP8m`O`3o
oom0ool00`0?ooooo`0Gool002coo`L03`;oo`803`;oo`803`Soo`0300oooooo00Koo`05P8m`Oh2?
L7n0S`3ooom0ool00`0?ooooo`0Gool002goo`803`?oo`0300oooooo00803`;oo`803`Soo`0300oo
oooo00Ooo`05P8m`Oh2?L7n0S`3oooloool00`0?ooooo`0Gool002koo`803`Coo`803`Coo`803`Oo
o`0300oooooo00Ooo`05L7n0Sg1oP8m`O`3oooloool00`0?ooooo`0Gool0023oo`T03`Koo`803`?o
o`803`Coo`803`Ooo`0300oooooo00Ooo`05P8m`Oh2?L7n0S`3oooloool00`0?ooooo`0Gool0033o
o`803`;oo`803`Coo`803`Ooo`@03`Koo`05L7n0Sg1oP8m`O`3ooolmool300lIool001Ooo`803aOo
o`803`;oo`803`Coo`803`Ooo`0300oooooo00Ooo`05P8m`Oh2?L7n0S`3oooloool00`0?ooooo`0G
ool000ooo`<03`;oo`H03aOoo`803`03ool03`0?00Coo`803`Ooo`0300oooooo00Soo`05P8m`Oh2?
L7n0S`3ooolnool00`0?ooooo`0Gool000koo`H03`03ool03ooo00;oo`0300oooooo01Goo`803`03
ool03`0?00Coo`803`Ooo`0300oooooo00Soo`05L7n0Sg1oP8m`O`3ooolnool00`0?ooooo`0Gool0
00goo`0300oooooo00;oo`803`03ool03ooo00;oo`0300oooooo013oo`0300oooooo00;oo`803`03
ool03`0?00Coo`803`Ooo`0300oooooo00Soo`05P8m`Oh2?L7n0S`3ooolnool00`0?ooooo`0Gool0
00goo`0300oooooo00?oo`0300ooo`0?00?oo`0300oooooo013oo`803`;oo`<03`;oo`803`;oo`80
3`Soo`0300oooooo00Soo`05L7n0Sg1oP8m`O`3ooolnool00`0?ooooo`0Gool000goo`803`Coo`03
00ooo`0?00?oo`0300oooooo017oo`H03`;oo`803`;oo`803`Soo`0300oooooo00Woo`05L7n0Sg1o
P8m`O`3ooolmool00`0?ooooo`0Gool000koo`D03`;oo`0500ooooooool03`0Dool400l4ool400l9
ool300l9ool01H2?L7n0Sg1oP8l0oooo??oo0P0?6Ooo000>ool400l3ool0100?ooooo`0?:_oo00<0
3oooool02Ooo00E`Oh2?L7n0Sg1o0?ooocgoo`0300oooooo01Ooo`003_oo00<03oooool01Ooo0P0?
:ooo00<03oooool02Ooo00F0Sg1oP8m`Oh2?0?ooocgoo`0300oooooo01Ooo`004ooo0P0?;_oo00<0
3oooool02Ooo00E`Oh2?L7n0Sg1o0?ooocgoo`0300oooooo01Ooo`003_oo0P0?0_oo100?;Ooo00<0
3oooool02_oo00E`Oh2?L7n0Sg1o0?oooccoo`0300oooooo01Ooo`003Ooo0`0?00?oo`0?ool00_oo
00<03oooool0:ooo00<03oooool02_oo00F0Sg1oP8m`Oh2?0?oooccoo`0300oooooo01Ooo`003Ooo
00D03oooooooo`0?00?oo`0300oooooo02_oo`0300oooooo00[oo`05L7n0Sg1oP8m`O`3ooollool0
0`0?ooooo`0Gool000goo`0400oooooo00l3ool00`0?ooooo`0/ool300l:ool01H2?L7n0Sg1oP8l0
oooo>ooo0P0?6Ooo000=ool900l]ool00`0?ooooo`0;ool01H2?L7n0Sg1oP8l0oooo>ooo00<03ooo
ool05ooo000>ool800l]ool00`0?ooooo`0;ool01G1oP8m`Oh2?L7l0oooo>ooo00<03oooool05ooo
000Eool00`0?ooooo`0[ool00`0?ooooo`0;ool01H2?L7n0Sg1oP8l0oooo>ooo00<03oooool05ooo
000>ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0;ool01G1oP8m`Oh2?L7l0oooo>ooo
00<03oooool05ooo000:ool200l2ool800l]ool00`0?ooooo`0<ool01G1oP8m`Oh2?L7l0oooo>_oo
00<03oooool05ooo000:ool200l00ooo00l03`0700l]ool00`0?ooooo`0<ool01H2?L7n0Sg1oP8l0
oooo>_oo00<03oooool05ooo000Eool00`0?ooooo`0[ool300l<ool01G1oP8m`Oh2?L7l0oooo>Ooo
0P0?6Ooo0013ool00`0?ooooo`0=ool01G1oP8m`Oh2?L7l0oooo>Ooo00<03oooool05ooo000>ool0
0`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0=ool01H2?L7n0Sg1oP8l0oooo>Ooo00<03ooo
ool05ooo000=ool900l]ool00`0?ooooo`0=ool01G1oP8m`Oh2?L7l0oooo>Ooo00<03oooool05ooo
000=ool900l]ool00`0?ooooo`0=ool01H2?L7n0Sg1oP8l0oooo>Ooo00<03oooool05ooo000>ool0
0`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`0>ool01H2?L7n0Sg1oP8l0oooo>?oo00<03ooo
ool05ooo000=ool00`0?ooooo`0cool00`0?ooooo`0>ool01G1oP8m`Oh2?L7l0oooo>?oo00<03ooo
ool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[ool300l>ool01H2?L7n0Sg1oP8l0oooo=ooo
0P0?6Ooo000=ool900l]ool00`0?ooooo`0?ool01H2?L7n0Sg1oP8l0oooo=ooo00<03oooool05ooo
000>ool800lGool600l2ool400l:ool00`0?ooooo`0?ool01G1oP8m`Oh2?L7l0oooo=ooo00<03ooo
ool05ooo000Eool00`0?ooooo`0Fool400l3ool200l01?oo00l03`0?2?oo00<03oooool03ooo00F0
Sg1oP8m`Oh2?0?ooocOoo`0300oooooo01Ooo`00;ooo0P0?2?oo0P0?2?oo00<03oooool04?oo00F0
Sg1oP8m`Oh2?0?ooocKoo`0300oooooo01Ooo`00;ooo0P0?2Ooo0P0?1ooo00<03oooool04?oo00E`
Oh2?L7n0Sg1o0?ooocKoo`0300oooooo01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo00<03oooool0
4?oo00F0Sg1oP8m`Oh2?0?ooocKoo`0300oooooo01Ooo`00;ooo0P0?2?oo0`0?1ooo100?4?oo00F0
Sg1oP8m`Oh2?0?oooc?oo`<03aWoo`00;ooo0P0?2?oo0P0?2?oo00<03oooool04Ooo00E`Oh2?L7n0
Sg1o0?ooocGoo`0300oooooo01Ooo`00;ooo0P0?1_oo100?2?oo00<03oooool04_oo00E`Oh2?L7n0
Sg1o0?ooocCoo`0300oooooo01Ooo`002_oo3`0?5_oo0P0?1?oo100?2_oo00<03oooool04_oo00F0
Sg1oP8m`Oh2?0?ooocCoo`0300oooooo01Ooo`002_oo00<03oooool02ooo00<03oooool05?oo0P0?
1?oo0P0?3?oo00<03oooool04_oo00E`Oh2?L7n0Sg1o0?ooocCoo`0300oooooo01Ooo`002_oo00<0
3oooool02ooo00<03oooool04_oo100?1?oo0P0?3?oo00<03oooool04ooo00E`Oh2?L7n0Sg1o0?oo
oc?oo`0300oooooo01Ooo`00;_oo0`0?1Ooo1@0?2?oo0`0?4ooo00F0Sg1oP8m`Oh2?0?oooc;oo`80
3aWoo`004?oo100?6ooo0P0?1Ooo1P0?1ooo00<03oooool05?oo00F0Sg1oP8m`Oh2?0?oooc;oo`03
00oooooo01Ooo`003_oo1`0?;_oo00<03oooool05?oo00E`Oh2?L7n0Sg1o0?oooc;oo`0300oooooo
01Ooo`003_oo00<03oooool00ooo0P0?;Ooo00<03oooool05Ooo00E`Oh2?L7n0Sg1o0?oooc7oo`03
00oooooo01Ooo`003Ooo00<03oooool01Ooo00<03oooool0:ooo00<03oooool05Ooo00F0Sg1oP8m`
Oh2?0?oooc7oo`0300oooooo01Ooo`003Ooo00<03oooool01Ooo00<03oooool0:ooo00<03oooool0
5_oo00F0Sg1oP8m`Oh2?0?oooc3oo`0300oooooo01Ooo`002ooo00@03oooool03`Koo`0300oooooo
02_oo`0300oooooo01Koo`05L7n0Sg1oP8m`O`3oool`ool00`0?ooooo`0Gool000_oo`/03bgoo`<0
3aOoo`05L7n0Sg1oP8m`O`3oool^ool200lIool000[oo``03bgoo`0300oooooo01Ooo`05P8m`Oh2?
L7n0S`3oool_ool00`0?ooooo`0Gool001Goo`0300oooooo02_oo`0300oooooo01Ooo`05L7n0Sg1o
P8m`O`3oool_ool00`0?ooooo`0Gool000[oo`0300oooooo00Soo`0300oooooo02_oo`0300oooooo
01Soo`05L7n0Sg1oP8m`O`3oool^ool00`0?ooooo`0Gool000[oo`0300oooooo00Soo`0300oooooo
02_oo`0300oooooo01Soo`05P8m`Oh2?L7n0S`3oool^ool00`0?ooooo`0Gool000[oo``03bgoo`03
00oooooo01Woo`05P8m`Oh2?L7n0S`3oool]ool00`0?ooooo`0Gool000[oo``03bgoo`0300oooooo
01Woo`05L7n0Sg1oP8m`O`3oool]ool00`0?ooooo`0Gool000[oo`0300oooooo00;oo`0300oooooo
00?oo`0300oooooo02_oo`<03a[oo`05L7n0Sg1oP8m`O`3oool[ool200lIool000[oo`0300oooooo
00;oo`0300oooooo00?oo`0300oooooo02_oo`0300oooooo01[oo`06P8m`Oh2?L7n0Sg1ooooo:ooo
00<03oooool05ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?ooooo`0[ool00`0?oooo
o`0Kool01H2?L7n0Sg1oP8l0oooo:ooo00<03oooool05ooo000:ool200l2ool300l4ool00`0?oooo
o`0[ool00`0?ooooo`0Kool01W1oP8m`Oh2?L7n0Soooob[oo`0300oooooo01Ooo`002ooo100?00?o
o`0?ool00_oo0P0?;Ooo00<03oooool07?oo00I`Oh2?L7n0Sg1oP8oooolYool00`0?ooooo`0Gool0
00coo`803`;oo`D03bkoo`0300oooooo01coo`06P8m`Oh2?L7n0Sg1ooooo:Ooo00<03oooool05ooo
000Aool300l_ool00`0?ooooo`0Mool01X2?L7n0Sg1oP8m`OoooobSoo`0300oooooo01Ooo`00@ooo
0`0?7Ooo00I`Oh2?L7n0Sg1oP8oooolWool200lIool004?oo`0300oooooo01koo`06L7n0Sg1oP8m`
Oh2?oooo9ooo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Bool600l3ool400l9
ool00`0?ooooo`0Oool01W1oP8m`Oh2?L7n0SoooobKoo`0300oooooo01Ooo`002_oo00<03oooool0
2ooo00<03oooool04ooo100?0ooo0P0?0_oo0P0?2?oo00<03oooool07ooo00J0Sg1oP8m`Oh2?L7oo
oolVool00`0?ooooo`0Gool000[oo`l03aKoo`803`Coo`803`;oo`803`Soo`0300oooooo023oo`06
P8m`Oh2?L7n0Sg1ooooo9Ooo00<03oooool05ooo000_ool200l3ool200l4ool200l7ool00`0?oooo
o`0Qool01H2?L7n0Sg1oP8l0oooo9Ooo00<03oooool05ooo000Pool900l6ool200l3ool200l4ool2
00l7ool00`0?ooooo`0Qool01W1oP8m`Oh2?L7n0SoooobCoo`0300oooooo01Ooo`00;ooo0P0?0ooo
0P0?1?oo0P0?1ooo100?8Ooo00I`Oh2?L7n0Sg1oP8oooolQool300lIool002ooo`803`?oo`803`Co
o`803`Ooo`0300oooooo02?oo`06L7n0Sg1oP8m`Oh2?oooo8_oo00<03oooool05ooo000_ool200l3
ool200l4ool200l7ool00`0?ooooo`0Tool01W1oP8m`Oh2?L7n0Soooob7oo`0300oooooo01Ooo`00
;ooo0P0?0ooo0P0?1?oo0P0?1ooo00<03oooool09?oo00J0Sg1oP8m`Oh2?L7oooolQool00`0?oooo
o`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo02Goo`06P8m`Oh2?L7n0Sg1ooooo8?oo
00<03oooool05ooo000]ool400l4ool200l2ool200l8ool00`0?ooooo`0Vool01X2?L7n0Sg1oP8m`
Oooooaooo`0300oooooo01Ooo`00;_oo0`0?1?oo0P0?0_oo0P0?2?oo00<03oooool09ooo00J0Sg1o
P8m`Oh2?L7oooolNool00`0?ooooo`0Gool002ooo`803`Goo`@03`Woo`<03bSoo`06P8m`Oh2?L7n0
Sg1ooooo7?oo0P0?6Ooo0013ool00`0?ooooo`0Xool01g1oP8m`Oh2?L7n0Sg1o0?oooacoo`0300oo
oooo01Ooo`00@ooo00<03oooool0:Ooo00M`Oh2?L7n0Sg1oP8m`O`3ooolKool00`0?ooooo`0Gool0
04?oo`0300oooooo02[oo`07L7n0Sg1oP8m`Oh2?L7l0oooo6_oo00<03oooool05ooo0013ool00`0?
ooooo`0[ool01g1oP8m`Oh2?L7n0Sg1o0?oooaWoo`0300oooooo01Ooo`00@ooo00<03oooool0;?oo
00M`Oh2?L7n0Sg1oP8m`O`3ooolHool00`0?ooooo`0Gool004?oo`0300oooooo02goo`07L7n0Sg1o
P8m`Oh2?L7l0oooo5ooo00<03oooool05ooo0013ool300l^ool01g1oP8m`Oh2?L7n0Sg1o0?oooaGo
o`803aWoo`00@ooo00<03oooool0;ooo00M`Oh2?L7n0Sg1oP8m`O`3ooolEool00`0?ooooo`0Gool0
04?oo`0300oooooo033oo`07L7n0Sg1oP8m`Oh2?L7l0oooo5?oo00<03oooool05ooo0013ool00`0?
ooooo`0aool01g1oP8m`Oh2?L7n0Sg1o0?oooa?oo`0300oooooo01Ooo`00@ooo00<03oooool0<_oo
00M`Oh2?L7n0Sg1oP8m`O`3ooolBool00`0?ooooo`0Gool004?oo`0300oooooo03?oo`07L7n0Sg1o
P8m`Oh2?L7l0oooo4Ooo00<03oooool05ooo0013ool300ldool01g1oP8m`Oh2?L7n0Sg1o0?ooo`oo
o`803aWoo`00@ooo00<03oooool0=Ooo00Q`Oh2?L7n0Sg1oP8m`Oh2?oooo3_oo00<03oooool05ooo
0013ool00`0?ooooo`0gool01h2?L7n0Sg1oP8m`Oh2?0?ooo`goo`0300oooooo01Ooo`00@ooo00<0
3oooool0>?oo00R0Sg1oP8m`Oh2?L7n0Sg1ooooo2ooo00<03oooool05ooo0013ool00`0?ooooo`0i
ool02H2?L7n0Sg1oP8m`Oh2?L7n0S`3oool9ool00`0?ooooo`0Gool004?oo`0300oooooo03[oo`09
P8m`Oh2?L7n0Sg1oP8m`Oh2?0?ooo`Soo`0300oooooo01Ooo`00@ooo00<03oooool0>ooo00Z0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Ooooo`Koo`0300oooooo01Ooo`00@ooo0`0??Ooo00U`Oh2?L7n0Sg1oP8m`
Oh2?L7l0oooo1?oo0P0?6Ooo0013ool00`0?ooooo`0nool02W1oP8m`Oh2?L7n0Sg1oP8m`Oh2?oooo
0ooo00<03oooool05ooo000eool400l:ool00`0?ooooo`10ool02H2?L7n0Sg1oP8m`Oh2?L7n0S`3o
ool2ool00`0?ooooo`0Gool003Goo`803`04ool03`0?00l8ool00`0?ooooo`12ool02G1oP8m`Oh2?
L7n0Sg1oP8m`O`3oool00`0?ooooo`0Gool003Woo`803`Soo`0300oooooo04?oo`0:L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8omool00`0?ooooo`0Gool003[oo`803`Ooo`0300oooooo04Goo`09P8m`Oh2?L7n0
Sg1oP8m`Oh2?0?coo`0300oooooo01Ooo`00:Ooo2@0?2?oo0P0?1ooo00<03oooool0A_oo00Z0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oo[oo`0300oooooo01Ooo`00>Ooo0`0?1ooo100?Aooo00]`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1o0?Goo`<03aWoo`00>Ooo0P0?2?oo00<03oooool0BOoo00a`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8oeool00`0?ooooo`0Gool003Ooo`@03`Soo`0300oooooo04coo`0;L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`O`3cool00`0?ooooo`0Gool003Goo`@03`[oo`0300oooooo04koo`0;P8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0S`3aool00`0?ooooo`0Gool003Goo`803`coo`0300oooooo053oo`0;L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`O`3_ool00`0?ooooo`0Gool003Goo`803`coo`0300oooooo05?oo`0;
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`3/ool00`0?ooooo`0Gool003Koo`D03`Soo`0300oooooo05Go
o`0<P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1ojOoo00<03oooool05ooo000fool600l7ool300mGool0
3G1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o0>Goo`803aWoo`00@ooo00<03oooool0FOoo00j0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1ohooo00<03oooool05ooo0013ool00`0?ooooo`1Kool03g1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`3Pool00`0?ooooo`0Gool004?oo`0300oooooo05ko
o`0@L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8oLool00`0?ooooo`0Gool004?oo`0300oo
oooo067oo`0@L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8oIool00`0?ooooo`0Gool004?o
o`0300oooooo06Coo`0AL7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`3Eool00`0?oooo
o`0Gool004?oo`0300oooooo06Ooo`0BL7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
dOoo00<03oooool05ooo0013ool300mZool0571oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8o;ool200lIool004?oo`0300oooooo06koo`0EP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?0<Ooo`0300oooooo01Ooo`00@ooo00<03oooool0LOoo01J0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Ol?oo`0300oooooo01Ooo`00@ooo00<0
3oooool0MOoo01Q`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8nm
ool00`0?ooooo`0Gool004?oo`0300oooooo07Woo`0KP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?0;Koo`0300oooooo01Ooo`00@ooo00<03oooool0O_oo
01b0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Ok3o
o`0300oooooo01Ooo`00@ooo00<03oooool0Pooo01n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0S`2Xool00`0?ooooo`0Gool004?oo`<03hOo
o`0TL7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?W_oo0P0?6Ooo0013ool00`0?ooooo`2=ool09h2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
S`2Fool00`0?ooooo`0Gool004?oo`0300oooooo09Coo`0[P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8l0Rooo00<03oooool05ooo0013ool00`0?ooooo`2Jool0<W1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8mnool00`0?ooooo`0Gool004?oo`0300oooooo0:;oo`0jP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7m^ool00`0?ooooo`0G
ool004?oo`0300oooooo0:_oo`13P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l0G?oo00<03oooool05ooo0013ool300nd
ool0DH2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0S`14ool200lIool004?o
o`0300oooooo0;ooo`1UP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0S`0Vool00`0?ooooo`0Gool003Ooo`@0
3`Soo`0300oooooo0<coo`1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l06Ooo000fool200l2ool200l7ool00`0?oooo
o`3Lool0Kg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`0Iool003Koo`80
3`;oo`803`Ooo`0300oooooo0>koo`1MP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?01Woo`00=Ooo0P0?1?oo0P0?1_oo00<03oooool0
9ooo00<03oooool09ooo00<03oooool09_oo00<03oooool09ooo00<03oooool09_oo00<03oooool0
9ooo00<03oooool02ooo04J0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`OaWoo`00=Ooo0P0?1?oo0P0?1_oo00<0
3oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<0
3oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<0
3oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<0
3oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<0
3oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<0
3oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<0
3oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo02X0
3ooooon0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lIool003Goo`803`Coo`803`Koool03dl03aWoo`00=Ooo0P0?
1?oo0P0?ooooK_oo000eool200l4ool200oooom^ool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?
1?oo0P0?ooooK_oo000fool200l2ool200oooom_ool003Koo`803`;oo`803oooofooo`00=ooo100?
ooooL?oo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[
ool00?oooj_oo`00ooooZooo003ooon[ool00001\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot4\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.99]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.3, 0, 0.7]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.3 0 .7 r
.015 w
.00558 0 m
.00778 .06036 L
.01039 .11195 L
.01326 .15543 L
.01631 .19216 L
.02177 .24327 L
.02741 .2837 L
.03269 .31435 L
.04473 .36786 L
.057 .40793 L
.06822 .43652 L
.08133 .46319 L
.0935 .48323 L
.11548 .51125 L
.13947 .53348 L
.16323 .54973 L
.18477 .56099 L
.20705 .57013 L
.23115 .57789 L
.25378 .58368 L
.27862 .58879 L
.32433 .59576 L
.34691 .59837 L
.37112 .60072 L
.419 .60434 L
.46513 .60692 L
.5095 .60881 L
.55671 .61038 L
.60217 .61157 L
.64587 .6125 L
.69241 .61331 L
.73719 .61395 L
.78482 .61453 L
.83069 .61499 L
.8748 .61537 L
.92176 .61572 L
.96696 .616 L
s
.96696 .616 m
1 .61619 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`05@:m@_d2_D;m0[`3o00m:00lIool004?oo`05D;m0[e2o@:m@_`04ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`0Gool004?o
o`05@:m@[e2_D;m0[`0Uool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?oooo
o`0Vool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Gool004?oo`05
D;m0[e2o@:m@_`3ooom9ool00`0?ooooo`0Gool004?oo`05@:m@_d2_D;m0[`3ooom9ool00`0?oooo
o`0Gool004?oo`0600m0[e2o@:m@_d2_ooooB?oo00<03oooool05ooo0013ool01P0?D:m@[e2o@:m@
[oooodSoo`0300oooooo01Ooo`00@ooo00H03d2_D;m0[e2o@:oooom7ool200lIool004?oo`0600m@
_d2_D;m0[e2oooooB?oo00<03oooool05ooo0013ool01P0?@:m@_d2_D;m0[oooodSoo`0300oooooo
01Ooo`00@ooo00H03e2_D:m@_d2_D:oooom8ool00`0?ooooo`0Gool004?oo`0600m0[e2o@:m@_d2_
ooooB?oo00<03oooool05ooo0013ool01P0?D;m0[e2o@:m@_oooodSoo`0300oooooo01Ooo`00@ooo
00H03d2_D;m0[e2o@:oooom7ool200lIool004?oo`0600m@[e2_D;m0[e2_ooooB?oo00<03oooool0
5ooo0013ool01P0?@:m@_d2_D;m0[oooodSoo`0300oooooo01Ooo`00@ooo00H03e2o@:m@_d2_D;oo
oom8ool00`0?ooooo`0Gool004?oo`0600m0[e2o@:m@_d2_ooooB?oo00<03oooool05ooo0013ool0
1P0?D:m@[e2o@:m@[oooodSoo`0300oooooo01Ooo`00@ooo00H03d2_D;m0[e2o@:oooom8ool00`0?
ooooo`0Gool004?oo`0600m@_d2_D;m0[e2oooooAooo0P0?6Ooo0013ool01P0?@:m@_d2_D;m0[ooo
odSoo`0300oooooo01Ooo`00@ooo00H03e2_D:m@_d2_D:oooom8ool00`0?ooooo`0Gool004?oo`06
00m0[e2o@:m@_d2_ooooB?oo00<03oooool05ooo0013ool01P0?D;m0[e2o@:m@_oooodSoo`0300oo
oooo01Ooo`00@ooo00H03d2_D;m0[e2o@:oooom8ool00`0?ooooo`0Gool004?oo`0600m@[e2_D;m0
[e2_ooooB?oo00<03oooool05ooo0013ool01P0?@:m@_d2_D;m0[oooodOoo`803aWoo`00@ooo00H0
3e2o@:m@_d2_D;oooom8ool00`0?ooooo`0Gool002coo`L03`;oo`@03`[oo`0700oooe2o@:m@_d2_
D;l0ooooAooo00<03oooool05ooo000/ool700l2ool200l01?oo00l03`0?2?oo00D03oooD:m@_d2_
009@[oooodOoo`0300oooooo01Ooo`00;Ooo0P0?0ooo00<03oooool01?oo0P0?2?oo00L03oooD;m0
[e2o@:m@_`3ooom7ool00`0?ooooo`0Gool002koo`803`[oo`803`Ooo`0700oood2_D;m0[e2o@:l0
ooooAooo00<03oooool05ooo000Pool900l6ool200l9ool200l7ool01`0?oom@_d2_D;m0[e2o0?oo
odOoo`0300oooooo01Ooo`00<?oo0P0?1ooo0`0?1ooo0P0?00=@[e2o@:l00U2_ooooAOoo0`0?6Ooo
000`ool200l7ool200l8ool01`0?oom@_d2_D;m0[e2o0?ooodOoo`0300oooooo01Ooo`00<Ooo0P0?
1?oo100?2?oo00L03ooo@:m@_d2_D;m0[`3ooom7ool00`0?ooooo`0Gool0037oo`803`;oo`@03`[o
o`0700oooe2o@:m@_d2_D;l0ooooAooo00<03oooool05ooo000/ool00`0?ooooo`02ool200l2ool2
00l<ool01@0?oom@[e2o@:l00U2_ooooAooo00<03oooool05ooo000/ool200l2ool300l2ool200l<
ool01`0?oom@_d2_D;m0[e2o0?ooodOoo`0300oooooo01Ooo`00;Ooo1P0?0ooo1@0?2?oo00L03ooo
@:m@_d2_D;m0[`3ooom7ool00`0?ooooo`0Gool002koo`@03`Coo`H03`Ooo`803`05D;m0[e2o@:m@
_`3ooom6ool200lIool004?oo`0500oooe2_D;m0[`02D:oooom7ool00`0?ooooo`0Gool004?oo`07
00oooe2o@:m@_d2_D;l0ooooAooo00<03oooool05ooo0013ool01`0?oom0[e2o@:m@_d2_0?ooodOo
o`0300oooooo01Ooo`00@ooo00L03oooD;m0[e2o@:m@_`3ooom7ool00`0?ooooo`0Gool004?oo`05
00ooooooD;m0[`02D:l00e2oooooo`3ooom4ool00`0?ooooo`0Gool004?oo`0800oooooo@:m@_d2_
D;m0[oooodKoo`0300oooooo01Ooo`00@ooo0`0?00E@_d2_D;m0[e2o0?ooodGoo`803aWoo`00@ooo
00P03ooooom0[e2o@:m@_d2_ooooA_oo00<03oooool05ooo0013ool01@0?oooooe2o@:l00U2_00=@
_oooool0ooooA?oo00<03oooool05ooo0013ool0200?oooood2_D;m0[e2o@:oooom6ool00`0?oooo
o`0Gool004?oo`0800ooooooD;m0[e2o@:m@_oooodKoo`0300oooooo01Ooo`00@ooo00P03ooooom0
[e2o@:m@_d2_ooooA_oo00<03oooool05ooo0013ool01@0?oooooe2o@:l00U2_00=@_oooool0oooo
A?oo00<03oooool05ooo0013ool300l01D2_D;m0[e2o@:l0ooooAOoo0P0?6Ooo0013ool0200?oooo
oe2o@:m@_d2_D;oooom6ool00`0?ooooo`0Gool004?oo`0800oooooo@:m@_d2_D;m0[oooodKoo`03
00oooooo01Ooo`00@ooo00D03ooooom@_d2_009@[`03D;oooooo0?ooodCoo`0300oooooo01Ooo`00
@ooo00T03ooooooooe2o@:m@_d2_D;l0ooooAOoo00<03oooool05ooo0013ool02@0?oooooooo@:m@
_d2_D;m0[`3ooom5ool00`0?ooooo`0Gool004?oo`<03`06oom@_d2_D;m0[e2oooooA?oo0P0?6Ooo
0013ool01@0?oooooooo@:l00U2_00=@_d2_ool0ooooA?oo00<03oooool05ooo000/ool700l3ool4
00l9ool02@0?ooooooooD;m0[e2o@:m@_`3ooom5ool00`0?ooooo`0Gool002coo`L03`;oo`803`;o
o`803`Soo`0900oooooooom0[e2o@:m@_d2_0?ooodGoo`0300oooooo01Ooo`00;Ooo0P0?0ooo00<0
3oooool00P0?0_oo0P0?2?oo00T03ooooooooe2o@:m@_d2_D;l0ooooAOoo00<03oooool05ooo000^
ool200l4ool200l4ool200l7ool01@0?oooooooo@:l00U2_00=@_d2_ool0ooooA?oo00<03oooool0
5ooo000Pool900l6ool200l3ool200l4ool200l7ool02@0?ooooooooD;m0[e2o@:m@_`3ooom5ool0
0`0?ooooo`0Gool0033oo`803`;oo`803`Coo`803`Ooo`@03`05@:m@_d2_D;m0[`3ooom3ool300lI
ool001Ooo`803aOoo`803`;oo`803`Coo`803`Ooo`0900oooooooom@_d2_D;m0[e2o0?ooodGoo`03
00oooooo01Ooo`003ooo0`0?0_oo1P0?5ooo0P0?00?oo`0?00l01?oo0P0?1ooo00<03oooool00_oo
0U2_00=@_d2_D:l0ooooA?oo00<03oooool05ooo000>ool600l00ooo00ooo`02ool00`0?ooooo`0E
ool200l00ooo00l03`04ool200l7ool00`0?ooooo`02ool01D2_D;m0[e2o@:l0ooooA?oo00<03ooo
ool05ooo000=ool00`0?ooooo`02ool200l00ooo00ooo`02ool00`0?ooooo`0@ool00`0?ooooo`02
ool200l00ooo00l03`04ool200l7ool00`0?ooooo`02ool01E2o@:m@_d2_D;l0ooooA?oo00<03ooo
ool05ooo000=ool00`0?ooooo`03ool00`0?ool03`03ool00`0?ooooo`0@ool200l2ool300l2ool2
00l2ool200l8ool00`0?ooooo`02ool01D2_D;m0[e2o@:l0ooooA?oo00<03oooool05ooo000=ool2
00l4ool00`0?ool03`03ool00`0?ooooo`0Aool600l2ool200l2ool200l8ool00`0?ooooo`02ool2
D:l00e2o@:m@[`3ooom4ool00`0?ooooo`0Gool000koo`D03`;oo`0500ooooooool03`0Dool400l4
ool400l9ool300l2ool01D2_D;m0[e2o@:l0oooo@ooo0P0?6Ooo000>ool400l3ool0100?ooooo`0?
:_oo00<03oooool00_oo00E@_d2_D;m0[e2o0?ooodCoo`0300oooooo01Ooo`003_oo00<03oooool0
1Ooo0P0?:ooo00<03oooool00_oo00E0[e2o@:m@_d2_0?ooodCoo`0300oooooo01Ooo`004ooo0P0?
;_oo00<03oooool00_oo0U2_00=@_d2_D:l0ooooA?oo00<03oooool05ooo000>ool200l2ool400l]
ool00`0?ooooo`03ool01E2o@:m@_d2_D;l0oooo@ooo00<03oooool05ooo000=ool300l00ooo00oo
o`02ool00`0?ooooo`0[ool00`0?ooooo`03ool01D2_D;m0[e2o@:l0oooo@ooo00<03oooool05ooo
000=ool01@0?oooooooo00l00ooo00<03oooool0:ooo00<03oooool00ooo00E@_d2_D;m0[e2o0?oo
od?oo`0300oooooo01Ooo`003Ooo00@03oooool03`?oo`0300oooooo02coo`<03`?oo`03D:m@_d2_
009@[ooood;oo`803aWoo`003Ooo2@0?;Ooo00<03oooool00ooo00E@_d2_D;m0[e2o0?oood?oo`03
00oooooo01Ooo`003_oo200?;Ooo00<03oooool00ooo00E0[e2o@:m@_d2_0?oood?oo`0300oooooo
01Ooo`005Ooo00<03oooool0:ooo00<03oooool00ooo00E@_d2_D;m0[e2o0?oood?oo`0300oooooo
01Ooo`003_oo00<03oooool01?oo00<03oooool0:ooo00<03oooool00ooo00=@[e2o@:l00U2_oooo
@ooo00<03oooool05ooo000:ool200l2ool800l]ool00`0?ooooo`04ool01D2_D;m0[e2o@:l0oooo
@_oo00<03oooool05ooo000:ool200l00ooo00l03`0700l]ool00`0?ooooo`04ool01E2o@:m@_d2_
D;l0oooo@_oo00<03oooool05ooo000Eool00`0?ooooo`0[ool300l4ool01D2_D;m0[e2o@:l0oooo
@Ooo0P0?6Ooo0013ool00`0?ooooo`04ool01E2o@:m@[e2_D;l0oooo@_oo00<03oooool05ooo000>
ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`04ool01D2_D;m0[e2o@:l0oooo@_oo00<0
3oooool05ooo000=ool900l]ool00`0?ooooo`04ool01E2o@:m@_d2_D;l0oooo@_oo00<03oooool0
5ooo000=ool900l]ool00`0?ooooo`04ool01D2_D;m0[e2o@:l0oooo@_oo00<03oooool05ooo000>
ool00`0?ooooo`04ool00`0?ooooo`0[ool00`0?ooooo`05ool01D2_D:m@[e2o@:l0oooo@Ooo00<0
3oooool05ooo000=ool00`0?ooooo`0cool00`0?ooooo`05ool01E2o@:m@_d2_D;l0oooo@Ooo00<0
3oooool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[ool300l5ool01D2_D;m0[e2o@:l0oooo
@?oo0P0?6Ooo000=ool900l]ool00`0?ooooo`05ool01E2o@:m@_d2_D;l0oooo@Ooo00<03oooool0
5ooo000>ool800lGool600l2ool400l:ool00`0?ooooo`05ool01D2_D:m@[e2o@:l0oooo@Ooo00<0
3oooool05ooo000Eool00`0?ooooo`0Fool400l3ool200l01?oo00l03`0?2?oo00<03oooool01Ooo
00E@_d2_D;m0[e2o0?oood7oo`0300oooooo01Ooo`00;ooo0P0?2?oo0P0?2?oo00<03oooool01_oo
00E@_d2_D;m0[e2o0?oood3oo`0300oooooo01Ooo`00;ooo0P0?2Ooo0P0?1ooo00<03oooool01_oo
00E0[e2o@:m@_d2_0?oood3oo`0300oooooo01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo00<03ooo
ool01_oo0U2_00=@_d2_D:l0oooo@?oo00<03oooool05ooo000_ool200l8ool300l7ool400l5ool0
1D2_D;m0[e2o@:l0oooo?_oo0`0?6Ooo000_ool200l8ool200l8ool00`0?ooooo`06ool01E2o@:m@
_d2_D;l0oooo@?oo00<03oooool05ooo000_ool200l6ool400l8ool00`0?ooooo`06ool01T2_D;m0
[e2o@:m@_oooocooo`0300oooooo01Ooo`002_oo3`0?5_oo0P0?1?oo100?2_oo00<03oooool01ooo
00=@[e2o@:l00U2_oooo?ooo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Dool2
00l4ool200l<ool00`0?ooooo`07ool01E2o@:m@_d2_D;l0oooo?ooo00<03oooool05ooo000:ool0
0`0?ooooo`0;ool00`0?ooooo`0Bool400l4ool200l<ool00`0?ooooo`07ool01D2_D;m0[e2o@:l0
oooo?ooo00<03oooool05ooo000^ool300l5ool500l8ool300l7ool01E2o@:m@_d2_D;l0oooo?_oo
0P0?6Ooo000@ool400lKool200l5ool600l7ool00`0?ooooo`08ool01E2o@:m@[e2_D;l0oooo?_oo
00<03oooool05ooo000>ool700l^ool00`0?ooooo`08ool01D2_D;m0[e2o@:l0oooo?_oo00<03ooo
ool05ooo000>ool00`0?ooooo`03ool200l]ool00`0?ooooo`08ool01E2o@:m@_d2_D;l0oooo?_oo
00<03oooool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[ool00`0?ooooo`08ool01D2_D;m0
[e2o@:l0oooo?_oo00<03oooool05ooo000=ool00`0?ooooo`05ool00`0?ooooo`0[ool00`0?oooo
o`09ool01D2_D:m@[e2o@:l0oooo?Ooo00<03oooool05ooo000;ool0100?ooooo`0?1_oo00<03ooo
ool0:ooo00<03oooool02Ooo00E@_d2_D;m0[e2o0?ooocgoo`0300oooooo01Ooo`002ooo2`0?;Ooo
0`0?2Ooo00E0[e2o@:m@_d2_0?oooccoo`803aWoo`002_oo300?;Ooo00<03oooool02Ooo00E@_d2_
D;m0[e2o0?ooocgoo`0300oooooo01Ooo`005Ooo00<03oooool0:ooo00<03oooool02Ooo00E0[e2_
D:m@_d2_0?ooocgoo`0300oooooo01Ooo`002_oo00<03oooool02?oo00<03oooool0:ooo00<03ooo
ool02_oo00E0[e2o@:m@_d2_0?oooccoo`0300oooooo01Ooo`002_oo00<03oooool02?oo00<03ooo
ool0:ooo00<03oooool02_oo00E@_d2_D;m0[e2o0?oooccoo`0300oooooo01Ooo`002_oo300?;Ooo
00<03oooool02_oo00E0[e2o@:m@_d2_0?oooccoo`0300oooooo01Ooo`002_oo300?;Ooo00<03ooo
ool02_oo0U2_00=@_d2_D:l0oooo??oo00<03oooool05ooo000:ool00`0?ooooo`02ool00`0?oooo
o`03ool00`0?ooooo`0[ool300l;ool01E2o@:m@_d2_D;l0oooo>_oo0P0?6Ooo000:ool00`0?oooo
o`02ool00`0?ooooo`03ool00`0?ooooo`0[ool00`0?ooooo`0;ool01D2_D;m0[e2o@:l0oooo>ooo
00<03oooool05ooo000:ool00`0?ooooo`02ool00`0?ooooo`03ool00`0?ooooo`0[ool00`0?oooo
o`0;ool01E2o@:m@_d2_D;l0oooo>ooo00<03oooool05ooo000:ool200l2ool300l4ool00`0?oooo
o`0[ool00`0?ooooo`0<ool01E2o@:m@[e2_D;l0oooo>_oo00<03oooool05ooo000;ool400l00ooo
00ooo`02ool200l]ool00`0?ooooo`0<ool01D2_D;m0[e2o@:l0oooo>_oo00<03oooool05ooo000<
ool200l2ool500l^ool00`0?ooooo`0<ool01E2o@:m@_d2_D;l0oooo>_oo00<03oooool05ooo000A
ool300l_ool00`0?ooooo`0<ool01D2_D;m0[e2o@:l0oooo>_oo00<03oooool05ooo0013ool300l=
ool01D2_D:m@[e2o@:l0oooo>?oo0P0?6Ooo0013ool00`0?ooooo`0=ool01E2o@:m@_d2_D;l0oooo
>Ooo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Bool600l3ool400l9ool00`0?
ooooo`0=ool01D2_D;m0[e2o@:l0oooo>Ooo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?
ooooo`0Cool400l3ool200l2ool200l8ool00`0?ooooo`0>ool01D2_D;m0[e2o@:l0oooo>?oo00<0
3oooool05ooo000:ool?00lFool200l4ool200l2ool200l8ool00`0?ooooo`0>ool2D:l00e2o@:m@
[`3ooolhool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo00koo`05@:m@
_d2_D;m0[`3ooolhool00`0?ooooo`0Gool0023oo`T03`Koo`803`?oo`803`Coo`803`Ooo`0300oo
oooo00ooo`05@:m@_d2_D;m0[`3ooolgool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Oo
o`@03`koo`05D;m0[e2o@:m@_`3oooleool300lIool002ooo`803`?oo`803`Coo`803`Ooo`0300oo
oooo00ooo`03D:m@_d2_009@[oooocOoo`0300oooooo01Ooo`00;ooo0P0?0ooo0P0?1?oo0P0?1ooo
00<03oooool04?oo00E0[e2o@:m@_d2_0?ooocKoo`0300oooooo01Ooo`00;ooo0P0?0ooo0P0?1?oo
0P0?1ooo00<03oooool04?oo00E@_d2_D;m0[e2o0?ooocKoo`0300oooooo01Ooo`00;ooo0P0?0ooo
0P0?1?oo0P0?1ooo00<03oooool04Ooo00E@_d2_D;m0[e2o0?ooocGoo`0300oooooo01Ooo`00;Ooo
100?1?oo0P0?0_oo0P0?2?oo00<03oooool04Ooo00E0[e2_D:m@_d2_0?ooocGoo`0300oooooo01Oo
o`00;_oo0`0?1?oo0P0?0_oo0P0?2?oo00<03oooool04Ooo00E@_d2_D;m0[e2o0?ooocGoo`0300oo
oooo01Ooo`00;ooo0P0?1Ooo100?2Ooo0`0?4_oo00E@_d2_D;m0[e2o0?oooc?oo`803aWoo`00@ooo
00<03oooool04_oo00E0[e2o@:m@_d2_0?ooocCoo`0300oooooo01Ooo`00@ooo00<03oooool04ooo
00=@[e2o@:l00U2_oooo<ooo00<03oooool05ooo0013ool00`0?ooooo`0Cool01E2o@:m@_d2_D;l0
oooo<ooo00<03oooool05ooo0013ool00`0?ooooo`0Dool01E2o@:m@_d2_D;l0oooo<_oo00<03ooo
ool05ooo0013ool00`0?ooooo`0Dool01D2_D;m0[e2o@:l0oooo<_oo00<03oooool05ooo0013ool0
0`0?ooooo`0Eool01D2_D:m@[e2o@:l0oooo<Ooo00<03oooool05ooo0013ool300lEool01E2o@:m@
_d2_D;l0oooo<?oo0P0?6Ooo0013ool00`0?ooooo`0Fool01E2o@:m@_d2_D;l0oooo<?oo00<03ooo
ool05ooo0013ool00`0?ooooo`0Fool01T2_D;m0[e2o@:m@_oooobooo`0300oooooo01Ooo`00@ooo
00<03oooool05ooo00=@[e2o@:l00U2_oooo;ooo00<03oooool05ooo0013ool00`0?ooooo`0Gool0
1U2o@:m@_d2_D;m0[oooobkoo`0300oooooo01Ooo`00@ooo00<03oooool05ooo00I0[e2o@:m@_d2_
D;ooool^ool00`0?ooooo`0Gool004?oo`<03aSoo`06@:m@_d2_D;m0[e2ooooo;?oo0P0?6Ooo0013
ool00`0?ooooo`0Iool01T2_D:m@[e2o@:m@[oooobcoo`0300oooooo01Ooo`00@ooo00<03oooool0
6Ooo00I@_d2_D;m0[e2o@:ooool/ool00`0?ooooo`0Gool004?oo`0300oooooo01[oo`06D;m0[e2o
@:m@_d2_oooo:ooo00<03oooool05ooo0013ool00`0?ooooo`0Jool01T2_D;m0[e2o@:m@_oooob_o
o`0300oooooo01Ooo`00@ooo00<03oooool06ooo00=@[e2o@:l00U2_00=@_oooool0oooo:?oo00<0
3oooool05ooo0013ool00`0?ooooo`0Lool01T2_D;m0[e2o@:m@_oooobWoo`0300oooooo01Ooo`00
@ooo0`0?7Ooo00I0[e2o@:m@_d2_D;oooolWool200lIool004?oo`0300oooooo01koo`06@:m@_d2_
D;m0[e2ooooo9ooo00<03oooool05ooo000eool400l:ool00`0?ooooo`0Nool2D:l0152o@:m@[e2_
oooo9ooo00<03oooool05ooo000eool200l01?oo00l03`0?2?oo00<03oooool07ooo00I@_d2_D;m0
[e2o@:oooolVool00`0?ooooo`0Gool003Woo`803`Soo`0300oooooo023oo`06D;m0[e2o@:m@_d2_
oooo9Ooo00<03oooool05ooo000jool200l7ool00`0?ooooo`0Qool01U2o@:m@_d2_D;m0[oooobCo
o`0300oooooo01Ooo`00:Ooo2@0?2?oo0P0?1ooo00<03oooool08_oo0U2_00A@_d2_D:m@[oooob?o
o`0300oooooo01Ooo`00>Ooo0`0?1ooo100?8Ooo00M0[e2o@:m@_d2_D;m0[`3ooolPool300lIool0
03Woo`803`Soo`0300oooooo02Coo`06D;m0[e2o@:m@_d2_oooo8Ooo00<03oooool05ooo000gool4
00l8ool00`0?ooooo`0Uool01U2o@:m@_d2_D;m0[oooob3oo`0300oooooo01Ooo`00=Ooo100?2_oo
00<03oooool09_oo0U2_00A@_d2_D:m@[ooooaooo`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03ooo
ool09ooo00I@_d2_D;m0[e2o@:oooolNool00`0?ooooo`0Gool003Goo`803`coo`0300oooooo02So
o`07D;m0[e2o@:m@_d2_D;l0oooo7?oo00<03oooool05ooo000fool500l8ool00`0?ooooo`0Yool0
1e2o@:m@_d2_D;m0[e2o0?oooa_oo`0300oooooo01Ooo`00=_oo1P0?1ooo0`0?:_oo0U2_00I@_d2_
D:m@[e2o@:oooolHool200lIool004?oo`0300oooooo02_oo`08D;m0[e2o@:m@_d2_D;m0[ooooaSo
o`0300oooooo01Ooo`00@ooo00<03oooool0;?oo00U@_d2_D;m0[e2o@:m@_d2_D;l0oooo5_oo00<0
3oooool05ooo0013ool00`0?ooooo`0^ool02D2_D;m0[e2o@:m@_d2_D;m0[`3ooolDool00`0?oooo
o`0Gool004?oo`0300oooooo02ooo`03D:m@_d2_009@[`05D;m0[e2_D:m@_`3ooolBool00`0?oooo
o`0Gool004?oo`0300oooooo033oo`0;@:m@_d2_D;m0[e2o@:m@_d2_D;m0[`3oool@ool00`0?oooo
o`0Gool004?oo`0300oooooo03;oo`0;D;m0[e2o@:m@_d2_D;m0[e2o@:m@_`3oool>ool00`0?oooo
o`0Gool004?oo`<03c?oo`0;D;m0[e2o@:m@_d2_D;m0[e2o@:m@_`3oool<ool200lIool004?oo`03
00oooooo03Goo`05@:m@[e2_D;m0[`02D:l01E2o@:m@[e2_D;l0oooo2_oo00<03oooool05ooo0013
ool00`0?ooooo`0gool0352o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[oooo`Soo`0300oooooo01Ooo`00
@ooo00<03oooool0>Ooo00e0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[`3oool5ool00`0?ooooo`0G
ool004?oo`0300oooooo03coo`0=@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:l0oooo0_oo00<03ooo
ool05ooo0013ool00`0?ooooo`0nool2D:l01U2o@:m@[e2_D;m0[`9@[`05D;m0[e2_D:m@_`3mool0
0`0?ooooo`0Gool004?oo`0300oooooo047oo`0@D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:oiool00`0?ooooo`0Gool004?oo`<03d?oo`0B@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2om?oo0P0?6Ooo0013ool00`0?ooooo`16ool0542_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;o`ool00`0?ooooo`0Gool004?oo`0300oooooo04Woo`05@:m@[e2_D;m0[`02
D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_j_oo00<03oooool05ooo0013ool00`0?
ooooo`1=ool06U2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:oSool00`0?ooooo`0Gool004?oo`0300oooooo057oo`0N@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2ofooo00<03oooool05ooo0013ool00`0?
ooooo`1Eool0952o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[m7oo`0300oooooo01Ooo`00@ooo0`0?F_oo0U2_00I@_d2_D:m@
[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l0
1U2o@:m@[e2_D;m0[`9@[`03D;m0[ooo0<;oo`803aWoo`00@ooo00<03oooool0H?oo03I0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;ndool00`0?ooooo`0Gool003Oo
o`@03`Soo`0300oooooo06Ooo`17@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[`2Lool00`0?ooooo`0Gool0
03Koo`803`;oo`803`Ooo`0300oooooo06ooo`1VD;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_MOoo00<0
3oooool05ooo000fool200l2ool200l7ool00`0?ooooo`1iool01D2_D:m@[e2o@:l00U2_00I@_d2_
D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2
D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@
[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@
[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_
D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_
00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`07D;m0[e2_D:m@_d2_D:l08ooo00<03ooo
ool05ooo000eool200l4ool200l6ool00`0?ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool0
0`0?ooooo`09ool0aD2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:l06Ooo000eool200l4
ool200l6ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?
ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?
ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?
ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool0^00?oooooe2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o6Ooo000e
ool200l4ool200l6oona00l0WD2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_01Woo`00=Ooo0P0?1?oo0P0?ooooK_oo000e
ool200l4ool200oooom^ool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?1?oo0P0?ooooK_oo000f
ool200l2ool200oooom_ool003Koo`803`;oo`803oooofooo`00=ooo100?ooooL?oo003ooon[ool0
0?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00oooo
Zooo003ooon[ool00001\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot5\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.995]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.1, 0, 0.9]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.1 0 .9 r
.015 w
.00281 0 m
.00403 .06655 L
.00538 .11815 L
.00778 .18387 L
.01039 .23505 L
.01326 .27795 L
.01631 .31393 L
.02177 .36333 L
.02741 .40157 L
.03269 .42982 L
.04473 .47689 L
.05102 .49507 L
.057 .50948 L
.06822 .53088 L
.08031 .54796 L
.0935 .56177 L
.10545 .57123 L
.11628 .578 L
.12892 .58429 L
.14055 .58892 L
.16283 .59558 L
.17455 .59824 L
.18694 .60059 L
.20967 .60398 L
.23089 .60636 L
.25445 .60838 L
.27593 .60982 L
.29989 .6111 L
.32206 .61205 L
.36643 .61347 L
.38804 .614 L
.41189 .61449 L
.45843 .61525 L
.50321 .61579 L
.55084 .61623 L
.59671 .61656 L
.64082 .61681 L
.68778 .61703 L
.73298 .6172 L
.78102 .61735 L
.8273 .61748 L
.87183 .61758 L
.9192 .61767 L
.96481 .61774 L
s
.96481 .61774 m
1 .61779 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`044=lPka3O8>oo00m;00lIool004?oo`048>l@gb3_4=l5ool00`0?ooooo`05
ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06
ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05
ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05
ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`05
ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05
ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06
ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05
ool00`0?ooooo`06ool00`0?ooooo`05ool00`0?ooooo`05ool00`0?ooooo`0Gool004?oo`044=lP
gb3O8>lVool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?
ooooo`0Wool00`0?ooooo`0Wool00`0?ooooo`0Vool00`0?ooooo`0Gool004?oo`048>l@gb3_4=oo
oom:ool00`0?ooooo`0Gool004?oo`044=lPka3O8>oooom:ool00`0?ooooo`0Gool004?oo`058>l@
gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?oo`054=lPgb3O8>l@g`3ooom9ool00`0?ooooo`0G
ool004?oo`058>l@gb3_4=lPk`3ooom8ool200lIool004?oo`054=lPka3O8>l@g`3ooom9ool00`0?
ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?oo`054=lPgb3O8>l@
g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?o
o`054=lPka3O8>l@g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom8ool200lI
ool004?oo`054=lPgb3O8>l@g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom9
ool00`0?ooooo`0Gool004?oo`054=lPka3O8>l@g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@
gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?oo`054=lPgb3O8>l@g`3ooom9ool00`0?ooooo`0G
ool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?oo`054=lPka3O8>l@g`3ooom8
ool200lIool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?oo`054=lPgb3O8>l@
g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool004?o
o`054=lPka3O8>l@g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lPk`3ooom9ool00`0?
ooooo`0Gool004?oo`054=lPgb3O8>l@g`3ooom9ool00`0?ooooo`0Gool004?oo`058>l@gb3_4=lP
k`3ooom8ool200lIool004?oo`054=lPka3O8>l@g`3ooom9ool00`0?ooooo`0Gool002coo`L03`;o
o`@03`[oo`058>l@gb3_4=lPk`3ooom9ool00`0?ooooo`0Gool002coo`L03`;oo`803`04ool03`0?
00l8ool01A3O8=lPgb3_4=l0ooooBOoo00<03oooool05ooo000]ool200l3ool00`0?ooooo`04ool2
00l8ool01B3_4=lPka3O8>l0ooooBOoo00<03oooool05ooo000^ool200l:ool200l7ool01A3O8>l@
gb3_4=l0ooooBOoo00<03oooool05ooo000Pool900l6ool200l9ool200l7ool01B3_4=lPka3O8>l0
ooooBOoo00<03oooool05ooo000`ool200l7ool300l7ool01A3O8=lPgb3_4=l0ooooAooo0`0?6Ooo
000`ool200l7ool200l8ool01B3_4=lPka3O8>l0ooooBOoo00<03oooool05ooo000aool200l4ool4
00l8ool01A3O8>l@gb3_4=l0ooooBOoo00<03oooool05ooo000aool200l2ool400l:ool01B3_4=lP
ka3O8>l0ooooBOoo00<03oooool05ooo000/ool00`0?ooooo`02ool200l2ool200l<ool01A3O8=lP
gb3_4=l0ooooBOoo00<03oooool05ooo000/ool200l2ool300l2ool200l<ool01B3_4=lPka3O8>l0
ooooBOoo00<03oooool05ooo000]ool600l3ool500l8ool01A3O8>l@gb3_4=l0ooooBOoo00<03ooo
ool05ooo000^ool400l4ool600l7ool01B3_4=lPka3O8>l0ooooB?oo0P0?6Ooo0013ool01A3O8=lP
gb3_4=l0ooooBOoo00<03oooool05ooo0013ool01B3_4=lPka3O8>l0ooooBOoo00<03oooool05ooo
0013ool01A3O8>l@gb3_4=l0ooooBOoo00<03oooool05ooo0013ool01B3_4=lPka3O8>l0ooooBOoo
00<03oooool05ooo0013ool01P0?8=lPgb3_4=lPgoooodSoo`0300oooooo01Ooo`00@ooo00H03a3O
8>l@gb3_4=oooom8ool00`0?ooooo`0Gool004?oo`0600lPka3O8>l@gb3_ooooAooo0P0?6Ooo0013
ool01P0?4=lPka3O8>l@goooodSoo`0300oooooo01Ooo`00@ooo00H03b3O8=lPka3O8=oooom8ool0
0`0?ooooo`0Gool004?oo`0600l@gb3_4=lPka3OooooB?oo00<03oooool05ooo0013ool01P0?8>l@
gb3_4=lPkoooodSoo`0300oooooo01Ooo`00@ooo00H03a3O8>l@gb3_4=oooom8ool00`0?ooooo`0G
ool004?oo`0600lPgb3O8>l@gb3OooooB?oo00<03oooool05ooo0013ool01P0?4=lPka3O8>l@gooo
odOoo`803aWoo`00@ooo00H03b3_4=lPka3O8>oooom8ool00`0?ooooo`0Gool004?oo`0600l@gb3_
4=lPka3OooooB?oo00<03oooool05ooo0013ool01P0?8=lPgb3_4=lPgoooodSoo`0300oooooo01Oo
o`00@ooo00H03a3O8>l@gb3_4=oooom8ool00`0?ooooo`0Gool004?oo`0600lPka3O8>l@gb3_oooo
B?oo00<03oooool05ooo0013ool01P0?4=lPka3O8>l@goooodOoo`803aWoo`00@ooo00H03b3O8=lP
ka3O8=oooom8ool00`0?ooooo`0Gool002coo`L03`?oo`@03`Woo`0600l@gb3_4=lPka3OooooB?oo
00<03oooool05ooo000/ool700l2ool200l2ool200l8ool01P0?8>l@gb3_4=lPkoooodSoo`0300oo
oooo01Ooo`00;Ooo0P0?0ooo00<03oooool00P0?0_oo0P0?2?oo00H03a3O8>l@gb3_4=oooom8ool0
0`0?ooooo`0Gool002koo`803`Coo`803`Coo`803`Ooo`0600lPgb3O8>l@gb3OooooB?oo00<03ooo
ool05ooo000Pool900l6ool200l3ool200l4ool200l7ool01P0?4=lPka3O8>l@goooodSoo`0300oo
oooo01Ooo`00<?oo0P0?0_oo0P0?1?oo0P0?1ooo00H03b3_4=lPka3O8>oooom6ool300lIool001Oo
o`803aOoo`803`;oo`803`Coo`803`Ooo`0600l@gb3_4=lPka3OooooB?oo00<03oooool05ooo000?
ool300l2ool600lGool200l00ooo00l03`04ool200l7ool01@0?oolPgb3_4=l00R3OooooAooo00<0
3oooool05ooo000>ool600l00ooo00ooo`02ool00`0?ooooo`0Eool200l00ooo00l03`04ool200l7
ool01`0?oolPka3O8>l@gb3_0?ooodOoo`0300oooooo01Ooo`003Ooo00<03oooool00_oo0P0?00?o
o`0?ool00_oo00<03oooool04?oo00<03oooool00_oo0P0?00?oo`0?00l01?oo0P0?1ooo00L03ooo
4=lPka3O8>l@g`3ooom7ool00`0?ooooo`0Gool000goo`0300oooooo00?oo`0300ooo`0?00?oo`03
00oooooo013oo`803`;oo`<03`;oo`803`;oo`803`Soo`0700ooob3_4=lPka3O8>l0ooooAooo00<0
3oooool05ooo000=ool200l4ool00`0?ool03`03ool00`0?ooooo`0Aool600l2ool200l2ool200l8
ool01@0?oolPgb3_4=l00R3OooooAooo00<03oooool05ooo000>ool500l2ool01@0?oooooooo00l0
5?oo100?1?oo100?2Ooo0P0?00DPka3O8>l@gb3_0?ooodKoo`803aWoo`003_oo100?0ooo00@03ooo
ool03b[oo`0700oooa3O8>l@gb3_4=l0ooooAooo00<03oooool05ooo000>ool00`0?ooooo`05ool2
00l[ool01`0?oolPka3O8>l@gb3_0?ooodOoo`0300oooooo01Ooo`004ooo0P0?;_oo00D03ooo8=lP
ka3O008PgoooodOoo`0300oooooo01Ooo`003_oo0P0?0_oo100?;Ooo00L03ooo8>l@gb3_4=lPk`3o
oom7ool00`0?ooooo`0Gool000goo`<03`03ool03ooo00;oo`0300oooooo02_oo`0700oooa3O8>l@
gb3_4=l0ooooAooo00<03oooool05ooo000=ool01@0?oooooooo00l00ooo00<03oooool0:ooo00L0
3ooo8>l@gb3_4=lPk`3ooom7ool00`0?ooooo`0Gool000goo`0400oooooo00l3ool00`0?ooooo`0/
ool200l00b3O8>l@g`028=oooom6ool200lIool000goo`T03bgoo`0700ooob3_4=lPka3O8>l0oooo
Aooo00<03oooool05ooo000>ool800l]ool01`0?ool@gb3_4=lPka3O0?ooodOoo`0300oooooo01Oo
o`005Ooo00<03oooool0:ooo00L03ooo8>l@gb3_4=lPk`3ooom7ool00`0?ooooo`0Gool000koo`03
00oooooo00Coo`0300oooooo02_oo`0500ooob3O8>l@g`028=oooom7ool00`0?ooooo`0Gool000[o
o`803`;oo`P03bgoo`0800oooooo4=lPka3O8>l@goooodKoo`0300oooooo01Ooo`002_oo0P0?00?o
o`0?00l01`0?;Ooo00P03ooooolPka3O8>l@gb3_ooooA_oo00<03oooool05ooo000Eool00`0?oooo
o`0[ool300l01A3O8>l@gb3_4=l0ooooAOoo0P0?6Ooo0013ool01@0?ooooob3_4=l00R3O00<Pkooo
ool0ooooA?oo00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool0200?oooooa3O
8>l@gb3_4=oooom6ool00`0?ooooo`0Gool000goo`T03bgoo`0800oooooo8>l@gb3_4=lPkoooodKo
o`0300oooooo01Ooo`003Ooo2@0?;Ooo00P03oooool@gb3_4=lPka3OooooA_oo00<03oooool05ooo
000>ool00`0?ooooo`04ool00`0?ooooo`0[ool01@0?ooooob3_4=l00R3O00<Pkoooool0ooooA?oo
00<03oooool05ooo000=ool00`0?ooooo`0cool0200?oooooa3O8>l@gb3_4=oooom6ool00`0?oooo
o`0Gool000goo`0300oooooo00Goo`0300oooooo02_oo`<03`058>l@gb3_4=lPk`3ooom5ool200lI
ool000goo`T03bgoo`0800oooooo4=lPka3O8>l@goooodKoo`0300oooooo01Ooo`003_oo200?5ooo
1P0?0_oo100?2_oo00D03ooooolPka3O008Pg`038>oooooo0?ooodCoo`0300oooooo01Ooo`005Ooo
00<03oooool05_oo100?0ooo0P0?00Coo`0?00l03`Soo`0800oooooo4=lPka3O8>l@goooodKoo`03
00oooooo01Ooo`00;ooo0P0?2?oo0P0?2?oo00T03ooooooooa3O8>l@gb3_4=l0ooooAOoo00<03ooo
ool05ooo000_ool200l9ool200l7ool02@0?oooooooo8>l@gb3_4=lPk`3ooom5ool00`0?ooooo`0G
ool0023oo`T03`Koo`803`Woo`803`Ooo`0500ooooooool@g`028=l00b3_4=ooo`3ooom4ool00`0?
ooooo`0Gool002ooo`803`Soo`<03`Ooo`@03`058>l@gb3_4=lPk`3ooom3ool300lIool002ooo`80
3`Soo`803`Soo`0900ooooooool@gb3_4=lPka3O0?ooodGoo`0300oooooo01Ooo`00;ooo0P0?1_oo
100?2?oo00T03oooooooob3_4=lPka3O8>l0ooooAOoo00<03oooool05ooo000:ool?00lFool200l4
ool400l:ool01@0?oooooooo4=l00R3O00<Pka3Oool0ooooA?oo00<03oooool05ooo000:ool00`0?
ooooo`0;ool00`0?ooooo`0Dool200l4ool200l<ool02@0?oooooooo8>l@gb3_4=lPk`3ooom5ool0
0`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01;oo`@03`Coo`803`coo`0900oooooo
ool@gb3_4=lPka3O0?ooodGoo`0300oooooo01Ooo`00;_oo0`0?1Ooo1@0?2?oo0`0?00Koob3_4=lP
ka3O8>oooom4ool200lIool0013oo`@03a_oo`803`Goo`H03`Ooo`0300oooooo00;oo`8Pg`038>l@
gb3O0?ooodCoo`0300oooooo01Ooo`003_oo1`0?;_oo00<03oooool00_oo00D@gb3_4=lPka3O0?oo
odCoo`0300oooooo01Ooo`003_oo00<03oooool00ooo0P0?;Ooo00<03oooool00_oo00DPka3O8>l@
gb3_0?ooodCoo`0300oooooo01Ooo`003Ooo00<03oooool01Ooo00<03oooool0:ooo00<03oooool0
0_oo00D@gb3_4=lPka3O0?ooodCoo`0300oooooo01Ooo`003Ooo00<03oooool01Ooo00<03oooool0
:ooo00<03oooool00_oo0R3O00<Pka3O8=l0ooooA?oo00<03oooool05ooo000;ool0100?ooooo`0?
1_oo00<03oooool0:ooo00<03oooool00_oo00D@gb3_4=lPka3O0?ooodCoo`0300oooooo01Ooo`00
2ooo2`0?;Ooo0`0?0_oo00DPka3O8>l@gb3_0?oood?oo`803aWoo`002_oo300?;Ooo00<03oooool0
0_oo00D@gb3_4=lPka3O0?ooodCoo`0300oooooo01Ooo`005Ooo00<03oooool0:ooo00<03oooool0
0_oo0R3O00<Pka3O8=l0ooooA?oo00<03oooool05ooo000:ool00`0?ooooo`08ool00`0?ooooo`0[
ool00`0?ooooo`03ool01B3_4=lPka3O8>l0oooo@ooo00<03oooool05ooo000:ool00`0?ooooo`08
ool00`0?ooooo`0[ool00`0?ooooo`03ool01A3O8>l@gb3_4=l0oooo@ooo00<03oooool05ooo000:
ool<00l]ool00`0?ooooo`03ool01B3_4=lPka3O8>l0oooo@ooo00<03oooool05ooo000:ool<00l]
ool00`0?ooooo`03ool00b3O8>l@g`028=oooom3ool00`0?ooooo`0Gool000[oo`0300oooooo00;o
o`0300oooooo00?oo`0300oooooo02_oo`<03`?oo`058>l@gb3_4=lPk`3ooom2ool200lIool000[o
o`0300oooooo00;oo`0300oooooo00?oo`0300oooooo02_oo`0300oooooo00?oo`054=lPka3O8>l@
g`3ooom3ool00`0?ooooo`0Gool000[oo`0300oooooo00;oo`0300oooooo00?oo`0300oooooo02_o
o`0300oooooo00?oo`058>l@gb3_4=lPk`3ooom3ool00`0?ooooo`0Gool000[oo`803`;oo`<03`Co
o`0300oooooo02_oo`0300oooooo00Coo`058>l@gb3O8=lPk`3ooom2ool00`0?ooooo`0Gool000_o
o`@03`03ool03ooo00;oo`803bgoo`0300oooooo00Coo`054=lPka3O8>l@g`3ooom2ool00`0?oooo
o`0Gool000coo`803`;oo`D03bkoo`0300oooooo00Coo`058>l@gb3_4=lPk`3ooom2ool00`0?oooo
o`0Gool0017oo`<03booo`0300oooooo00Coo`054=lPka3O8>l@g`3ooom2ool00`0?ooooo`0Gool0
04?oo`<03`Coo`058>l@gb3O8=lPk`3ooom1ool200lIool004?oo`0300oooooo00Coo`054=lPka3O
8>l@g`3ooom2ool00`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01;oo`H03`?oo`@0
3`Woo`0300oooooo00Coo`058>l@gb3_4=lPk`3ooom2ool00`0?ooooo`0Gool000[oo`0300oooooo
00_oo`0300oooooo01?oo`@03`?oo`803`;oo`803`Soo`0300oooooo00Goo`058>l@gb3_4=lPk`3o
oom1ool00`0?ooooo`0Gool000[oo`l03aKoo`803`Coo`803`;oo`803`Soo`0300oooooo00Goo`05
4=lPgb3O8>l@g`3ooom1ool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0300oooooo
00Goo`058>l@gb3_4=lPk`3ooom1ool00`0?ooooo`0Gool0023oo`T03`Koo`803`?oo`803`Coo`80
3`Ooo`0300oooooo00Goo`054=lPka3O8>l@g`3ooom1ool00`0?ooooo`0Gool002ooo`803`?oo`80
3`Coo`803`Ooo`@03`Coo`058>l@gb3_4=lPk`3oooloool300lIool002ooo`803`?oo`803`Coo`80
3`Ooo`0300oooooo00Goo`054=lPgb3O8>l@g`3ooom1ool00`0?ooooo`0Gool002ooo`803`?oo`80
3`Coo`803`Ooo`0300oooooo00Koo`054=lPka3O8>l@g`3ooom0ool00`0?ooooo`0Gool002ooo`80
3`?oo`803`Coo`803`Ooo`0300oooooo00Koo`058>l@gb3_4=lPk`3ooom0ool00`0?ooooo`0Gool0
02ooo`803`?oo`803`Coo`803`Ooo`0300oooooo00Koo`054=lPka3O8>l@g`3ooom0ool00`0?oooo
o`0Gool002goo`@03`Coo`803`;oo`803`Soo`0300oooooo00Koo`8Pg`038>l@gb3O0?oood3oo`03
00oooooo01Ooo`00;_oo0`0?1?oo0P0?0_oo0P0?2?oo00<03oooool01_oo00D@gb3_4=lPka3O0?oo
od3oo`0300oooooo01Ooo`00;ooo0P0?1Ooo100?2Ooo0`0?1ooo00D@gb3_4=lPka3O0?ooockoo`80
3aWoo`00@ooo00<03oooool01ooo00DPka3O8>l@gb3_0?ooocooo`0300oooooo01Ooo`00@ooo00<0
3oooool01ooo00<Pgb3_4=l00R3Ooooo?ooo00<03oooool05ooo0013ool00`0?ooooo`07ool01B3_
4=lPka3O8>l0oooo?ooo00<03oooool05ooo0013ool00`0?ooooo`08ool01B3_4=lPka3O8>l0oooo
?_oo00<03oooool05ooo0013ool00`0?ooooo`08ool01A3O8>l@gb3_4=l0oooo?_oo00<03oooool0
5ooo0013ool00`0?ooooo`08ool01B3_4=lPgb3O8>l0oooo?_oo00<03oooool05ooo0013ool300l8
ool01A3O8>l@gb3_4=l0oooo?Ooo0P0?6Ooo0013ool00`0?ooooo`09ool01A3O8>l@gb3_4=l0oooo
?Ooo00<03oooool05ooo0013ool00`0?ooooo`09ool01B3_4=lPka3O8>l0oooo?Ooo00<03oooool0
5ooo0013ool00`0?ooooo`09ool01A3O8=lPgb3_4=l0oooo?Ooo00<03oooool05ooo0013ool00`0?
ooooo`09ool01B3_4=lPka3O8>l0oooo?Ooo00<03oooool05ooo0013ool00`0?ooooo`0:ool01B3_
4=lPka3O8>l0oooo??oo00<03oooool05ooo0013ool300l:ool01A3O8>l@gb3_4=l0oooo>ooo0P0?
6Ooo0013ool00`0?ooooo`0:ool28=l00b3_4=lPg`3ooollool00`0?ooooo`0Gool004?oo`0300oo
oooo00_oo`058>l@gb3_4=lPk`3ooolkool00`0?ooooo`0Gool004?oo`0300oooooo00_oo`054=lP
ka3O8>l@g`3ooolkool00`0?ooooo`0Gool004?oo`0300oooooo00_oo`058>l@gb3_4=lPk`3ooolk
ool00`0?ooooo`0Gool004?oo`0300oooooo00coo`058>l@gb3O8=lPk`3oooljool00`0?ooooo`0G
ool004?oo`0300oooooo00coo`054=lPka3O8>l@g`3oooljool00`0?ooooo`0Gool004?oo`<03`co
o`058>l@gb3_4=lPk`3oooliool200lIool004?oo`0300oooooo00goo`058>l@gb3_4=lPk`3oooli
ool00`0?ooooo`0Gool003Goo`@03`[oo`0300oooooo00goo`054=lPgb3O8>l@g`3oooliool00`0?
ooooo`0Gool003Goo`803`04ool03`0?00l8ool00`0?ooooo`0>ool01A3O8>l@gb3_4=l0oooo>?oo
00<03oooool05ooo000iool200l8ool00`0?ooooo`0>ool01B3_4=lPka3O8>l0oooo>?oo00<03ooo
ool05ooo000jool200l7ool00`0?ooooo`0>ool01Q3O8>l@gb3_4=lPkoooocOoo`0300oooooo01Oo
o`00:Ooo2@0?2?oo0P0?1ooo00<03oooool03ooo00<Pgb3_4=l00R3Ooooo=ooo00<03oooool05ooo
000iool300l7ool400l>ool01R3_4=lPka3O8>l@goooocCoo`<03aWoo`00>Ooo0P0?2?oo00<03ooo
ool03ooo00H@gb3_4=lPka3O8>oooolfool00`0?ooooo`0Gool003Ooo`@03`Soo`0300oooooo013o
o`064=lPka3O8>l@gb3_oooo=Ooo00<03oooool05ooo000eool400l:ool00`0?ooooo`0@ool01R3_
4=lPgb3O8>l@goooocGoo`0300oooooo01Ooo`00=Ooo0P0?3?oo00<03oooool04Ooo00HPka3O8>l@
gb3_4=ooooldool00`0?ooooo`0Gool003Goo`803`coo`0300oooooo017oo`064=lPka3O8>l@gb3_
oooo=?oo00<03oooool05ooo000fool500l8ool00`0?ooooo`0Bool01Q3O8>l@gb3_4=lPkooooc?o
o`0300oooooo01Ooo`00=_oo1P0?1ooo0`0?4ooo00<Pgb3_4=l00R3O00<Pkoooool0oooo;ooo0P0?
6Ooo0013ool00`0?ooooo`0Dool01Q3O8>l@gb3_4=lPkooooc7oo`0300oooooo01Ooo`00@ooo00<0
3oooool05?oo00HPka3O8>l@gb3_4=oooolaool00`0?ooooo`0Gool004?oo`0300oooooo01Goo`06
8>l@gb3_4=lPka3Ooooo<?oo00<03oooool05ooo0013ool00`0?ooooo`0Fool28=l0123_4=lPgb3O
oooo;ooo00<03oooool05ooo0013ool00`0?ooooo`0Fool01a3O8>l@gb3_4=lPka3O0?ooobkoo`03
00oooooo01Ooo`00@ooo00<03oooool05ooo00L@gb3_4=lPka3O8>l@g`3oool]ool00`0?ooooo`0G
ool004?oo`<03aSoo`074=lPka3O8>l@gb3_4=l0oooo:ooo0P0?6Ooo0013ool00`0?ooooo`0Iool0
1A3O8=lPgb3_4=l00R3Ooooo:ooo00<03oooool05ooo0013ool00`0?ooooo`0Jool01a3O8>l@gb3_
4=lPka3O0?ooob[oo`0300oooooo01Ooo`00@ooo00<03oooool06ooo00P@gb3_4=lPka3O8>l@gb3_
oooo:?oo00<03oooool05ooo0013ool00`0?ooooo`0Lool02A3O8>l@gb3_4=lPka3O8>l@g`3ooolV
ool00`0?ooooo`0Gool004?oo`0300oooooo01koo`8Pg`068>l@gb3O8=lPka3Ooooo9Ooo00<03ooo
ool05ooo0013ool00`0?ooooo`0Oool02B3_4=lPka3O8>l@gb3_4=lPk`3ooolSool00`0?ooooo`0G
ool004?oo`<03b3oo`0:8>l@gb3_4=lPka3O8>l@gb3_4=oooolPool200lIool004?oo`0300oooooo
027oo`0;8>l@gb3_4=lPka3O8>l@gb3_4=lPk`3ooolOool00`0?ooooo`0Gool004?oo`0300oooooo
02?oo`038=lPka3O008Pg`068>l@gb3O8=lPka3O0R3Ooooo6ooo00<03oooool05ooo0013ool00`0?
ooooo`0Vool03A3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O0?oooaSoo`0300oooooo01Ooo`00@ooo
00<03oooool0:?oo00lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l0oooo5?oo00<03oooool0
5ooo0013ool00`0?ooooo`0Zool04Q3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPkooo
o`ooo`0300oooooo01Ooo`00@ooo0`0?;?oo00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8P
g`078>l@gb3O8=lPka3O8=l0oooo1ooo0P0?6Ooo0013ool00`0?ooooo`0`ool06a3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@g`3oool00`0?ooooo`0Gool0
03Ooo`@03`Soo`0300oooooo03?oo`0U4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=l0l_oo00<03oooool05ooo000fool2
00l2ool200l7ool00`0?ooooo`0gool0=b3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_0=coo`0300oooooo01Ooo`00=_oo0P0?0_oo0P0?1ooo00<03oooool0??oo
00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lP
gb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l0
1R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O
8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00<Pka3Oool0Zooo00<03oooool05ooo000eool200l4ool2
00l6ool00`0?ooooo`0Wool00`0?ooooo`0Iool0ob3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
k`002B3_4=lPka3O8>l@gb3_4=lPk`0Iool003Goo`803`Coo`803`Koo`0300oooooo00Koo`0300oo
oooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oo
oooo00Koo`0300oooooo00Goo`0300oooooo00Goo`3o00oooooo4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_000400oooooo4=lIool003Goo`803`Coo`803`Kooe/03`3c4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O01Woo`00=Ooo0P0?1?oo
0P0?ooooK_oo000eool200l4ool200oooom^ool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?1?oo
0P0?ooooK_oo000fool200l2ool200oooom_ool003Koo`803`;oo`803oooofooo`00=ooo100?oooo
L?oo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool0
0?oooj_oo`00ooooZooo003ooon[ool00001\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(plot6\  = \ 
      Plot[20  Log[10, Abs[H[E^\((I\ \ 2\ *\ Pi\ *\ w/44100)\), \ 0.999]]], 
        \ {w, \ 0, \ 0.02\ 1/2\ *\ 44100}, \ 
        PlotStyle -> {Thickness[0.015], \n\ \ \ RGBColor[0.0, 0, 0.3]}, 
        DefaultFont -> {"\<Times-Roman\>", \ 18}, \n\ \ \ 
        FrameLabel
           -> {"\<frequency [Hz for 44100 sample rate]\>", \ "\<gain [dB]\>", 
            \ "\< \>", \ "\< \>"}, \n
        PlotRange -> {{0, \ 400}, \ {\(-30\), \ 0}}, \ Frame -> True]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 0 .3 r
.015 w
.00124 0 m
.00136 .16001 L
.0026 .27438 L
.00403 .35013 L
.00538 .39845 L
.00663 .43193 L
.00778 .45651 L
.01039 .49741 L
.01175 .51314 L
.01302 .52543 L
.01592 .5469 L
.01874 .56175 L
.02177 .57331 L
.02471 .58156 L
.02792 .58831 L
.03095 .59316 L
.03376 .59671 L
.03907 .60167 L
.04203 .60374 L
.04473 .6053 L
.05101 .60811 L
.05679 .60996 L
.06314 .61146 L
.06984 .61264 L
.07567 .61343 L
.08112 .61403 L
.08705 .61456 L
.0935 .61502 L
.1056 .61568 L
.11706 .61613 L
.12822 .61646 L
.13854 .6167 L
.16015 .61705 L
.17245 .6172 L
.184 .61731 L
.20736 .61748 L
.22878 .6176 L
.25069 .61769 L
.27465 .61776 L
.29736 .61781 L
.32161 .61786 L
.34466 .61789 L
.36965 .61792 L
.41593 .61796 L
.4633 .618 L
.50891 .61802 L
.55277 .61803 L
s
.55277 .61803 m
.55516 .61803 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{425.5625, 262.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006Z00011a000`40l00?003`ooooZooo001kool4
00lRool300nBool400m`ool007coo`803b?oo`@03`_oo`@03h?oo`803c?oo`@03c[oo`00O?oo0P0?
9_oo00<03oooool02Ooo00<03oooool0Q?oo0P0?=_oo00<03oooool0>?oo001lool200lVool200l:
ool00`0?ooooo`24ool200lfool00`0?ooooo`0hool006?oo`@03`;oo`@03`Coo`@03`Coo`D03`?o
o`<03`04ool03`0?00l3ool400l2ool400l2ool300l2ool400l5ool00`0?ooooo`08ool00`0?oooo
o`03ool400l3ool400l00ooo00l03`0500l5ool400l4ool400l3ool400l<ool200l7ool200l4ool6
00l3ool400l5ool400l7ool0100?ool03`0?1Ooo0P0?0_oo1P0?00?oo`0?00l00P0?00?oo`0?00l0
0P0?00?oo`0?00l00`0?0ooo100?0ooo100?1ooo100?1?oo0P0?0_oo0P0?0_oo0`0?0_oo100?1Ooo
00<03oooool0>?oo001Tool200l4ool200l4ool200l2ool200l2ool200l2ool200l2ool300l01?oo
00l03`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?0_oo0`0?0_oo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?3Ooo0P0?1ooo0P0?
1Ooo100?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo0P0?0_oo00@03oooooooo`H03`;oo`803`?o
o`803`?oo`803`;oo`<03`03ool03`0?00?oo`803`?oo`803`;oo`803`Ooo`803`Coo`H03`;oo`<0
3`04ool03`0?00l2ool200l4ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`803`Koo`803`?o
o`803`;oo`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Soo`<03`Woo`0300oooooo
00Coo`803`Goo`803`?oo`803`?oo`0300oooooo00Coo`803`?oo`803`Coo`803`;oo`803`goo`80
3`Ooo`803`Koo`803`Coo`803`;oo`803`?oo`803`;oo`803`Koo`0300oooooo00803`?oo`803`;o
o`803`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Coo`803`;o
o`803`;oo`803`;oo`803`Woo`0300oooooo03Soo`00I?oo0P0?1?oo0P0?0ooo0P0?1_oo0P0?0ooo
0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo00<03oooool0
1?oo0P0?1Ooo0P0?1?oo0P0?2Ooo0P0?0ooo0P0?1?oo0P0?0_oo0P0?2?oo200?00?oo`0?00l01P0?
1Ooo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?1?oo0P0?0_oo0P0?0_oo0P0?0_oo
0P0?2Ooo00<03oooool0>?oo001Tool200l4ool200l3ool200l6ool200l3ool200l2ool200l3ool2
00l2ool200l7ool200l3ool200l00ooo00l03`07ool200l00ooo00l03`08ool00`0?ooooo`04ool2
00l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool200l3ool200l2ool200l3ool2
00l6ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool300l5ool200l00ooo00l03`02ool2
00l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l5ool200l00ooo00l03`02
ool200l2ool200l9ool00`0?ooooo`0hool006Coo`803`Coo`803`?oo`L03`03ool03`0?00?oo`80
3`;oo`803`?oo`803`;oo`L03`;oo`803`?oo`803`03ool03`0?00Ooo`803`;oo`0300oooooo00Ko
o`0300oooooo00Coo`803`Goo`803`Goo`803`Soo`803`?oo`803`Coo`803`;oo`803`Soo`803`?o
o`803`;oo`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Goo`<03`Soo`<0
3`;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`L03`Ooo`803`Ooo`<03`;oo`80
3`;oo`L03`Coo`0300oooooo03Soo`00I?oo0P0?1?oo0`0?0_oo0P0?1?oo00@03ooo00l03`?oo`80
3`;oo`803`?oo`803`;oo`803`Coo`0300oooooo00<03`;oo`803`03ool03`0?00Koo`<03`;oo`03
00oooooo00Koo`0300oooooo00Coo`T03`;oo`0400ooooooool200l7ool200l3ool200l4ool200l2
ool300l8ool200l2ool200l3ool200l2ool200l6ool200l3ool200l4ool200l00ooo00l03`04ool2
00l5ool200l2ool0100?oooooooo0P0?0_oo0P0?0_oo0`0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?
0_oo0P0?0_oo0P0?1?oo00<03oooool01Ooo0`0?0ooo0P0?0_oo0P0?0_oo0P0?0_oo0P0?1?oo00<0
3oooool00_oo00<03oooool0>?oo001Tool200l4ool200l01?oo00l03ooo0P0?0_oo0P0?0_oo0P0?
0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0_oo0P0?00?oo`0?00l00P0?0_oo0P0?0_oo0P0?
00?oo`0?00l00ooo0P0?1ooo00<03oooool01?oo0P0?1Ooo0P0?0_oo0P0?0_oo0`0?1_oo0P0?1?oo
0P0?0_oo0P0?0ooo0P0?00?oo`0?00l01_oo0`0?00?oo`0?00l00ooo0`0?00?oo`0?00l01_oo0P0?
0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo00<03oooool00P0?0ooo0P0?0_oo00@03ooooooo
o`803`03ool03`0?00803`03ool03`0?00803`;oo`<03`04ool03`0?00l2ool200l3ool200l2ool2
00l7ool200l01?oo00l03ooo0P0?0_oo00@03oooooooo`803`?oo`803`;oo`803`Coo`0300oooooo
03Soo`00Hooo1@0?00Goo`0?00l03ooo00803`;oo`@03`Coo`D03`04ool03`0?00l2ool300l4ool4
00l2ool300l2ool200l4ool400l00ooo00l03`0200l2ool200l7ool00`0?ooooo`04ool200l5ool2
00l2ool700l5ool500l3ool400l3ool300l00ooo00l03`07ool200l00ooo00l03`04ool200l00ooo
00l03`06ool200l3ool200l4ool200l00ooo00l03`04ool200l6ool200l00ooo00ooo`03ool400l2
ool300l2ool200l3ool200l2ool300l01?oo00l03`0?0ooo0P0?1?oo100?1ooo0`0?00?oo`0?00l0
0_oo100?0_oo1@0?0_oo100?1Ooo00<03oooool0>?oo001Tool200m:ool00`0?ooooo`04ool200l5
ool200l?ool200lJool400l5ool400l6ool200l3ool200l4ool200l00ooo00l03`04ool200l/ool2
00lNool200l=ool00`0?ooooo`0hool006Goo`0300oooooo04Soo`0300oooooo00Coo`803`Goo`80
3a3oo`0300oooooo01Woo`<03`Koo`<03`Coo`@03`Coo`803`;oo`803`?oo`803`;oo`803bgoo`80
3aooo`0300oooooo00_oo`0300oooooo03Soo`00IOoo0P0?00?oo`0?ool0A_oo100?0ooo0P0?1Ooo
0P0?4?oo0P0?00?oo`0?ool05ooo0`0?1_oo0`0?1Ooo0`0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?
;Ooo0P0?:_oo100?>_oo001Vool300m=ool400l3ool400l@ool300lIool200l7ool200l6ool200l5
ool400l5ool400l]ool300mXool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00I_oo100?
1_oo100?6?oo1P0?0ooo100?1Ooo100?4ooo1P0?0_oo100?1_oo100?4ooo1`0?0ooo100?1Ooo100?
4_oo1`0?0_oo100?1_oo100?4ooo1@0?1Ooo100?1Ooo100?4ooo1@0?1?oo100?1_oo100?5_oo0P0?
1?oo100?1Ooo100?3ooo001Vool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo100?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?4ooo100?0ooo0P0?00Coo`0?00l03`?oo`803`;oo`803a;oo`L03`;oo`80
3`;oo`803`?oo`803`;oo`803a7oo`L03`;oo`803`04ool03`0?00l3ool200l2ool200lBool200l2
ool200l3ool200l2ool200l3ool200l2ool200lBool200l2ool200l3ool200l01?oo00l03`0?0ooo
0P0?0_oo0P0?5Ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?3_oo001Zool200l3ool200l2ool2
00lIool200l4ool200l2ool200l3ool200l2ool200lDool200l8ool200l3ool200l2ool200lCool2
00l3ool00`0?ooooo`0200l2ool200l3ool200l2ool200lBool200l3ool00`0?ooooo`04ool200l3
ool200l2ool200lGool200l2ool200l2ool200l3ool200l2ool200lGool200l6ool200l3ool200l2
ool200lEool200l3ool200l2ool200l3ool200l2ool200l>ool006_oo`803`03ool03`0?00Coo`80
3aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Woo`803`03ool03`0?00Coo`80
3a?oo`803`Coo`803`Coo`803`03ool03`0?00Coo`803a;oo`803`[oo`803`03ool03`0?00Coo`80
3aKoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803aKoo`803`Ooo`803`03ool03`0?00Co
o`803`ooo`P03`03ool03`0?00Coo`803`03ool03`0?00Coo`803`goo`00Jooo0P0?00?oo`0?00l0
1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?2Ooo0P0?00?oo`0?00l0
1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5_oo0P0?1ooo0P0?00?oo`0?
00l01?oo0P0?3ooo0P0?0ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Zool300l0
0ooo00l03`04ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l8ool300l0
0ooo00l03`04ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lDool200l7ool300l0
0ooo00l03`04ool200lEool300l00ooo00l03`04ool200l00ooo00l03`04ool200lEool300l6ool3
00l00ooo00l03`04ool200l?ool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l=ool0
06[oo`803`;oo`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`So
o`803`;oo`803`Coo`803aGoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803aCoo`803`Ooo`80
3`;oo`803`Coo`803a?oo`@03`;oo`803`Coo`803`03ool03`0?00Coo`803a?oo`@03`Ooo`803`;o
o`803`Coo`803a3oo`803`;oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803`goo`00J?oo100?
0_oo0P0?1?oo0P0?6?oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0P0?1_oo100?0_oo
0P0?1?oo0P0?5_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?5Ooo0P0?1?oo100?0_oo
0P0?1?oo0P0?4ooo0`0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?4ooo0`0?1_oo100?0_oo0P0?
1?oo0P0?4?oo0`0?00?oo`0?00l00_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3Ooo001Vool400l4
ool200l4ool200lHool200l3ool200l4ool200l00ooo00l03`04ool200lCool200l4ool400l4ool2
00l4ool200lFool200l00ooo00l03`04ool200l00ooo00l03`04ool200lEool200l2ool400l4ool2
00l4ool200lEool200l2ool200l4ool200l00ooo00l03`04ool200lEool200l3ool400l4ool200l4
ool200lAool200l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l=ool006Koo`803`Ko
o`803`Coo`803aSoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a?oo`803`Coo`803`Koo`80
3`Coo`803a7oo`0300oooooo00;oo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803a3oo`03
00oooooo00;oo`803`;oo`803`Koo`803`Coo`803aKoo`803`03ool03`0?00Coo`803`03ool03`0?
00Coo`803aKoo`803`;oo`803`Koo`803`Coo`803a;oo`@03`;oo`803`Coo`803`03ool03`0?00Co
o`803`goo`00I_oo0P0?1ooo0P0?0_oo0P0?5ooo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4_oo
100?1?oo0P0?1ooo0P0?0_oo0P0?4_oo0P0?0_oo0`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?4Ooo
0P0?0_oo0`0?0_oo0P0?1ooo0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?0_oo0P0?0ooo
0P0?0_oo0P0?4_oo00<03oooool00_oo0P0?0_oo0P0?1ooo0P0?0_oo0P0?5?oo0`0?0ooo0P0?0_oo
0P0?0ooo0P0?0_oo0P0?3_oo001Wool500l3ool200l2ool200lHool300l4ool200l2ool200l3ool2
00l2ool200lCool300l5ool500l3ool200l2ool200lCool600l2ool200l2ool200l3ool200l2ool2
00lBool600l3ool500l3ool200l2ool200lBool200l2ool300l2ool200l2ool200l3ool200l2ool2
00lBool200l2ool300l3ool500l3ool200l2ool200lDool300l3ool200l2ool200l3ool200l2ool2
00l>ool006Ooo`H03`?oo`@03a[oo`803`Goo`@03`Goo`@03aGoo`803`Goo`H03`?oo`@03aGoo`@0
3`Coo`@03`Goo`@03aCoo`@03`Coo`H03`?oo`@03aCoo`D03`Coo`@03`Goo`@03aCoo`D03`Coo`H0
3`?oo`@03aKoo`803`Coo`@03`Goo`@03`ooo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo
003ooon[ool004?oo`0404l0G`1?05oo00m;00lIool004?oo`<0G`0304oooooo00?oo`0300oooooo
00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo
00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo
00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo
00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo
00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo
00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo
00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo
00Goo`0300oooooo00Koo`0300oooooo00Goo`0300oooooo00Goo`0300oooooo01Ooo`00@ooo00@0
C`1O04l0GbKoo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo02Ooo`0300oooooo02Koo`03
00oooooo02Ooo`0300oooooo02Ooo`0300oooooo02Koo`0300oooooo01Ooo`00@ooo00@0G`1?05l0
Cooood[oo`0300oooooo01Ooo`00@ooo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00@ooo0`1O
00<0Coooool0ooooB?oo00<03oooool05ooo0013ool0101?05l0C`1OooooB_oo00<03oooool05ooo
0013ool0101O04l0G`1?ooooBOoo0P0?6Ooo0013ool0101?05l0C`1OooooB_oo00<03oooool05ooo
0013ool305l00`1?ooooo`3ooom8ool00`0?ooooo`0Gool004?oo`0404l0G`1?05oooom:ool00`0?
ooooo`0Gool004?oo`0405l0C`1O04oooom:ool00`0?ooooo`0Gool004?oo`0404l0G`1?05oooom:
ool00`0?ooooo`0Gool004?oo`<0G`0304oooooo0?ooodOoo`803aWoo`00@ooo00@0C`1O04l0Gooo
od[oo`0300oooooo01Ooo`00@ooo00@0G`1?05l0Cooood[oo`0300oooooo01Ooo`00@ooo00@0C`1O
04l0Gooood[oo`0300oooooo01Ooo`00@ooo0`1O00<0Coooool0ooooB?oo00<03oooool05ooo0013
ool0101?05l0C`1OooooB_oo00<03oooool05ooo0013ool0101O04l0G`1?ooooB_oo00<03oooool0
5ooo0013ool0101?05l0C`1OooooBOoo0P0?6Ooo0013ool305l00`1?ooooo`3ooom8ool00`0?oooo
o`0Gool004?oo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool004?oo`0405l0C`1O04oooom:ool0
0`0?ooooo`0Gool004?oo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool004?oo`<0G`0304oooooo
0?ooodSoo`0300oooooo01Ooo`00@ooo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00@ooo00@0
G`1?05l0CoooodWoo`803aWoo`00@ooo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00;?oo1`0?
0_oo100?2_oo0`1O00<0Coooool0ooooB?oo00<03oooool05ooo000/ool700l2ool200l01?oo00l0
3`0?2?oo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00;Ooo0P0?0ooo00<03oooool01?oo0P0?
2?oo00@0G`1?05l0Cooood[oo`0300oooooo01Ooo`00;_oo0P0?2_oo0P0?1ooo00@0C`1O04l0Gooo
od[oo`0300oooooo01Ooo`008?oo2@0?1_oo0P0?2Ooo0P0?1ooo0`1O00<0Coooool0ooooB?oo00<0
3oooool05ooo000`ool200l7ool300l7ool0101?05l0C`1OooooB?oo0`0?6Ooo000`ool200l7ool2
00l8ool0101O04l0G`1?ooooB_oo00<03oooool05ooo000aool200l4ool400l8ool0101?05l0C`1O
ooooB_oo00<03oooool05ooo000aool200l2ool400l:ool305l00`1?ooooo`3ooom8ool00`0?oooo
o`0Gool002coo`0300oooooo00;oo`803`;oo`803`coo`0404l0G`1?05oooom:ool00`0?ooooo`0G
ool002coo`803`;oo`<03`;oo`803`coo`0405l0C`1O04oooom:ool00`0?ooooo`0Gool002goo`H0
3`?oo`D03`Soo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool002koo`@03`Coo`H03`Ooo`<0G`03
04oooooo0?ooodOoo`803aWoo`00@ooo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00@ooo00@0
G`1?05l0Cooood[oo`0300oooooo01Ooo`00@ooo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00
@ooo0`1O00<0Coooool0ooooB?oo00<03oooool05ooo0013ool0101?05l0C`1OooooB_oo00<03ooo
ool05ooo0013ool0101O04l0G`1?ooooB_oo00<03oooool05ooo0013ool0101?05l0C`1OooooBOoo
0P0?6Ooo0013ool305l00`1?ooooo`3ooom8ool00`0?ooooo`0Gool004?oo`0404l0G`1?05oooom:
ool00`0?ooooo`0Gool004?oo`0405l0C`1O04oooom:ool00`0?ooooo`0Gool004?oo`0404l0G`1?
05oooom:ool00`0?ooooo`0Gool004?oo`<0G`0304oooooo0?ooodSoo`0300oooooo01Ooo`00@ooo
00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00@ooo00@0G`1?05l0CoooodWoo`803aWoo`00@ooo
00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`00@ooo0`1O00<0Coooool0ooooB?oo00<03oooool0
5ooo0013ool0101?05l0C`1OooooB_oo00<03oooool05ooo0013ool0101O04l0G`1?ooooB_oo00<0
3oooool05ooo0013ool0101?05l0C`1OooooB_oo00<03oooool05ooo0013ool305l00`1?ooooo`3o
oom7ool200lIool004?oo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool002coo`L03`?oo`@03`Wo
o`0405l0C`1O04oooom:ool00`0?ooooo`0Gool002coo`L03`;oo`803`;oo`803`Soo`0404l0G`1?
05oooom:ool00`0?ooooo`0Gool002goo`803`?oo`0300oooooo00803`;oo`803`Soo`<0G`0304oo
oooo0?ooodSoo`0300oooooo01Ooo`00;_oo0P0?1?oo0P0?1?oo0P0?1ooo00@0C`1O04l0Gooood[o
o`0300oooooo01Ooo`008?oo2@0?1_oo0P0?0ooo0P0?1?oo0P0?1ooo00@0G`1?05l0Cooood[oo`03
00oooooo01Ooo`00<?oo0P0?0_oo0P0?1?oo0P0?1ooo00@0C`1O04l0GoooodSoo`<03aWoo`005ooo
0P0?5ooo0P0?0_oo0P0?1?oo0P0?1ooo0`1O00<0Coooool0ooooB?oo00<03oooool05ooo000?ool3
00l2ool600lGool200l00ooo00l03`04ool200l7ool0101?05l0C`1OooooB_oo00<03oooool05ooo
000>ool600l00ooo00ooo`02ool00`0?ooooo`0Eool200l00ooo00l03`04ool200l7ool0101O04l0
G`1?ooooB_oo00<03oooool05ooo000=ool00`0?ooooo`02ool200l00ooo00ooo`02ool00`0?oooo
o`0@ool00`0?ooooo`02ool200l00ooo00l03`04ool200l7ool0101?05l0C`1OooooB_oo00<03ooo
ool05ooo000=ool00`0?ooooo`03ool00`0?ool03`03ool00`0?ooooo`0@ool200l2ool300l2ool2
00l2ool200l8ool305l00`1?ooooo`3ooom8ool00`0?ooooo`0Gool000goo`803`Coo`0300ooo`0?
00?oo`0300oooooo017oo`H03`;oo`803`;oo`803`Soo`0404l0G`1?05oooom:ool00`0?ooooo`0G
ool000koo`D03`;oo`0500ooooooool03`0Dool400l4ool400l9ool0101O04l0G`1?ooooBOoo0P0?
6Ooo000>ool400l3ool0100?ooooo`0?:_oo00@0C`1O04l0Gooood[oo`0300oooooo01Ooo`003_oo
00<03oooool01Ooo0P0?:ooo0`1O00<0Coooool0ooooB?oo00<03oooool05ooo000Cool200l^ool0
101?05l0C`1OooooB_oo00<03oooool05ooo000>ool200l2ool400l]ool0101O04l0G`1?ooooB_oo
00<03oooool05ooo000=ool300l00ooo00ooo`02ool00`0?ooooo`0[ool0101?05l0C`1OooooB_oo
00<03oooool05ooo000=ool01@0?oooooooo00l00ooo00<03oooool0:ooo0`1O00<0Coooool0oooo
B?oo00<03oooool05ooo000=ool0100?ooooo`0?0ooo00<03oooool0;?oo00@0C`1O04l0GoooodWo
o`803aWoo`003Ooo2@0?;Ooo00@0G`1?05l0Cooood[oo`0300oooooo01Ooo`003_oo200?;Ooo00@0
C`1O04l0Gooood[oo`0300oooooo01Ooo`005Ooo00<03oooool0:ooo0`1O00<0Coooool0ooooB?oo
00<03oooool05ooo000>ool00`0?ooooo`04ool00`0?ooooo`0[ool0101?05l0C`1OooooB_oo00<0
3oooool05ooo000:ool200l2ool800l]ool0101O04l0G`1?ooooB_oo00<03oooool05ooo000:ool2
00l00ooo00l03`0700l]ool0101?05l0C`1OooooB_oo00<03oooool05ooo000Eool00`0?ooooo`0[
ool305l00`1?ooooo`3ooom7ool200lIool004?oo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool0
00koo`0300oooooo00Coo`0300oooooo02_oo`0405l0C`1O04oooom:ool00`0?ooooo`0Gool000go
o`T03bgoo`0404l0G`1?05oooom:ool00`0?ooooo`0Gool000goo`T03bgoo`<0G`0304oooooo0?oo
odSoo`0300oooooo01Ooo`003_oo00<03oooool01?oo00<03oooool0:ooo00@0C`1O04l0Gooood[o
o`0300oooooo01Ooo`003Ooo00<03oooool0<ooo00@0G`1?05l0Cooood[oo`0300oooooo01Ooo`00
3Ooo00<03oooool01Ooo00<03oooool0:ooo00@0C`1O04l0GoooodWoo`803aWoo`003Ooo2@0?;Ooo
0`1O00<0Coooool0ooooB?oo00<03oooool05ooo000>ool800lGool600l2ool400l:ool0101?05l0
C`1OooooB_oo00<03oooool05ooo000Eool00`0?ooooo`0Fool400l3ool200l01?oo00l03`0?2?oo
00@0G`1?05l0Cooood[oo`0300oooooo01Ooo`00;ooo0P0?2?oo0P0?2?oo00D0C`1O04l0G`1?0?oo
odWoo`0300oooooo01Ooo`00;ooo0P0?2Ooo0P0?1ooo0`1O00<0C`1Oool0ooooB?oo00<03oooool0
5ooo000Pool900l6ool200l9ool200l7ool01@1?05l0C`1O04l0ooooBOoo00<03oooool05ooo000_
ool200l8ool300l7ool01@1O04l0G`1?05l0ooooAooo0`0?6Ooo000_ool200l8ool200l8ool01@1?
05l0C`1O04l0ooooBOoo00<03oooool05ooo000_ool200l6ool400l8ool305l00`1?05ooo`3ooom8
ool00`0?ooooo`0Gool000[oo`l03aKoo`803`Coo`@03`[oo`0504l0G`1?05l0C`3ooom9ool00`0?
ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01Coo`803`Coo`803`coo`0505l0C`1O04l0
G`3ooom9ool00`0?ooooo`0Gool000[oo`0300oooooo00_oo`0300oooooo01;oo`@03`Coo`803`co
o`0504l0G`1?05l0C`3ooom9ool00`0?ooooo`0Gool002koo`<03`Goo`D03`Soo`<0G`0304l0Gooo
0?ooodOoo`803aWoo`004?oo100?6ooo0P0?1Ooo1P0?1ooo00D0C`1O04l0G`1?0?ooodWoo`0300oo
oooo01Ooo`003_oo1`0?;_oo00D0G`1?05l0C`1O0?ooodWoo`0300oooooo01Ooo`003_oo00<03ooo
ool00ooo0P0?;Ooo00D0C`1O04l0G`1?0?ooodWoo`0300oooooo01Ooo`003Ooo00<03oooool01Ooo
00<03oooool0:ooo0`1O00<0C`1Oool0ooooB?oo00<03oooool05ooo000=ool00`0?ooooo`05ool0
0`0?ooooo`0[ool01@1?05l0C`1O04l0ooooBOoo00<03oooool05ooo000;ool0100?ooooo`0?1_oo
00<03oooool0:ooo00D0G`1?05l0C`1O0?ooodWoo`0300oooooo01Ooo`002ooo2`0?;Ooo00D0C`1O
04l0G`1?0?ooodSoo`803aWoo`002_oo300?;Ooo0`1O00<0C`1Oool0ooooB?oo00<03oooool05ooo
000Eool00`0?ooooo`0[ool01@1?05l0C`1O04l0ooooBOoo00<03oooool05ooo000:ool00`0?oooo
o`08ool00`0?ooooo`0[ool01@1O04l0G`1?05l0ooooBOoo00<03oooool05ooo000:ool00`0?oooo
o`08ool00`0?ooooo`0[ool01@1?05l0C`1O04l0ooooBOoo00<03oooool05ooo000:ool<00l]ool3
05l00`1?05ooo`3ooom8ool00`0?ooooo`0Gool000[oo``03bgoo`0504l0G`1?05l0C`3ooom9ool0
0`0?ooooo`0Gool000[oo`0300oooooo00;oo`0300oooooo00?oo`0300oooooo02_oo`0505l0C`1O
04l0G`3ooom8ool200lIool000[oo`0300oooooo00;oo`0300oooooo00?oo`0300oooooo02_oo`05
04l0G`1?05l0C`3ooom9ool00`0?ooooo`0Gool000[oo`0300oooooo00;oo`0300oooooo00?oo`03
00oooooo02_oo`<0G`0304l0Gooo0?ooodSoo`0300oooooo01Ooo`002_oo0P0?0_oo0`0?1?oo00<0
3oooool0:ooo00D0C`1O04l0G`1?0?ooodWoo`0300oooooo01Ooo`002ooo100?00?oo`0?ool00_oo
0P0?;Ooo00D0G`1?05l0C`1O0?ooodWoo`0300oooooo01Ooo`003?oo0P0?0_oo1@0?;_oo00D0C`1O
04l0G`1?0?ooodWoo`0300oooooo01Ooo`004Ooo0`0?;ooo0`1O00<0C`1Oool0ooooB?oo00<03ooo
ool05ooo0013ool01@1?05l0C`1O04l0ooooB?oo0P0?6Ooo0013ool01@1O04l0G`1?05l0ooooBOoo
00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Bool600l3ool400l9ool01@1?05l0
C`1O04l0ooooBOoo00<03oooool05ooo000:ool00`0?ooooo`0;ool00`0?ooooo`0Cool400l3ool2
00l2ool200l8ool305l00`1?05ooo`3ooom8ool00`0?ooooo`0Gool000[oo`l03aKoo`803`Coo`80
3`;oo`803`Soo`0504l0G`1?05l0C`3ooom9ool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`80
3`Ooo`0505l0C`1O04l0G`3ooom9ool00`0?ooooo`0Gool0023oo`T03`Koo`803`?oo`803`Coo`80
3`Ooo`0504l0G`1?05l0C`3ooom9ool00`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`<0
G`0304l0Gooo0?ooodKoo`<03aWoo`00;ooo0P0?0ooo0P0?1?oo0P0?1ooo00D0C`1O04l0G`1?0?oo
odWoo`0300oooooo01Ooo`00;ooo0P0?0ooo0P0?1?oo0P0?1ooo00H03`1?05l0C`1O04oooom8ool0
0`0?ooooo`0Gool002ooo`803`?oo`803`Coo`803`Ooo`0600l0G`1?05l0C`1OooooB?oo00<03ooo
ool05ooo000_ool200l3ool200l4ool200l7ool0100?05l0G`1?0P1OooooB?oo00<03oooool05ooo
000]ool400l4ool200l2ool200l8ool01P0?05l0C`1O04l0GoooodSoo`0300oooooo01Ooo`00;_oo
0`0?1?oo0P0?0_oo0P0?2?oo00H03`1?05l0C`1O04oooom8ool00`0?ooooo`0Gool002ooo`803`Go
o`@03`Woo`0600l0G`1?05l0C`1OooooAooo0P0?6Ooo0013ool0100?05l0G`1?0P1OooooB?oo00<0
3oooool05ooo0013ool01P0?05l0C`1O04l0GoooodSoo`0300oooooo01Ooo`00@ooo00H03`1?05l0
C`1O04oooom8ool00`0?ooooo`0Gool004?oo`0600l0G`1?05l0C`1OooooB?oo00<03oooool05ooo
0013ool0100?05l0G`1?0P1OooooB?oo00<03oooool05ooo0013ool01P0?05l0C`1O04l0GoooodSo
o`0300oooooo01Ooo`00@ooo00H03`1?05l0C`1O04oooom7ool200lIool004?oo`0600l0G`1?05l0
C`1OooooB?oo00<03oooool05ooo0013ool0100?05l0G`1?0P1OooooB?oo00<03oooool05ooo0013
ool01P0?05l0C`1O04l0GoooodSoo`0300oooooo01Ooo`00@ooo00H03`1?05l0C`1O04oooom8ool0
0`0?ooooo`0Gool004?oo`0600l0G`1?05l0C`1OooooB?oo00<03oooool05ooo0013ool0100?05l0
G`1?0P1OooooAooo0P0?6Ooo0013ool01P0?05l0C`1O04l0GoooodSoo`0300oooooo01Ooo`00@ooo
00L03ooo05l0C`1O04l0G`3ooom7ool00`0?ooooo`0Gool004?oo`0700ooo`1?05l0C`1O04l0oooo
Aooo00<03oooool05ooo0013ool0100?ool0G`1?0`1OooooAooo00<03oooool05ooo0013ool01`0?
ool0C`1O04l0G`1?0?ooodOoo`0300oooooo01Ooo`00@ooo00L03ooo05l0C`1O04l0G`3ooom7ool0
0`0?ooooo`0Gool004?oo`803`0504l0G`1?05l0C`3ooom6ool200lIool004?oo`0400ooo`1O04l3
05oooom7ool00`0?ooooo`0Gool003Goo`@03`[oo`0700ooo`1?05l0C`1O04l0ooooAooo00<03ooo
ool05ooo000eool200l01?oo00l03`0?2?oo00L03ooo05l0C`1O04l0G`3ooom7ool00`0?ooooo`0G
ool003Woo`803`Soo`0700ooo`1?05l0C`1O04l0ooooAooo00<03oooool05ooo000jool200l7ool0
100?ool0G`1?0`1OooooAooo00<03oooool05ooo000Yool900l8ool200l7ool01`0?ool0C`1O04l0
G`1?0?ooodOoo`0300oooooo01Ooo`00>Ooo0`0?1ooo0P0?00D0G`1?05l0C`1O0?ooodGoo`<03aWo
o`00>Ooo0P0?2?oo00P03oooool0G`1?05l0C`1OooooA_oo00<03oooool05ooo000gool400l8ool0
100?ooooo`1?0`1O00<0Coooool0ooooA?oo00<03oooool05ooo000eool400l:ool0200?ooooo`1O
04l0G`1?05oooom6ool00`0?ooooo`0Gool003Goo`803`coo`0800oooooo04l0G`1?05l0CoooodKo
o`0300oooooo01Ooo`00=Ooo0P0?3?oo00P03oooool0G`1?05l0C`1OooooA_oo00<03oooool05ooo
000fool500l8ool0100?ooooo`1?0`1O00<0Coooool0ooooA?oo00<03oooool05ooo000fool600l7
ool300l01@1O04l0G`1?05l0ooooAOoo0P0?6Ooo0013ool0200?ooooo`1?05l0C`1O04oooom6ool0
0`0?ooooo`0Gool004?oo`0900ooooooool0C`1O04l0G`1?0?ooodGoo`0300oooooo01Ooo`00@ooo
00@03oooooooo`<0G`0304l0Gooo0?ooodCoo`0300oooooo01Ooo`00@ooo00T03oooooooo`1?05l0
C`1O04l0ooooAOoo00<03oooool05ooo0013ool02@0?oooooooo05l0C`1O04l0G`3ooom5ool00`0?
ooooo`0Gool004?oo`0900ooooooool0C`1O04l0G`1?0?ooodGoo`0300oooooo01Ooo`00@ooo0`0?
00Koo`1O05l0G`1?05oooom4ool200lIool004?oo`0300oooooo00;oo`0505l0C`1O04l0G`3ooom4
ool00`0?ooooo`0Gool004?oo`0300oooooo00;oo`0504l0G`1?05l0C`3ooom4ool00`0?ooooo`0G
ool004?oo`0300oooooo00;oo`0505l0C`1O04l0G`3ooom4ool00`0?ooooo`0Gool004?oo`0300oo
oooo00;oo`80G`0304l0G`1O0?ooodCoo`0300oooooo01Ooo`00@ooo00<03oooool00ooo00D0C`1O
04l0G`1?0?oood?oo`0300oooooo01Ooo`00@ooo00<03oooool00ooo00D0G`1?05l0C`1O0?oood?o
o`0300oooooo01Ooo`00@ooo0`0?0ooo00D0C`1O04l0G`1?0?oood;oo`803aWoo`00@ooo00<03ooo
ool01?oo00D0C`1O05l0G`1?0?oood;oo`0300oooooo01Ooo`00@ooo00<03oooool01?oo00D0G`1?
05l0C`1O0?oood;oo`0300oooooo01Ooo`00@ooo00<03oooool01Ooo00D0G`1?05l0C`1O0?oood7o
o`0300oooooo01Ooo`00@ooo00<03oooool01Ooo00D0C`1O04l0G`1?0?oood7oo`0300oooooo01Oo
o`00@ooo00<03oooool01Ooo0`1O00<0C`1O05l0oooo@?oo00<03oooool05ooo0013ool300l6ool0
1`1O04l0G`1?05l0C`1O0?ooocgoo`803aWoo`00@ooo00<03oooool01ooo00L0G`1?05l0C`1O04l0
G`3ooolmool00`0?ooooo`0Gool003Ooo`@03`Soo`0300oooooo00Soo`0805l0C`1O04l0G`1?05l0
Cooooc_oo`0300oooooo01Ooo`00=_oo0P0?0_oo0P0?1ooo00<03oooool02Ooo0`1O00D0C`1O05l0
G`1?00<0G`0304oooooo0?ooocCoo`0300oooooo01Ooo`00=_oo0P0?0_oo0P0?1ooo00<03oooool0
2_oo01H0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0Coooob_oo`0300oo
oooo01Ooo`00=Ooo0P0?1?oo0P0?1_oo00<03oooool02ooo0:d0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O01Goo`0300oooooo02Ooo`0300oooooo02Ooo`0300oooooo
02Koo`0300oooooo01Ooo`00=Ooo0P0?1?oo0P0?1_oo00<03oooool01_oo00<03oooool01Ooo0:/0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l01?oo00<03oooool01Ooo00<0
3oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<0
3oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<0
3oooool01_oo00<03oooool01Ooo00<03oooool01Ooo00<03oooool01_oo00<03oooool01Ooo00<0
3oooool01Ooo00<03oooool05ooo000eool200l4ool200l6oolC00l01@1?05l0G`1O04l00`1O00D0
C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0
G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0
C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0
G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0
C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0
G`0504l0G`1O05l0C`0305l00`1?00l03`2@00lIool003Goo`803`Coo`803oooofkoo`00=Ooo0P0?
1?oo0P0?ooooK_oo000eool200l4ool200oooom^ool003Goo`803`Coo`803oooofkoo`00=_oo0P0?
0_oo0P0?ooooKooo000fool200l2ool200oooom_ool003Ooo`@03oooog3oo`00ooooZooo003ooon[
ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00ooooZooo003ooon[ool00?oooj_oo`00
ooooZooo0000\
\>"],
  ImageRangeCache->{{{0, 424.5625}, {261.9375, 0}} -> {-81.721321, -35.713676,
   1.202288, 0.145902}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[plot1, \ plot2, \ plot3, \ plot4, \ plot5, \ plot6]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 18  scalefont  setfont
% Scaling calculations
0 0.0025 0.618034 0.020601 [
[.125 -0.0125 -11 -17 ]
[.125 -0.0125 11 0 ]
[.25 -0.0125 -15.5 -17 ]
[.25 -0.0125 15.5 0 ]
[.375 -0.0125 -15.5 -17 ]
[.375 -0.0125 15.5 0 ]
[.5 -0.0125 -15.5 -17 ]
[.5 -0.0125 15.5 0 ]
[.625 -0.0125 -15.5 -17 ]
[.625 -0.0125 15.5 0 ]
[.75 -0.0125 -15.5 -17 ]
[.75 -0.0125 15.5 0 ]
[.875 -0.0125 -15.5 -17 ]
[.875 -0.0125 15.5 0 ]
[1 -0.0125 -15.5 -17 ]
[1 -0.0125 15.5 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -137.5 -36 ]
[.5 -0.0125 137.5 -17 ]
[-0.0125 .10301 -35 -8.5 ]
[-0.0125 .10301 0 8.5 ]
[-0.0125 .20601 -35 -8.5 ]
[-0.0125 .20601 0 8.5 ]
[-0.0125 .30902 -35 -8.5 ]
[-0.0125 .30902 0 8.5 ]
[-0.0125 .41202 -35 -8.5 ]
[-0.0125 .41202 0 8.5 ]
[-0.0125 .51503 -26 -8.5 ]
[-0.0125 .51503 0 8.5 ]
[-0.0125 .61803 -13 -8.5 ]
[-0.0125 .61803 0 8.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .30902 -54 -36.5 ]
[-0.01875 .30902 -35 36.5 ]
[ 0 .61803 .125 0 ]
[.5 .63053 -4.5 0 ]
[.5 .63053 4.5 13 ]
[ 1 0 .125 0 ]
[1.0125 .30902 0 -4.5 ]
[1.0125 .30902 13 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -72 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(50) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(100) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(150) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(200) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(250) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(300) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(350) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -76.5 -21 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(400) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
.025 0 m
.025 .00375 L
s
.05 0 m
.05 .00375 L
s
.075 0 m
.075 .00375 L
s
.1 0 m
.1 .00375 L
s
.15 0 m
.15 .00375 L
s
.175 0 m
.175 .00375 L
s
.2 0 m
.2 .00375 L
s
.225 0 m
.225 .00375 L
s
.275 0 m
.275 .00375 L
s
.3 0 m
.3 .00375 L
s
.325 0 m
.325 .00375 L
s
.35 0 m
.35 .00375 L
s
.4 0 m
.4 .00375 L
s
.425 0 m
.425 .00375 L
s
.45 0 m
.45 .00375 L
s
.475 0 m
.475 .00375 L
s
.525 0 m
.525 .00375 L
s
.55 0 m
.55 .00375 L
s
.575 0 m
.575 .00375 L
s
.6 0 m
.6 .00375 L
s
.65 0 m
.65 .00375 L
s
.675 0 m
.675 .00375 L
s
.7 0 m
.7 .00375 L
s
.725 0 m
.725 .00375 L
s
.775 0 m
.775 .00375 L
s
.8 0 m
.8 .00375 L
s
.825 0 m
.825 .00375 L
s
.85 0 m
.85 .00375 L
s
.9 0 m
.9 .00375 L
s
.925 0 m
.925 .00375 L
s
.95 0 m
.95 .00375 L
s
.975 0 m
.975 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -198.5 -40 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(frequency) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
139.187500 18.000000 moveto
(@) show
145.125000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(Hz) show
170.500000 18.000000 moveto
(for) show
195.937500 18.000000 moveto
(44100) show
245.437500 18.000000 moveto
(sample) show
300.812500 18.000000 moveto
(rate) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
327.625000 18.000000 moveto
(D) show
333.562500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(25) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(20) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(15) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -96 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(10) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -87 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(-) show
75.437500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Math1
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math1
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math1
%%+ font Times-Roman
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -74 -12.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 25 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .0206 m
.00375 .0206 L
s
0 .0412 m
.00375 .0412 L
s
0 .0618 m
.00375 .0618 L
s
0 .0824 m
.00375 .0824 L
s
0 .12361 m
.00375 .12361 L
s
0 .14421 m
.00375 .14421 L
s
0 .16481 m
.00375 .16481 L
s
0 .18541 m
.00375 .18541 L
s
0 .22661 m
.00375 .22661 L
s
0 .24721 m
.00375 .24721 L
s
0 .26781 m
.00375 .26781 L
s
0 .28842 m
.00375 .28842 L
s
0 .32962 m
.00375 .32962 L
s
0 .35022 m
.00375 .35022 L
s
0 .37082 m
.00375 .37082 L
s
0 .39142 m
.00375 .39142 L
s
0 .43262 m
.00375 .43262 L
s
0 .45322 m
.00375 .45322 L
s
0 .47383 m
.00375 .47383 L
s
0 .49443 m
.00375 .49443 L
s
0 .53563 m
.00375 .53563 L
s
0 .55623 m
.00375 .55623 L
s
0 .57683 m
.00375 .57683 L
s
0 .59743 m
.00375 .59743 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
-0.01875 .30902 -142 -13.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
97.5 13.5 translate
90 rotate
-97.5 -13.5 translate
0 27 translate 1 -1 scale
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(gain) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
98.437500 18.000000 moveto
(@) show
104.375000 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(dB) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
125.375000 18.000000 moveto
(D) show
131.312500 18.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Math2
%%+ font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Math2
%%+ Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Math2
%%+ font Times-Roman
grestore
0 .61178 m
0 .61803 L
s
.125 .61178 m
.125 .61803 L
s
.25 .61178 m
.25 .61803 L
s
.375 .61178 m
.375 .61803 L
s
.5 .61178 m
.5 .61803 L
s
.625 .61178 m
.625 .61803 L
s
.75 .61178 m
.75 .61803 L
s
.875 .61178 m
.875 .61803 L
s
.125 Mabswid
.025 .61428 m
.025 .61803 L
s
.05 .61428 m
.05 .61803 L
s
.075 .61428 m
.075 .61803 L
s
.1 .61428 m
.1 .61803 L
s
.15 .61428 m
.15 .61803 L
s
.175 .61428 m
.175 .61803 L
s
.2 .61428 m
.2 .61803 L
s
.225 .61428 m
.225 .61803 L
s
.275 .61428 m
.275 .61803 L
s
.3 .61428 m
.3 .61803 L
s
.325 .61428 m
.325 .61803 L
s
.35 .61428 m
.35 .61803 L
s
.4 .61428 m
.4 .61803 L
s
.425 .61428 m
.425 .61803 L
s
.45 .61428 m
.45 .61803 L
s
.475 .61428 m
.475 .61803 L
s
.525 .61428 m
.525 .61803 L
s
.55 .61428 m
.55 .61803 L
s
.575 .61428 m
.575 .61803 L
s
.6 .61428 m
.6 .61803 L
s
.65 .61428 m
.65 .61803 L
s
.675 .61428 m
.675 .61803 L
s
.7 .61428 m
.7 .61803 L
s
.725 .61428 m
.725 .61803 L
s
.775 .61428 m
.775 .61803 L
s
.8 .61428 m
.8 .61803 L
s
.825 .61428 m
.825 .61803 L
s
.85 .61428 m
.85 .61803 L
s
.9 .61428 m
.9 .61803 L
s
.925 .61428 m
.925 .61803 L
s
.95 .61428 m
.95 .61803 L
s
.975 .61428 m
.975 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
gsave
.5 .63053 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.99375 0 m
1 0 L
s
.99375 .10301 m
1 .10301 L
s
.99375 .20601 m
1 .20601 L
s
.99375 .30902 m
1 .30902 L
s
.99375 .41202 m
1 .41202 L
s
.99375 .51503 m
1 .51503 L
s
.125 Mabswid
.99625 .0206 m
1 .0206 L
s
.99625 .0412 m
1 .0412 L
s
.99625 .0618 m
1 .0618 L
s
.99625 .0824 m
1 .0824 L
s
.99625 .12361 m
1 .12361 L
s
.99625 .14421 m
1 .14421 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .18541 m
1 .18541 L
s
.99625 .22661 m
1 .22661 L
s
.99625 .24721 m
1 .24721 L
s
.99625 .26781 m
1 .26781 L
s
.99625 .28842 m
1 .28842 L
s
.99625 .32962 m
1 .32962 L
s
.99625 .35022 m
1 .35022 L
s
.99625 .37082 m
1 .37082 L
s
.99625 .39142 m
1 .39142 L
s
.99625 .43262 m
1 .43262 L
s
.99625 .45322 m
1 .45322 L
s
.99625 .47383 m
1 .47383 L
s
.99625 .49443 m
1 .49443 L
s
.99625 .53563 m
1 .53563 L
s
.99625 .55623 m
1 .55623 L
s
.99625 .57683 m
1 .57683 L
s
.99625 .59743 m
1 .59743 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
gsave
1.0125 .30902 -59 -10.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
65.5 10.5 translate
90 rotate
-65.5 -10.5 translate
0 21 translate 1 -1 scale
63.000000 14.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 18.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
67.500000 14.000000 moveto
0.000000 0.000000 rmoveto
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.9 0 .1 r
.015 w
.02779 0 m
.03269 .02926 L
.04473 .08523 L
.057 .12847 L
.06822 .16049 L
.0935 .21644 L
.11548 .25372 L
.13947 .28683 L
.18652 .33721 L
.23182 .37413 L
.27996 .40538 L
.32634 .43002 L
.37096 .44997 L
.41843 .46804 L
.46414 .483 L
.5081 .49554 L
.5549 .50724 L
.59994 .51713 L
.64782 .52642 L
.69394 .53433 L
.73832 .54112 L
.78553 .54759 L
.83098 .55316 L
.87468 .558 L
.92122 .56265 L
.96601 .56669 L
s
.96601 .56669 m
1 .56948 L
s
.7 0 .3 r
.01671 0 m
.02177 .04789 L
.02741 .08902 L
.03269 .12045 L
.04473 .17623 L
.057 .21923 L
.06822 .25097 L
.0935 .30611 L
.11548 .34251 L
.13947 .37447 L
.18652 .4221 L
.23182 .45586 L
.27996 .48335 L
.32634 .50413 L
.37096 .52023 L
.41843 .53419 L
.46414 .54523 L
.5081 .5541 L
.5549 .56203 L
.59994 .56848 L
.64782 .5743 L
.69394 .57908 L
.73832 .58305 L
.78553 .58671 L
.83098 .58978 L
.87468 .59237 L
.92122 .59479 L
.96601 .59686 L
s
.96601 .59686 m
1 .59825 L
s
.5 0 .5 r
.01117 0 m
.01326 .03178 L
.01631 .0687 L
.02177 .12025 L
.02741 .16127 L
.03269 .19258 L
.04473 .24799 L
.057 .29051 L
.06822 .32171 L
.0935 .37535 L
.11548 .41012 L
.13947 .44004 L
.16415 .46469 L
.18652 .48307 L
.23182 .51198 L
.2782 .53354 L
.32283 .54906 L
.37029 .56164 L
.41601 .571 L
.45996 .57812 L
.50676 .5842 L
.5518 .58893 L
.59968 .59303 L
.64581 .59627 L
.69018 .59889 L
.73739 .60124 L
.78284 .60315 L
.82655 .60473 L
.87309 .60619 L
.91787 .6074 L
.9655 .60852 L
s
.9655 .60852 m
1 .60924 L
s
.3 0 .7 r
.00558 0 m
.00778 .06036 L
.01039 .11195 L
.01326 .15543 L
.01631 .19216 L
.02177 .24327 L
.02741 .2837 L
.03269 .31435 L
.04473 .36786 L
.057 .40793 L
.06822 .43652 L
.08133 .46319 L
.0935 .48323 L
.11548 .51125 L
.13947 .53348 L
.16323 .54973 L
.18477 .56099 L
.20705 .57013 L
.23115 .57789 L
.25378 .58368 L
.27862 .58879 L
.32433 .59576 L
.34691 .59837 L
.37112 .60072 L
.419 .60434 L
.46513 .60692 L
.5095 .60881 L
.55671 .61038 L
.60217 .61157 L
.64587 .6125 L
.69241 .61331 L
.73719 .61395 L
.78482 .61453 L
.83069 .61499 L
.8748 .61537 L
.92176 .61572 L
.96696 .616 L
s
.96696 .616 m
1 .61619 L
s
.1 0 .9 r
.00281 0 m
.00403 .06655 L
.00538 .11815 L
.00778 .18387 L
.01039 .23505 L
.01326 .27795 L
.01631 .31393 L
.02177 .36333 L
.02741 .40157 L
.03269 .42982 L
.04473 .47689 L
.05102 .49507 L
.057 .50948 L
.06822 .53088 L
.08031 .54796 L
.0935 .56177 L
.10545 .57123 L
.11628 .578 L
.12892 .58429 L
.14055 .58892 L
.16283 .59558 L
.17455 .59824 L
.18694 .60059 L
.20967 .60398 L
.23089 .60636 L
.25445 .60838 L
.27593 .60982 L
.29989 .6111 L
.32206 .61205 L
.36643 .61347 L
.38804 .614 L
.41189 .61449 L
.45843 .61525 L
.50321 .61579 L
.55084 .61623 L
.59671 .61656 L
.64082 .61681 L
.68778 .61703 L
.73298 .6172 L
.78102 .61735 L
.8273 .61748 L
.87183 .61758 L
.9192 .61767 L
.96481 .61774 L
s
.96481 .61774 m
1 .61779 L
s
0 0 .3 r
.00124 0 m
.00136 .16001 L
.0026 .27438 L
.00403 .35013 L
.00538 .39845 L
.00663 .43193 L
.00778 .45651 L
.01039 .49741 L
.01175 .51314 L
.01302 .52543 L
.01592 .5469 L
.01874 .56175 L
.02177 .57331 L
.02471 .58156 L
.02792 .58831 L
.03095 .59316 L
.03376 .59671 L
.03907 .60167 L
.04203 .60374 L
.04473 .6053 L
.05101 .60811 L
.05679 .60996 L
.06314 .61146 L
.06984 .61264 L
.07567 .61343 L
.08112 .61403 L
.08705 .61456 L
.0935 .61502 L
.1056 .61568 L
.11706 .61613 L
.12822 .61646 L
.13854 .6167 L
.16015 .61705 L
.17245 .6172 L
.184 .61731 L
.20736 .61748 L
.22878 .6176 L
.25069 .61769 L
.27465 .61776 L
.29736 .61781 L
.32161 .61786 L
.34466 .61789 L
.36965 .61792 L
.41593 .61796 L
.4633 .618 L
.50891 .61802 L
.55277 .61803 L
s
.55277 .61803 m
.55516 .61803 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{481.5625, 297.5},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007R0001:Q000`40l00?003`oooohooo003ooooS
ool009Ooo`@03b;oo`<03i;oo`@03hcoo`00V?oo0P0?8ooo100?2ooo100?Pooo0P0?=?oo100?EOoo
002Hool200lVool00`0?ooooo`09ool00`0?ooooo`24ool200lgool00`0?ooooo`1Cool009Soo`80
3bKoo`803`[oo`0300oooooo08Coo`803cOoo`0300oooooo05?oo`00Oooo100?0_oo100?1?oo100?
1?oo1@0?0ooo0`0?00Coo`0?00l03`?oo`@03`;oo`@03`;oo`<03`;oo`@03`Goo`0300oooooo00So
o`0300oooooo00?oo`@03`?oo`@03`03ool03`0?00D03`Goo`@03`Coo`@03`?oo`@03`coo`803`Oo
o`803`Coo`H03`?oo`@03`Goo`@03`Ooo`0400ooo`0?00l5ool200l2ool600l00ooo00l03`0200l0
0ooo00l03`0200l00ooo00l03`0300l3ool400l3ool400l7ool400l4ool200l2ool200l2ool300l2
ool400l6ool00`0?ooooo`1Cool0083oo`803`Coo`803`Coo`803`;oo`803`;oo`803`;oo`803`;o
o`<03`04ool03`0?00l3ool200l2ool200l2ool200l3ool200l2ool200l2ool200l4ool200l9ool0
0`0?ooooo`04ool200l5ool200l2ool300l2ool200l6ool200l4ool200l2ool200l3ool200l=ool2
00l7ool200l5ool400l3ool200l2ool200l3ool200l2ool200l6ool200l2ool0100?oooooooo1P0?
0_oo0P0?0ooo0P0?0ooo0P0?0_oo0`0?00?oo`0?00l00ooo0P0?0ooo0P0?0_oo0P0?1ooo0P0?1?oo
1P0?0_oo0`0?00Coo`0?00l03`;oo`803`Goo`0300oooooo05?oo`00P?oo0P0?1?oo0P0?0ooo0P0?
1_oo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1ooo0P0?0ooo0P0?00?oo`0?00l02?oo0`0?2Ooo
00<03oooool01?oo0P0?1Ooo0P0?0ooo0P0?0ooo00<03oooool01?oo0P0?0ooo0P0?1?oo0P0?0_oo
0P0?3Ooo0P0?1ooo0P0?1_oo0P0?1?oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1_oo00<03oooool00P0?
0ooo0P0?0_oo0P0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo0P0?3?oo0P0?
1?oo0P0?0_oo0P0?0_oo0P0?0_oo0P0?2_oo00<03oooool0Dooo0020ool200l4ool200l3ool200l6
ool200l3ool200l2ool200l3ool200l2ool200l7ool200l3ool200l00ooo00l03`08ool300l9ool0
0`0?ooooo`04ool200l5ool200l4ool200l9ool200l3ool200l4ool200l2ool200l8ool800l00ooo
00l03`0600l5ool200l3ool200l4ool200l00ooo00l03`04ool200l7ool300l3ool200l2ool200l2
ool200l3ool200l3ool200l2ool200l3ool200l2ool200l2ool200l<ool200l4ool200l2ool200l2
ool200l2ool200l:ool00`0?ooooo`1Cool0083oo`803`Coo`803`?oo`803`Koo`803`?oo`803`;o
o`803`?oo`803`;oo`803`Ooo`803`?oo`803`03ool03`0?00Ooo`803`03ool03`0?00Soo`0300oo
oooo00Coo`803`Goo`803`Coo`803`Woo`803`?oo`803`Coo`803`;oo`803`Soo`803`?oo`803`;o
o`803`?oo`803`Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Koo`<03`Goo`803`03ool0
3`0?00;oo`803`?oo`803`?oo`803`;oo`803`?oo`803`;oo`803`;oo`803`coo`803`Goo`803`03
ool03`0?00;oo`803`;oo`803`[oo`0300oooooo05?oo`00P?oo0P0?1?oo0P0?0ooo1`0?00?oo`0?
00l00ooo0P0?0_oo0P0?0ooo0P0?0_oo1`0?0_oo0P0?0ooo0P0?00?oo`0?00l01ooo0P0?0_oo00<0
3oooool01_oo00<03oooool01?oo0P0?1Ooo0P0?1Ooo0P0?2?oo0P0?0ooo0P0?1?oo0P0?0_oo0P0?
2?oo0P0?0ooo0P0?0_oo0P0?0ooo0P0?1_oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?1Ooo
0`0?2?oo0`0?0_oo0P0?0ooo0P0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?0_oo1`0?1ooo0P0?1ooo
0`0?0_oo0P0?0_oo1`0?1Ooo00<03oooool0Dooo0020ool200l4ool300l2ool200l4ool0100?ool0
3`0?0ooo0P0?0_oo0P0?0ooo0P0?0_oo0P0?1?oo00<03oooool00`0?0_oo0P0?00?oo`0?00l01_oo
0`0?0_oo00<03oooool01_oo00<03oooool01?oo2@0?0_oo00@03oooooooo`803`Ooo`803`?oo`80
3`Coo`803`;oo`<03`Soo`803`;oo`803`?oo`803`;oo`803`Koo`803`?oo`803`Coo`803`03ool0
3`0?00Coo`803`Goo`803`;oo`0400ooooooool200l2ool200l2ool300l2ool300l2ool200l2ool2
00l3ool200l2ool200l2ool200l4ool00`0?ooooo`05ool300l3ool200l2ool200l2ool200l2ool2
00l4ool00`0?ooooo`03ool00`0?ooooo`1Cool0083oo`803`Coo`803`04ool03`0?ool200l2ool2
00l2ool200l2ool200l2ool200l3ool200l3ool200l2ool200l2ool200l00ooo00l03`0200l2ool2
00l2ool200l00ooo00l03`03ool200l7ool00`0?ooooo`04ool200l5ool200l2ool200l2ool300l6
ool200l4ool200l2ool200l3ool200l00ooo00l03`06ool300l00ooo00l03`03ool300l00ooo00l0
3`06ool200l3ool200l4ool200l00ooo00l03`04ool200l5ool00`0?ooooo`0200l3ool200l2ool0
100?oooooooo0P0?00?oo`0?00l00P0?00?oo`0?00l00P0?0_oo0`0?00Coo`0?00l03`;oo`803`?o
o`803`;oo`803`Ooo`803`04ool03`0?ool200l2ool0100?oooooooo0P0?0ooo0P0?0_oo0P0?1Ooo
00<03oooool0Dooo001oool500l01Ooo00l03`0?ool00P0?0_oo100?1?oo1@0?00Coo`0?00l03`;o
o`<03`Coo`@03`;oo`<03`;oo`803`Coo`@03`03ool03`0?00803`;oo`803`Ooo`0300oooooo00Co
o`803`Goo`803`;oo`L03`Goo`D03`?oo`@03`?oo`<03`03ool03`0?00Ooo`803`03ool03`0?00Co
o`803`03ool03`0?00Koo`803`?oo`803`Coo`803`03ool03`0?00Coo`803`Koo`803`03ool03ooo
00?oo`@03`;oo`<03`;oo`803`?oo`803`;oo`<03`04ool03`0?00l3ool200l4ool400l7ool300l0
0ooo00l03`02ool400l2ool500l2ool400l6ool00`0?ooooo`1Cool0083oo`803d[oo`0300oooooo
00Coo`803`Goo`803`ooo`803a[oo`@03`Goo`@03`Koo`803`?oo`803`Coo`803`03ool03`0?00Co
o`803bcoo`803akoo`803`koo`0300oooooo05?oo`00POoo00<03oooool0B?oo00<03oooool01?oo
0P0?1Ooo0P0?4?oo00<03oooool06Ooo0`0?1_oo0`0?1?oo100?1?oo0P0?0_oo0P0?0ooo0P0?0_oo
0P0?;Ooo0P0?7ooo00<03oooool03?oo00<03oooool0Dooo0021ool200l00ooo00ooo`16ool400l3
ool200l5ool200l@ool200l00ooo00ooo`0Gool300l6ool300l5ool300l4ool200l2ool200l3ool2
00l2ool200l]ool200l[ool400mEool008;oo`<03dgoo`@03`?oo`@03a3oo`<03aWoo`803`Ooo`80
3`Koo`803`Goo`@03`Goo`@03bgoo`<03hCoo`00oooohooo003ooooSool00?ooon?oo`00oooohooo
001^ool400l6ool400lNool600l3ool400l5ool400lKool600l2ool400l6ool400lIool700l3ool4
00l5ool400lIool700l2ool400l6ool400lJool500l5ool400l5ool400lIool500l4ool400l6ool4
00lMool200l4ool400l5ool400l@ool006koo`803`04ool03`0?00l3ool200l2ool200lNool400l3
ool200l2ool200l3ool200l2ool200lKool400l3ool200l01?oo00l03`0?0ooo0P0?0_oo0P0?6?oo
1`0?0_oo0P0?0_oo0P0?0ooo0P0?0_oo0P0?6?oo1`0?0_oo0P0?00Coo`0?00l03`?oo`803`;oo`80
3aWoo`803`;oo`803`?oo`803`;oo`803`?oo`803`;oo`803aSoo`803`;oo`803`?oo`803`04ool0
3`0?00l3ool200l2ool200lLool200l3ool200l2ool200l3ool200l2ool200l?ool007;oo`803`?o
o`803`;oo`803aooo`803`Coo`803`;oo`803`?oo`803`;oo`803acoo`803`Soo`803`?oo`803`;o
o`803aWoo`803`?oo`0300oooooo00803`;oo`803`?oo`803`;oo`803aWoo`803`?oo`0300oooooo
00Coo`803`?oo`803`;oo`803akoo`803`;oo`803`;oo`803`?oo`803`;oo`803agoo`803`Koo`80
3`?oo`803`;oo`803acoo`803`?oo`803`;oo`803`?oo`803`;oo`803`ooo`00Looo0P0?00?oo`0?
00l01?oo0P0?7_oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?6ooo0P0?2Ooo0P0?00?oo`0?
00l01?oo0P0?6Ooo0P0?1?oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?6Ooo0P0?2_oo0P0?00?oo`0?
00l01?oo0P0?7Ooo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?7?oo0P0?1ooo0P0?00?o
o`0?00l01?oo0P0?5_oo200?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo0P0?3_oo001cool200l0
0ooo00l03`04ool200lNool200l3ool200l4ool200l00ooo00l03`04ool200lKool200l9ool200l0
0ooo00l03`04ool200lJool200l3ool200l4ool200l00ooo00l03`04ool200lJool200l9ool200l0
0ooo00l03`04ool200lMool200l00ooo00l03`04ool200l00ooo00l03`04ool200lLool200l7ool2
00l00ooo00l03`04ool200lFool200l3ool200l2ool200l4ool200l00ooo00l03`04ool200l>ool0
07;oo`<03`03ool03`0?00Coo`803akoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a_oo`80
3`Soo`<03`03ool03`0?00Coo`803a_oo`803`;oo`803`Coo`803`03ool03`0?00Coo`803a_oo`80
3`Ooo`<03`03ool03`0?00Coo`803acoo`<03`03ool03`0?00Coo`803`03ool03`0?00Coo`803a_o
o`<03`Koo`<03`03ool03`0?00Coo`803aKoo`803`?oo`803`;oo`803`Coo`803`03ool03`0?00Co
o`803`koo`00L_oo0P0?0_oo0P0?1?oo0P0?7_oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?
6ooo0P0?2?oo0P0?0_oo0P0?1?oo0P0?6ooo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?6ooo
0P0?1ooo0P0?0_oo0P0?1?oo0P0?6_oo100?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?6Ooo100?
1ooo0P0?0_oo0P0?1?oo0P0?5ooo0P0?0_oo0P0?0_oo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?3_oo
001`ool400l2ool200l4ool200lNool200l3ool200l4ool200l00ooo00l03`04ool200lKool200l6
ool400l2ool200l4ool200lLool200l00ooo00l03`04ool200l00ooo00l03`04ool200lLool200l4
ool400l2ool200l4ool200lJool300l3ool200l4ool200l00ooo00l03`04ool200lIool300l6ool4
00l2ool200l4ool200lGool300l00ooo00l03`02ool200l4ool200l00ooo00l03`04ool200l>ool0
06koo`@03`Coo`803`Coo`803akoo`803`?oo`803`Coo`803`03ool03`0?00Coo`803a_oo`803`Co
o`@03`Coo`803`Coo`803acoo`803`03ool03`0?00Coo`803`03ool03`0?00Coo`803acoo`803`;o
o`@03`Coo`803`Coo`803acoo`803`;oo`803`Coo`803`03ool03`0?00Coo`803a_oo`803`?oo`@0
3`Coo`803`Coo`803aSoo`803`03ool03`0?00;oo`803`Coo`803`03ool03`0?00Coo`803`koo`00
K_oo0P0?1_oo0P0?1?oo0P0?7_oo0P0?0ooo0P0?1?oo0P0?00?oo`0?00l01?oo0P0?6ooo0P0?1?oo
0P0?1_oo0P0?1?oo0P0?5ooo00<03oooool00_oo0P0?00?oo`0?00l01?oo0P0?00?oo`0?00l01?oo
0P0?5ooo00<03oooool00_oo0P0?0_oo0P0?1_oo0P0?1?oo0P0?7Ooo0P0?00?oo`0?00l01?oo0P0?
00?oo`0?00l01?oo0P0?7?oo0P0?0_oo0P0?1_oo0P0?1?oo0P0?6Ooo100?0_oo0P0?1?oo0P0?00?o
o`0?00l01?oo0P0?3_oo001^ool200l7ool200l2ool200lMool400l4ool200l2ool200l3ool200l2
ool200lJool400l4ool200l7ool200l2ool200lHool200l2ool300l2ool200l2ool200l3ool200l2
ool200lHool200l2ool300l2ool200l7ool200l2ool200lIool00`0?ooooo`02ool200l2ool200l2
ool200l3ool200l2ool200lHool00`0?ooooo`02ool200l2ool200l7ool200l2ool200lKool300l3
ool200l2ool200l3ool200l2ool200l?ool006ooo`D03`?oo`803`;oo`803akoo`<03`Coo`803`;o
o`803`?oo`803`;oo`803a_oo`<03`Goo`D03`?oo`803`;oo`803aWoo`H03`;oo`803`;oo`803`?o
o`803`;oo`803aWoo`H03`?oo`D03`?oo`803`;oo`803aWoo`803`;oo`<03`;oo`803`;oo`803`?o
o`803`;oo`803aSoo`803`;oo`<03`?oo`D03`?oo`803`;oo`803a_oo`<03`?oo`803`;oo`803`?o
o`803`;oo`803`ooo`00Kooo1P0?0ooo100?8?oo0P0?1Ooo100?1Ooo100?7Ooo0P0?1Ooo1P0?0ooo
100?6ooo100?1?oo100?1Ooo100?6ooo100?1?oo1P0?0ooo100?6ooo1@0?1?oo100?1Ooo100?6_oo
1@0?1?oo1P0?0ooo100?7Ooo0P0?1?oo100?1Ooo100?4?oo003ooooSool00?ooon?oo`00oooohooo
003ooooSool00?ooon?oo`00AOoo00h0C`1O04l0Ge2_P8m`Oh2?X4n`Gm0Oh2o@7n0_o`0?MP0?6_oo
0015ool03P1O04l0G`1?D;m`Oh2?L7nPGj1?h2o@7m0_d1l5ool00`0?ooooo`07ool00`0?ooooo`06
ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07
ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07
ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06
ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07
ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07
ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06
ool00`0?ooooo`07ool00`0?ooooo`07ool00`0?ooooo`06ool00`0?ooooo`07ool00`0?ooooo`07
ool00`0?ooooo`06ool00`0?ooooo`0Hool004Goo`0>04l0G`1?05m0[e2oL7n0Sj1?/5o@7n0_d1oP
;b;oo`0300oooooo02goo`0300oooooo02koo`0300oooooo02goo`0300oooooo02goo`0300oooooo
02koo`0300oooooo02goo`0300oooooo02goo`0300oooooo01Soo`00AOoo00l0G`1?05l0Ge2o@:n0
Sg1o/5nPCn0_d2oP;m0Oh2l0ooooM?oo00<03oooool06?oo0015ool03`1?05l0C`1OD:m@_g1oP8nP
Ck1Od1oP;m0Oh2o@7`3ooomdool00`0?ooooo`0Hool004Goo`0?05l0C`1O04m@_d2_P8m`Oj1OX4oP
;m0Od2o@7n0_0?ooogCoo`0300oooooo01Soo`00AOoo00l0C`1O04l0Gd2_D;m`Oh2?X4n`Gm0Oh2o@
7n0_d1l0ooooM?oo00<03oooool06?oo0015ool03`1O04l0G`1OD;m0[h2?L7n`Gj1?h2o@;n0_d1oP
;`3ooomdool00`0?ooooo`0Hool004Goo`0?04l0G`1?05lPge2oL7n0Sj1?/5nPCn0_d1oP;m0O0?oo
og?oo`803a[oo`00AOoo0100G`1?05l0Cb3_@:n0Sg1oX5nPCk1Od1o@;m0Oh2o@7oooog?oo`0300oo
oooo01Soo`00AOoo0100C`1O04l0Ga3OD;m`Oh2?X4n`Gj1?h2o@7n0_d1oP;oooog?oo`0300oooooo
01Soo`00AOoo0100G`1?05l0Gb3_@:n0Sg1o/5nPCk1Od2oP;m0Oh2o@;oooog?oo`0300oooooo01So
o`00AOoo0100C`1O04l0Gb3OD;m`Oh2?X4n`Gj1?h2o@7n0_d1oP;oooog?oo`0300oooooo01Soo`00
AOoo0100G`1?05l0Cb3_@:n0Sg1oX5nPCk1Od1o@;m0Oh2o@7oooog?oo`0300oooooo01Soo`00AOoo
0140C`1O04l0Ga3OD;m`Oh2?L7n`Gj1?h2o@7n0_d1oP;m0O0?ooog;oo`0300oooooo01Soo`00AOoo
0140G`1?05l0Gb3_@:n0Sg1oP8nPCk1Od2oP;m0Oh2o@;n0_0?ooog;oo`0300oooooo01Soo`00AOoo
0140C`1O04l0Gb3OD;m`Oh2?L7n`Gj1?h2o@7n0_d1oP;m0O0?ooog7oo`803a[oo`00AOoo0140G`1?
05l0Cb3_@:n0Sg1oP8nPCk1OX4o@;m0Oh2o@7m0_0?ooog;oo`0300oooooo01Soo`00AOoo0140C`1O
04l0Ga3OD;m`Oh2?L7n`Gj1?/5o@7n0_d1oP;m0O0?ooog;oo`0300oooooo01Soo`00AOoo0180G`1?
05l0Gb3_@:n0Sg1oP8nPCk1OX5oP;m0Oh2o@;n0_d1oooomaool00`0?ooooo`0Hool004Goo`0B04l0
G`1?05lPge2oL7n0Sg1o/5nPCk1Od1oP;m0Oh2o@7n0_ooooLOoo00<03oooool06?oo0015ool04P1O
04l0G`1?8>m0[h2?L7n0Sj1?/5nPCm0_d1oP;m0Od2o@7oooog7oo`0300oooooo01Soo`00AOoo0180
C`1O04l0Ga3OD;m`Oh2?L7n`Gj1?/5o@7n0_d1oP;m0Oh2oooomaool00`0?ooooo`0Hool004Goo`0B
05l0C`1O05lPkd2_P8m`Oh2?X4n`Gj1Oh2o@7n0_d2oP;m0OooooLOoo00<03oooool06?oo0015ool0
4`1?05l0C`1O8=m@_g1oP8m`Ok1OX4n`Goooh2o@7n0_d1oP;m0O0?ooofooo`803a[oo`00AOoo01<0
G`1?05l0Cb3_@:n0Sg1oP8nPCk1OX4nPGm0Oh2o@7m0_d1oP;`3ooom`ool00`0?ooooo`0Hool004Go
o`0C04l0G`1?05l@ge2oL7n0Sg1oP8nPCk1OX4oP;m0Oh2o@7n0_d1l0ooooL?oo00<03oooool06?oo
0015ool04`1O04l0G`1O8>m0[h2?L7n0Sg1o/5nPGk1Od1oP;m0_h2o@7n0_0?ooog3oo`0300oooooo
01Soo`00AOoo01@0C`1O04l0Gb3OD;m0[h2?L7n0Sj1?/5nPCoood1oP;m0Oh2o@7n0_ooooKooo00<0
3oooool06?oo0015ool0501O04l0G`1?8>m0[e2oL7n0Sg1o/5nPCj1OoooP;m0Od2o@7n0_d1oooom_
ool00`0?ooooo`0Hool004Goo`0D04l0G`1?05l@ge2o@:n0Sg1oP8nPCk1OX4ooom0Oh2o@7n0_d1oP
;oooofooo`0300oooooo01Soo`00AOoo01@0G`1?05l0Gb3_@:m@_g1oP8m`Ok1OX5n`Goooh2o@;n0_
d1oP;m0_ooooKooo00<03oooool06?oo0015ool0501?05l0C`1O8=m@_d2_P8m`Oh2?X4n`Gj1?/5o@
7n0_d1oP;m0Oh2oooom^ool200lJool004Goo`0E05l0C`1O04lPkd2_D;m`Oh2?L7n`Gj1?X5nPCooo
d1o@;m0Oh2o@7m0_0?ooofkoo`0300oooooo01Soo`00AOoo01D0C`1O04l0Ga3OD;m0[h2?L7n0Sj1?
/5nPCk1OoooP;m0Oh2o@7n0_d1l0ooooK_oo00<03oooool06?oo000]ool700l2ool400l;ool05@1O
04l0G`1O8>m0[e2oL7n0Sg1o/5nPGk1OX4ooom0_h2o@7n0_d2oP;`3ooom^ool00`0?ooooo`0Hool0
02goo`L03`;oo`803`04ool03`0?00l9ool05@1?05l0C`1O8=m@_d2_P8m`Oh2?L7n`Gj1?/5ooon0_
d1oP;m0Oh2o@7`3ooom^ool00`0?ooooo`0Hool002koo`803`?oo`0300oooooo00Coo`803`Woo`0>
05l0C`1O04lPkd2_D;m`Oh2?L7n0Sj1?X5nPC`;oo`06d2o@7n0_d1o@;m0OooooKOoo00<03oooool0
6?oo000_ool200l:ool200l8ool03P1?05l0C`1O4=m@_d2_P8m`Oh2?L7n`Gj1?/5l2ool01]0Oh2o@
7n0_d1oP;oooofgoo`0300oooooo01Soo`008?oo2@0?1ooo0P0?2Ooo0P0?2?oo01H0G`1?05l0Gb3_
@:m@_g1oP8m`Oh2?X5n`Gj1?/5ooon0_d1oP;m0_h2o@7oooofgoo`0300oooooo01Soo`00<Ooo0P0?
1ooo0`0?2?oo00l0C`1O04l0Gb3OD;m0[h2?L7n0Sg1o/5nPCk1OX4l00_oo00KP;m0Oh2o@7n0_d1oo
oomZool300lJool0037oo`803`Ooo`803`Woo`0?05l0C`1O04lPkd2_D;m`Oh2?L7n0Sj1?X5nPCk1O
00;oo`06d1oP;m0Od2o@7n0_ooooK?oo00<03oooool06?oo000bool200l4ool400l9ool03`1?05l0
C`1O4=m@_d2_P8m`Oh2?L7n`Gj1?/5nPC`02ool01^0_d1oP;m0Oh2o@7oooofcoo`0300oooooo01So
o`00<_oo0P0?0_oo100?2ooo00l0G`1?05l0Gb3_@:m@_g1oP8m`Oh2?X5n`Gj1?/5l00_oo00K@7n0_
d2oP;m0Oh2oooom/ool00`0?ooooo`0Hool002goo`0300oooooo00;oo`803`;oo`803`goo`0?04l0
G`1?05lPge2o@:n0Sg1oP8m`Ok1OX4n`Gj1?00?oo`06d1oP;m0Oh2o@7n0_ooooJooo00<03oooool0
6?oo000]ool200l2ool300l2ool200l=ool0401O04l0G`1?8>m0[e2oL7n0Sg1oP8m`Oj1OX4n`Gj1?
0_oo00KP;m0Od2o@7n0_d1oooom[ool00`0?ooooo`0Hool002koo`H03`?oo`D03`Woo`0@04l0G`1?
05l@ge2o@:n0Sg1oP8m`Oh2?X4n`Gj1?/5l2ool01]0Oh2o@7n0_d1oP;oooof_oo`0300oooooo01So
o`00;ooo100?1?oo1P0?2?oo0100G`1?05l0Gb3_@:m@_d2_P8m`Oh2?L7n`Gj1?/5nPG`?oo`06d2oP
;m0Oh2o@;n0_ooooJ_oo00<03oooool06?oo0015ool0401?05l0C`1O8=m@_d2_D:m`Oh2?L7n0Sj1?
/5nPCk1O0ooo00KP;m0Oh2o@7n0_d1oooomYool200lJool004Goo`0@05l0C`1O04lPkd2_D;m0[h2?
L7n0Sg1oX5nPCk1OX4l3ool01]0Od2o@7n0_d1o@;oooof[oo`0300oooooo01Soo`00AOoo0140C`1O
04l0Ga3O8>m0[e2oL7n0Sg1oP8nPCk1OX4n`Gj1?00;oo`06h2o@7n0_d1oP;m0OooooJ_oo00<03ooo
ool06?oo0015ool04@1O04l0G`1O8>l@ge2o@:n0Sg1oP8m`Ok1OX4n`Gj1O/5l00ooo00KP;m0Oh2o@
;n0_d1oooomYool00`0?ooooo`0Hool004Goo`0A04l0G`1?05lPgb3_@:m@[g1oP8m`Oh2?X4n`Gj1?
/5nPC`03ool01]0Oh2o@7n0_d1oP;oooofWoo`0300oooooo01Soo`00AOoo0140G`1?05l0Cb3_4=m@
_d2_P8m`Oh2?L7n0Sj1?/5nPCj1O00Coo`06d1oP;m0Od2o@7n0_ooooJ?oo00<03oooool06?oo0015
ool04P1?05l0C`1O4=lPkd2_D;m`Oh2?L7n0Sg1o/5nPCk1OX4n`G`?oo`06h2o@7n0_d1oP;m0Ooooo
J?oo00<03oooool06?oo0015ool04P1O04l0G`1O8>l@ge2o@:n0Sg1oP8m`Oh2?X4n`Gj1O/5nPC`?o
o`06d1oP;m0_h2o@7n0_ooooJ?oo00<03oooool06?oo0015ool04P1?05l0C`1O8=lPkd2_D:m`Oh2?
L7n0Sg1o/5nPCk1OX4n`G`Coo`06d1oP;m0Oh2o@7n0_ooooI_oo0P0?6_oo0015ool04P1O04l0G`1?
8>l@ge2o@:n0Sg1oP8m`Oh2?X4n`Gj1?X5nPC`Coo`06h2o@7m0_d1oP;m0OooooIooo00<03oooool0
6?oo0015ool04P1?05l0C`1O4=lPkd2_D;m`Oh2?L7n0Sg1o/5nPCk1OX4n`G`Coo`06d1oP;m0Oh2o@
7n0_ooooIooo00<03oooool06?oo0015ool04`1O04l0G`1O8>l@ge2o@:n0Sg1oP8m`Oh2?X4n`Gj1O
/5nPCk1O00Coo`06d2oP;m0Oh2o@;n0_ooooI_oo00<03oooool06?oo0015ool04`1?05l0C`1O8=lP
kd2_D:m`Oh2?L7n0Sg1oP8nPCk1OX4n`Gj1?00Coo`06h2o@7n0_d1oP;m0OooooI_oo00<03oooool0
6?oo0015ool04`1O04l0G`1?8>l@ge2o@:n0Sg1oP8m`Oh2?L7n`Gj1?X5nPCk1O00Coo`06d1o@;m0O
h2o@7m0_ooooI_oo00<03oooool06?oo0015ool04`1?05l0C`1O4=lPkd2_D;m0[h2?L7n0Sg1oP8nP
Ck1OX4n`Gj1?00Goo`06d1oP;m0Oh2o@7n0_ooooIOoo00<03oooool06?oo0015ool04`1O04l0G`1O
8>l@ge2o@:m@_g1oP8m`Oh2?L7n`Gj1O/5nPCk1O00Goo`06h2o@7n0_d2oP;m0OooooIOoo00<03ooo
ool06?oo0015ool01`1?05l0C`1O8=lPkd2_009@[`0;P8m`Oh2?L7n0Sj1?/5nPCk1OX4n`G`05ool0
1^0_d1oP;m0Oh2o@7oooof?oo`803a[oo`00AOoo01@0G`1?05l0Cb3_4=m@_d2_D;m`Oh2?L7n0Sg1o
/5nPCj1OX4n`Gj1?1Ooo00K@7n0_d1o@;m0Oh2oooomTool00`0?ooooo`0Hool004Goo`0D04l0G`1?
05l@gb3_@:m@_d2_P8m`Oh2?L7n0Sg1o/5nPCk1OX4n`G`Koo`06d1oP;m0Oh2o@7n0_ooooHooo00<0
3oooool06?oo0015ool0501O04l0G`1O8>l@ge2o@:m@_g1oP8m`Oh2?L7n0Sj1O/5nPCk1OX5l6ool0
1^0_d2oP;m0Oh2o@;oooof?oo`0300oooooo01Soo`00AOoo00L0C`1O04l0Gb3O8>m0[`02D:l0382?
L7n0Sg1oP8m`Ok1OX4n`Gj1?/5nPC`Goo`06d1oP;m0Oh2o@7n0_ooooHooo00<03oooool06?oo0015
ool05@1O04l0G`1?8>l@ge2o@:m@_g1oP8m`Oh2?L7n0Sj1?X5nPCk1OX4nPG`06ool01]0Od2o@7n0_
d1o@;oooof;oo`0300oooooo01Soo`00AOoo01D0C`1O04l0Ga3O8>m0[e2o@:n0Sg1oP8m`Oh2?L7n`
Gj1?/5nPCk1OX4l01_oo00KP;m0Oh2o@7n0_d1oooomRool00`0?ooooo`0Hool004Goo`0E05l0C`1O
05lPka3OD;m0[e2oL7n0Sg1oP8m`Oh2?X5n`Gj1?/5nPGk1O00Ooo`06h2o@7n0_d2oP;m0OooooH?oo
0P0?6_oo0015ool01`1?05l0C`1O8=lPkd2_009@[`0=oom`Oh2?L7n0Sg1oP8nPCk1OX4n`Gj1?/5l0
1_oo00K@7n0_d1oP;m0Oh2oooomQool00`0?ooooo`0Hool004Goo`0F05l0C`1O04lPka3OD;m0[e2o
oon0Sg1oP8m`Oh2?L7nPGj1?/5nPCj1OX4l7ool01]0Oh2o@7m0_d1oP;oooof3oo`0300oooooo01So
o`00;Ooo1`0?0ooo100?2_oo01H0C`1O04l0Ga3O8>m0[e2o@:m@_g1oP8m`Oh2?L7n0Sj1?/5nPCk1O
X4n`G`Ooo`06h2o@7n0_d1oP;m0OooooH?oo00<03oooool06?oo000]ool700l2ool200l2ool200l9
ool05`1O04l0G`1O8>l@ge2o@:m@_d2_P8m`Oh2?L7n0Sg1ooonPCk1OX5n`Gj1?/5l01ooo00KP;m0_
h2o@7n0_d2oooomOool00`0?ooooo`0Hool002koo`803`?oo`0300oooooo00803`;oo`803`Woo`07
04l0G`1?05lPgb3_4=l00U2_00i@_g1oP8m`Oh2?L7n0Sooo/5nPCk1OX4n`Gj1?1ooo00K@7n0_d1oP
;m0Oh2oooomOool00`0?ooooo`0Hool002ooo`803`Coo`803`Coo`803`Soo`0G05l0C`1O04lPka3O
8>m0[e2o@:n0Sg1oP8m`Oh2?L7oooj1?/5nPCj1OX4n`G`07ool01^0_d1o@;m0Oh2o@7ooooeooo`03
00oooooo01Soo`008?oo2@0?1ooo0P0?0ooo0P0?1?oo0P0?2?oo01L0C`1O04l0Ga3O8>l@ge2o@:m@
_oooP8m`Oh2?L7n0Sg1o/5nPCk1OX4n`Gj1?00Soo`06h2o@7n0_d1oP;m0OooooG_oo00<03oooool0
6?oo000aool200l2ool200l4ool200l8ool0601O04l0G`1O8>l@gb3_@:m@_d2_oom`Oh2?L7n0Sg1o
P8oook1OX5n`Gj1?/5nPG`Ooo`06d2oP;m0Oh2o@;n0_ooooG?oo0`0?6_oo000aool200l2ool200l4
ool200l8ool01`1?05l0C`1O8=lPka3O009@[`0?D;oooh2?L7n0Sg1oP8m`OoooX4n`Gj1?/5nPCk1O
00Soo`06d1oP;m0Oh2o@7n0_ooooGOoo00<03oooool06?oo000bool200l00ooo00l03`04ool200l8
ool0601O04l0G`1?8>l@gb3_@:m@_d2_oom`Oh2?L7n0Sg1oP8oook1OX4nPGj1?/5nPC`Soo`06d2o@
7n0_d1o@;m0OooooGOoo00<03oooool06?oo000bool200l00ooo00l03`04ool200l8ool02P1?05l0
C`1O4=lPka3OD;m0[e2o0_oo00e`Oh2?L7n0Sg1oP8oook1OX4n`Gj1?/5nPC`08ool01^0_d1oP;m0O
h2o@7ooooecoo`0300oooooo01Soo`00;Ooo00<03oooool00_oo0P0?00?oo`0?00l01?oo0P0?2?oo
01T0G`1?05l0Gb3_4=lPkd2_D;m0[e2ooon0Sg1oP8m`Oh2?L7oooj1O/5nPCk1OX5n`G`08ool01m0O
h2o@;n0_d1oP;m0_0?oooe_oo`0300oooooo01Soo`00;Ooo0P0?0_oo0`0?0_oo0P0?0_oo0P0?2Ooo
00L0C`1O04l0Gb3O8>l@g`02D:l0452o@:ooog1oP8m`Oh2?L7n0Sooo/5nPCk1OX4n`Gj1?2Ooo00K@
7n0_d1oP;m0Oh2oooomKool00`0?ooooo`0Hool001Ooo`803aGoo`H03`;oo`803`;oo`803`Woo`0I
05l0C`1O04lPka3O8>m0[e2o@:m@_oooP8m`Oh2?L7n0Sg1ooonPCj1OX4n`Gj1?X5l02Ooo00OP;m0O
d2o@7n0_d1o@;`3ooomJool00`0?ooooo`0Hool000ooo`<03`;oo`H03aGoo`@03`Coo`@03`[oo`0B
04l0G`1?05l@gb3_4=m@_d2_D;m0[oooL7n0Sg1oP8m`Oh2?0_oo00JPCk1OX4n`Gj1?/5l8ool01m0O
h2o@7n0_d1oP;m0O0?oooe[oo`0300oooooo01Soo`003_oo1P0?00?oo`0?ool00_oo00<03oooool0
:Ooo00/0G`1?05l0Gb3_4=lPkd2_D;m0[e2o00;oo`0=L7n0Sg1oP8m`Oh2?oon`Gj1?/5nPGk1OX4l0
2Ooo00O@;n0_d1oP;m0_h2o@7`3ooomHool200lJool000goo`0300oooooo00;oo`803`03ool03ooo
00;oo`0300oooooo02Woo`0704l0G`1?05lPgb3_4=l00U2_00Y@_d2_oooooh2?L7n0Sg1oP8m`O`;o
o`06/5nPCk1OX4n`Gj1?2Ooo00O@7n0_d1oP;m0Oh2o@7`3ooomHool00`0?ooooo`0Hool000goo`03
00oooooo00?oo`0300ooo`0?00?oo`0300oooooo02Woo`0;05l0C`1O04lPka3O8>m0[e2o@:m@_`02
ool01W1oP8m`Oh2?L7n0S`;oo`06X4n`Gj1?X5nPCk1O2Ooo00O@;m0Oh2o@7m0_d1oP;`3ooomHool0
0`0?ooooo`0Hool000goo`803`Coo`0300ooo`0?00?oo`0300oooooo02Woo`0;04l0G`1?05l@gb3_
4=m@_d2_D;m0[`02ool01X2?L7n0Sg1oP8m`O`;oo`06/5nPCk1OX4n`Gj1?2_oo00OP;m0Oh2o@7n0_
d1oP;`3ooomGool00`0?ooooo`0Hool000koo`D03`;oo`0500ooooooool03`0[ool02`1O04l0G`1O
8>l@gb3_@:m@_d2_D;l00ooo00J0Sg1oP8m`Oh2?L7l2ool01[1OX5n`Gj1?/5nPG`Woo`07d1oP;m0_
h2o@7n0_d2l0ooooEooo00<03oooool06?oo000>ool400l3ool0100?ooooo`0?;?oo00L0C`1O04l0
Gb3O8>l@g`02D:l00e2o@:ooo`02ool01W1oP8m`Oh2?L7n0S`;oo`06X4n`Gj1?/5nPCk1O2_oo00O@
7n0_d1oP;m0Oh2o@7`3ooomFool00`0?ooooo`0Hool000koo`0300oooooo00Goo`803bgoo`0<05l0
C`1O04lPka3O8>m0[e2o@:m@_d2_0_oo00J0Sg1oP8m`Oh2?L7l2ool01[1OX4nPGj1?/5nPC`_oo`07
d1o@;m0Oh2o@7m0_d1l0ooooEOoo00<03oooool06?oo000Cool200l`ool0301?05l0C`1O4=lPka3O
8>m0[e2o@:m@_`;oo`06L7n0Sg1oP8m`Oh2?0ooo00J`Gj1?/5nPCk1OX4l:ool01n0_d1oP;m0Oh2o@
7n0_0?oooeGoo`0300oooooo01Soo`003_oo0P0?0_oo100?;ooo00`0G`1?05l0Gb3_4=lPka3OD;m0
[e2o@:l2ool01X2?L7n0Sg1oP8m`O`?oo`06X5n`Gj1?/5nPGk1O2ooo00OP;m0Oh2o@;n0_d1oP;`3o
oomCool200lJool000goo`<03`03ool03ooo00;oo`0300oooooo02goo`0<04l0G`1?05lPgb3_4=lP
ge2_D;m0[e2_0ooo00J0Sg1oP8m`Oh2?L7l2ool01k1OX4n`Gj1?/5nPCk1O00[oo`07d1oP;m0Oh2o@
7n0_d1l0ooooE?oo00<03oooool06?oo000=ool01@0?oooooooo00l00ooo00<03oooool0;Ooo00`0
G`1?05l0Cb3_4=lPka3OD;m0[e2o@:l3ool01W1oP8m`Oh2?L7n0S`?oo`06X5nPCk1OX4nPGj1?2ooo
00O@7n0_d1o@;m0Oh2o@7`3ooomCool00`0?ooooo`0Hool000goo`0400oooooo00l3ool00`0?oooo
o`0^ool0301?05l0C`1O4=lPka3O8>m0[e2o@:m@_`?oo`06P8m`Oh2?L7n0Sg1o0ooo00NPCk1OX4n`
Gj1?/5nPC`0:ool01n0_d1oP;m0Oh2o@7n0_0?oooe?oo`0300oooooo01Soo`003Ooo2@0?;ooo00`0
G`1?05l0Gb3_4=lPka3OD;m0[e2o@:l4ool01X2?L7n0Sg1oP8m`O`;oo`07/5nPCk1OX5n`Gj1?/5l0
2ooo00OP;m0_h2o@7n0_d2oP;`3ooomBool00`0?ooooo`0Hool000koo`P03booo`0;04l0G`1?05lP
gb3_4=lPge2_D;m0[`02D:l3ool01W1oP8m`Oh2?L7n0S`?oo`07/5nPCk1OX4n`Gj1?/5l02ooo00OP
;m0Oh2o@7n0_d1oP;`3ooomAool00`0?ooooo`0Hool001Goo`0300oooooo02goo`0=05l0C`1O04lP
ka3O8>l@ge2o@:m@_d2_D;l00ooo00J0Sg1oP8m`Oh2?L7l3ool01j1?/5nPCj1OX4n`Gj1?00coo`07
d2o@7n0_d1o@;m0Oh2l0ooooD?oo00<03oooool06?oo000>ool00`0?ooooo`04ool00`0?ooooo`0]
ool03@1?05l0C`1O4=lPka3O8>m0[e2o@:m@_d2_00?oo`06L7n0Sg1oP8m`Oh2?1?oo00NPCk1OX4n`
Gj1?/5nPC`0;ool01m0Oh2o@7n0_d1oP;m0O0?oooe3oo`0300oooooo01Soo`002_oo0P0?0_oo200?
;ooo00d0G`1?05l0Gb3_4=lPka3OD;m0[e2o@:m@_`04ool01W1oP8m`Oh2?L7n0S`?oo`07/5nPGk1O
X4n`Gj1O/5l03?oo00O@7n0_d2oP;m0Oh2o@;`3ooom>ool200lJool000[oo`803`03ool03`0?00L0
3booo`0;04l0G`1?05lPgb3_4=lPge2_D;m0[`02D:l4ool01X2?L7n0Sg1oP8m`O`?oo`07X4n`Gj1?
/5nPCk1OX4l03Ooo00O@7n0_d1oP;m0Oh2o@7`3ooom>ool00`0?ooooo`0Hool001Goo`0300oooooo
02goo`0=05l0C`1O04lPka3O8>l@ge2o@:m@_d2_D;l01?oo00I`Oh2?L7n0Sg1oP8l4ool01j1?X5nP
Ck1OX4nPGj1?00goo`07d1o@;m0Oh2o@7m0_d1l0ooooCOoo00<03oooool06?oo0015ool03@1?05l0
C`1O4=lPka3O8>m0[e2o@:m@_d2_00Goo`06L7n0Sg1oP8m`Oh2?0ooo00N`Gj1?/5nPCk1OX4n`G`0=
ool01n0_d1oP;m0Oh2o@7n0_0?ooodgoo`0300oooooo01Soo`003_oo00<03oooool01?oo00<03ooo
ool0;Ooo00h0G`1?05l0Gb3_4=lPka3OD;m0[e2o@:m@_d2_1?oo00J0Sg1oP8m`Oh2?L7l4ool01k1O
X4n`Gj1O/5nPCk1O00goo`07h2o@7n0_d2oP;m0Oh2l0ooooC?oo00<03oooool06?oo000=ool900l_
ool02`1?05l0C`1O8=lPka3O8=m@[e2o@:l00U2_00=@_oooool00_oo00I`Oh2?L7n0Sg1oP8l4ool0
1j1?/5nPCk1OX4n`Gj1?00koo`07h2o@7n0_d1oP;m0Oh2l0ooooBooo00<03oooool06?oo000=ool9
00l_ool03P1O04l0G`1?8>l@gb3_4=lPkd2_D;m0[e2o@:l4ool01X2?L7n0Sg1oP8m`O`Goo`07X4n`
Gj1?X5nPCk1OX4l03Ooo00S@7n0_d1o@;m0Oh2o@7m0_ooooB_oo00<03oooool06?oo000>ool00`0?
ooooo`04ool00`0?ooooo`0]ool03P1?05l0C`1O4=lPka3O8>l@ge2o@:m@_d2_D;l5ool01X2?L7n0
Sg1oP8m`O`Coo`07/5nPCk1OX4n`Gj1?/5l03_oo00S@7n0_d1oP;m0Oh2o@7n0_ooooBOoo00<03ooo
ool06?oo000=ool00`0?ooooo`0eool03P1O04l0G`1O8>l@gb3_4=lPkd2_D;m0[e2o@:l5ool01W1o
P8m`Oh2?L7n0S`Goo`07/5nPGk1OX4n`Gj1O/5l03_oo00O@;n0_d1oP;m0_h2o@7`3ooom8ool200lJ
ool000goo`0300oooooo00Goo`0300oooooo02goo`0704l0G`1?05lPgb3_4=l00R3O00E@_d2_D:m@
[e2o00Goo`06P8m`Oh2?L7n0Sg1o1Ooo00NPCk1OX4n`Gj1?/5nPC`0?ool01m0Oh2o@7n0_d1oP;m0O
0?ooodSoo`0300oooooo01Soo`003Ooo2@0?;ooo00h0G`1?05l0Cb3_4=lPka3O8>m0[e2o@:m@_d2_
1_oo00J0Sg1oP8m`Oh2?L7l5ool01j1?X5nPCk1OX4nPGj1?00koo`08d2o@7n0_d1o@;m0Oh2o@7ooo
odOoo`0300oooooo01Soo`003_oo200?6?oo1P0?0_oo100?2ooo00l0C`1O04l0Ga3O8>l@gb3_4=m@
_d2_D;m0[e2o@:l01Ooo00I`Oh2?L7n0Sg1oP8l5ool01k1OX4n`Gj1?/5nPCk1O00ooo`08h2o@7n0_
d1oP;m0Oh2o@7oooodKoo`0300oooooo01Soo`005Ooo00<03oooool05ooo100?0ooo0P0?00Coo`0?
00l03`Woo`0?05l0C`1O05lPka3O8>l@gb3_@:m@_d2_D;m0[e2o00Goo`06P8m`Oh2?L7n0Sg1o1Ooo
00NPGk1OX4n`Gj1O/5nPC`0@ool02>0_d2oP;m0Oh2o@;n0_d1oooom5ool00`0?ooooo`0Hool0033o
o`803`Soo`803`Woo`0704l0G`1?05lPgb3_4=l00R3O00I@_d2_D:m@[e2o@:l6ool01X2?L7n0Sg1o
P8m`O`Goo`07X4n`Gj1?/5nPCk1OX4l04?oo00SP;m0Oh2o@7n0_d1oP;m0OooooA?oo00<03oooool0
6?oo000`ool200l9ool200l8ool03`1O04l0G`1?8>l@gb3_4=lPkd2_D;m0[e2o@:m@_`06ool01W1o
P8m`Oh2?L7n0S`Goo`07X5nPCk1OX4nPGj1?/5l04Ooo00S@;m0Oh2o@7m0_d1oP;m0Ooooo@ooo00<0
3oooool06?oo000Pool900l7ool200l9ool200l8ool03`1?05l0C`1O4=lPka3O8>l@ge2o@:m@_d2_
D;m0[`06ool01X2?L7n0Sg1oP8m`O`Koo`07/5nPCk1OX4n`Gj1?/5l04Ooo00SP;m0Oh2o@7n0_d1oP
;m0Ooooo@_oo00<03oooool06?oo000`ool200l8ool300l8ool00`1O04l0G`0205l02Q3O8>l@gb3_
@:m@_d2_D;m0[e2o1ooo00J0Sg1oP8m`Oh2?L7l5ool01j1?/5nPGk1OX4n`Gj1O01;oo`08h2o@;n0_
d1oP;m0_h2o@7oooocooo`<03a[oo`00<?oo0P0?2?oo0P0?2Ooo00L0C`1O04l0G`1?8>l@g`028=l0
1ooo@:m@[e2_D;m0[e2_00Koo`06L7n0Sg1oP8m`Oh2?1_oo00NPCk1OX4n`Gj1?/5nPC`0Bool02>0_
d1oP;m0Oh2o@7n0_d1oooom0ool00`0?ooooo`0Hool0033oo`803`Koo`@03`Woo`0@05l0C`1O04l0
Ga3O8>l@gb3_4=m@_d2_D;m0[e2o@:l6ool01X2?L7n0Sg1oP8m`O`Ooo`07X4nPGj1?/5nPCj1OX4l0
4_oo00S@;m0Oh2o@7m0_d1oP;m0Ooooo?ooo00<03oooool06?oo000`ool200l4ool400l;ool0401?
05l0C`1O04lPka3O8>l@gb3_@:m@_d2_D;m0[e2o1ooo00J0Sg1oP8m`Oh2?L7l6ool01k1OX4n`Gj1?
/5nPCk1O01?oo`08h2o@7n0_d1oP;m0Oh2o@7oooockoo`0300oooooo01Soo`002_oo3`0?5ooo0P0?
1?oo0P0?3Ooo00<0G`1?05l00P1O00/@gb3_4=lPka3OD;m0[e2o@:m@_d2_00Ooo`07L7n0Sg1oP8m`
Oh2?L7l01_oo00N`Gj1?/5nPGk1OX4n`G`0Cool02>0_d2oP;m0Oh2o@;n0_d1oooolmool00`0?oooo
o`0Hool000[oo`0300oooooo00_oo`0300oooooo01?oo`@03`Coo`803`goo`0704l0G`1?05l0Cb3_
4=l00R3O00HPkoooD:m@[e2o@:l2D:l7ool01W1oP8m`Oh2?L7n0S`Koo`07X4n`Gj1?/5nPCk1OX4l0
5?oo00SP;m0Oh2o@7n0_d1oP;m0Ooooo??oo00<03oooool06?oo000:ool00`0?ooooo`0;ool00`0?
ooooo`0Dool300l5ool500l9ool04@1O04l0G`1?05l@gb3_4=lPka3Ooom0[e2o@:m@_d2_D;l01ooo
00N0Sg1oP8m`Oh2?L7n0S`06ool01j1?/5nPCj1OX4n`Gj1?01Coo`08d2o@7n0_d1o@;m0Oh2o@7ooo
oc_oo`0300oooooo01Soo`00<?oo0P0?1Ooo1P0?2?oo0140C`1O04l0G`1?8>l@gb3_4=lPkoooD;m0
[e2o@:m@_d2_00Ooo`07L7n0Sg1oP8m`Oh2?L7l01ooo00NPCk1OX4n`Gj1?/5nPC`0Cool02=0Oh2o@
7n0_d1oP;m0Oh2oooolkool00`0?ooooo`0Hool0013oo`@03c7oo`0305l0C`1O0080G`0<4=lPka3O
8>l@gooo@:m@_d2_D;m0[e2o1ooo00N0Sg1oP8m`Oh2?L7n0S`07ool01k1OX5n`Gj1?/5nPGk1O01Co
o`08d1oP;m0_h2o@7n0_d2oP;oooocWoo`803a[oo`003_oo1`0?<?oo00L0C`1O04l0G`1?8>l@g`02
8=l01R3_oom@[e2_D;m0[`9@[`Soo`07P8m`Oh2?L7n0Sg1oP8l01ooo00N`Gj1?/5nPCk1OX4n`G`0D
ool02=0Oh2o@7n0_d1oP;m0Oh2ooooliool00`0?ooooo`0Hool000koo`0300oooooo00?oo`803boo
o`0:05l0C`1O04l0Ga3O8>l@gb3_4=l2ool01U2o@:m@_d2_D;m0[`Ooo`07L7n0Sg1oP8m`Oh2?L7l0
1ooo00NPCj1OX4n`Gj1?X5nPC`0Eool02=0Od2o@7n0_d1o@;m0Oh2oooolhool00`0?ooooo`0Hool0
00goo`0300oooooo00Goo`0300oooooo02goo`0B04l0G`1?05l0Cb3_4=lPka3O8>l@gooo@:m@_d2_
D;m0[e2o2?oo00M`Oh2?L7n0Sg1oP8m`O`07ool01j1?/5nPCk1OX4n`Gj1?01Goo`08d1oP;m0Oh2o@
7n0_d1oP;oooocOoo`0300oooooo01Soo`003Ooo00<03oooool01Ooo00<03oooool0;Ooo00<0G`1?
05l00P1O00d@gb3_4=lPka3O8>oooe2o@:m@_d2_D;m0[`08ool01h2?L7n0Sg1oP8m`Oh2?00Soo`06
X4n`Gj1O/5nPCk1O5_oo00W@7n0_d2oP;m0Oh2o@;n0_d1l0oooo=Ooo00<03oooool06?oo000;ool0
100?ooooo`0?1_oo00<03oooool0;Ooo00L0C`1O04l0G`1?8>l@g`028=l01R3_4=oooe2_D;m0[`9@
[`03D;oooooo00Ooo`07P8m`Oh2?L7n0Sg1oP8l01ooo00N`Gj1?/5nPCk1OX4n`G`0Fool02M0Oh2o@
7n0_d1oP;m0Oh2o@7`3oooldool00`0?ooooo`0Hool000_oo`/03booo`0;05l0C`1O04l0Ga3O8>l@
gb3_4=lPk`02ool01T2_D;m0[e2o@:m@_`Soo`07L7n0Sg1oP8m`Oh2?L7l02?oo00N`Gj1?X5nPCk1O
X4nPG`0Gool02=0_d1oP;m0Od2o@7n0_d1oooolcool00`0?ooooo`0Hool000[oo``03booo`0;04l0
G`1?05l0Cb3_4=lPka3O8>l@g`02ool01U2o@:m@_d2_D;m0[`Woo`07L7n0Sg1oP8m`Oh2?L7l02?oo
00N`Gj1?/5nPCk1OX4n`G`0Gool02>0_d1oP;m0Oh2o@7n0_d1oooolbool00`0?ooooo`0Hool001Go
o`0300oooooo02goo`0305l0C`1O0080G`064=lPka3O8>l@gb3_0_oo00I0[e2o@:m@_d2_D;l9ool0
1h2?L7n0Sg1oP8m`Oh2?00Soo`07X5n`Gj1?/5nPGk1OX4l06?oo00WP;m0_h2o@7n0_d2oP;m0Oh2l0
oooo;ooo0P0?6_oo000:ool00`0?ooooo`08ool00`0?ooooo`0]ool01`1?05l0C`1O04lPka3O008P
g`068>l@gooooom@_d2_0U2_00=@_d2_ool02Ooo00N0Sg1oP8m`Oh2?L7n0S`08ool01j1?/5nPCk1O
X4n`Gj1?01Soo`09h2o@7n0_d1oP;m0Oh2o@7n0_0?ooobooo`0300oooooo01Soo`002_oo00<03ooo
ool02?oo00<03oooool0;Ooo00/0G`1?05l0C`1O4=lPka3O8>l@gb3_00;oo`06@:m@_d2_D;m0[e2o
2_oo00M`Oh2?L7n0Sg1oP8m`O`09ool01j1?/5nPCj1OX4n`Gj1?01Soo`09d2o@7n0_d1o@;m0Oh2o@
7m0_0?ooobkoo`0300oooooo01Soo`002_oo300?;ooo00/0C`1O04l0G`1?8>l@gb3_4=lPka3O00?o
o`06@:m@_d2_D;m0[e2o2_oo00M`Oh2?L7n0Sg1oP8m`O`09ool01j1?/5nPCk1OX4n`Gj1?01Woo`08
d1oP;m0Oh2o@7n0_d1oP;oooobgoo`0300oooooo01Soo`002_oo300?;ooo00<0G`1?05l00P1O00Oo
ob3_4=lPka3O8>l@g`02ool01U2o@:m@_d2_D;m0[`[oo`07P8m`Oh2?L7n0Sg1oP8l02_oo00NPGk1O
X4n`Gj1O/5nPC`0Iool02M0_h2o@7n0_d2oP;m0Oh2o@;`3oool[ool00`0?ooooo`0Hool000[oo`03
00oooooo00;oo`0300oooooo00?oo`0300oooooo02goo`0704l0G`1?05l0Cooo4=l00R3O00<Pka3O
8=l00_oo00I0[e2_D:m@_d2_D:l;ool01h2?L7n0Sg1oP8m`Oh2?00Woo`07/5nPCk1OX4n`Gj1?/5l0
6_oo00W@7n0_d1oP;m0Oh2o@7n0_d1l0oooo:_oo00<03oooool06?oo000:ool00`0?ooooo`02ool0
0`0?ooooo`03ool00`0?ooooo`0]ool0301O04l0G`1?05ooob3_4=lPka3O8>l@g`;oo`06D;m0[e2o
@:m@_d2_2ooo00M`Oh2?L7n0Sg1oP8m`O`0:ool01j1OX4n`Gj1?X5nPCk1O01[oo`09d1oP;m0Od2o@
7n0_d1o@;m0O0?ooobWoo`0300oooooo01Soo`002_oo00<03oooool00_oo00<03oooool00ooo00<0
3oooool0;Ooo00`0C`1O04l0G`1?ool@gb3_4=lPka3O8>l3ool01U2o@:m@_d2_D;m0[`_oo`07L7n0
Sg1oP8m`Oh2?L7l02_oo00N`Gj1?/5nPCk1OX4n`G`0Kool02>0_d1oP;m0Oh2o@7n0_d1oooolXool0
0`0?ooooo`0Hool000[oo`803`;oo`<03`Coo`0300oooooo02goo`0305l0C`1O0080G`07oolPka3O
8>l@gb3_4=l00ooo00I0[e2o@:m@_d2_D;l;ool01h2?L7n0Sg1oP8m`Oh2?00_oo`07/5nPGk1OX4n`
Gj1O/5l06ooo00WP;m0Oh2o@;n0_d1oP;m0_h2l0oooo9Ooo0P0?6_oo000;ool400l00ooo00ooo`02
ool200l_ool01`1?05l0C`1O04oooa3O008Pg`038>l@gb3O00?oo`9@[`04D;m0[e2_D:l;ool01g1o
P8m`Oh2?L7n0Sg1o00_oo`08X4n`Gj1?/5nPCk1OX4n`Ga_oo`0:h2o@7n0_d1oP;m0Oh2o@7n0_d1oo
oolTool00`0?ooooo`0Hool000coo`803`;oo`D03c3oo`0<05l0C`1O04l0Gooo8>l@gb3_4=lPka3O
0ooo00I0[e2o@:m@_d2_D;l<ool01g1oP8m`Oh2?L7n0Sg1o00_oo`08X4nPGj1?/5nPCj1OX4n`Ga_o
o`0:h2o@7m0_d1oP;m0Od2o@7n0_d1oooolSool00`0?ooooo`0Hool0017oo`<03c7oo`0504l0G`1?
05l0C`02ool01R3_4=lPka3O8>l@g`?oo`06@:m@_d2_D;m0[e2o2ooo00R0Sg1oP8m`Oh2?L7n0Sg1o
2ooo00RPCk1OX4n`Gj1?/5nPCk1O7?oo00[@7n0_d1oP;m0Oh2o@7n0_d1oP;oooob7oo`0300oooooo
01Soo`00AOoo00<0G`1?05l00P1O0_oo00H@gb3_4=lPka3O8>l3ool01U2o@:m@_d2_D;m0[`coo`07
P8m`Oh2?L7n0Sg1oP8l03?oo00RPCk1OX5n`Gj1?/5nPGk1O6ooo00_P;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_0?ooob3oo`0300oooooo01Soo`00AOoo00D0C`1O04l0G`1?00;oo`8Pg`048>l@gb3O8=l3ool0
0e2_D;m0[`02D:l00e2oooooo`0;ool01h2?L7n0Sg1oP8m`Oh2?00coo`08X4n`Gj1?/5nPCk1OX4n`
Gacoo`0;d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`3ooolNool00`0?ooooo`0Hool000[oo`0300oooooo
00_oo`0300oooooo02[oo`0505l0C`1O04l0G`02ool01Q3O8>l@gb3_4=lPk`Coo`06@:m@_d2_D;m0
[e2o3?oo00M`Oh2?L7n0Sg1oP8m`O`0=ool02:1?X5nPCk1OX4nPGj1?/5lMool02]0_d1oP;m0Od2o@
7n0_d1o@;m0Ooooo7Ooo00<03oooool06?oo000:ool00`0?ooooo`0;ool00`0?ooooo`0Zool01@1?
05l0C`1O04l00_oo00HPka3O8>l@gb3_4=l4ool01U2o@:m@_d2_D;m0[`goo`07L7n0Sg1oP8m`Oh2?
L7l03Ooo00RPCk1OX4n`Gj1?/5nPCk1O7Ooo00_P;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_0?oooa_oo`03
00oooooo01Soo`002_oo3`0?;?oo00<0G`1?05l00P1O0_oo00H@gb3_4=lPka3O8>l4ool01T2_D;m0
[e2o@:m@_`koo`07L7n0Sg1oP8m`Oh2?L7l03Ooo00RPCk1OX5n`Gj1?/5nPGk1O7_oo00[@;n0_d1oP
;m0_h2o@7n0_d2oP;ooooaWoo`803a[oo`00AOoo00D0C`1O04l0G`1?00;oo`8Pg`048>l@gb3O8=l5
ool01T2_D:m@[e2o@:m@[`goo`07P8m`Oh2?L7n0Sg1oP8l03_oo00RPCk1OX4n`Gj1?/5nPCk1O7_oo
00_@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O0?oooaSoo`0300oooooo01Soo`00AOoo00D0G`1?05l0C`1O
00?oo`068>l@gb3_4=lPka3O1?oo00I@_d2_D;m0[e2o@:l>ool01h2?L7n0Sg1oP8m`Oh2?00koo`08
X4nPGj1?/5nPCj1OX4n`Gaooo`0:h2o@7m0_d1oP;m0Od2o@7n0_d1oooolGool00`0?ooooo`0Hool0
02koo`H03`?oo`@03`[oo`0504l0G`1?05l0C`03ool01Q3O8>l@gb3_4=lPk`Coo`06@:m@_d2_D;m0
[e2o3ooo00N0Sg1oP8m`Oh2?L7n0S`0>ool02:1?/5nPCk1OX4n`Gj1?/5lOool02n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2l0oooo5Ooo00<03oooool06?oo000_ool400l3ool200l2ool200l9ool00`1O04l0
G`0205l3ool01R3_4=lPka3O8>l@g`Goo`06@:m@_d2_D;m0[e2o3_oo00M`Oh2?L7n0Sg1oP8m`O`0>
ool02;1OX4n`Gj1O/5nPCk1OX5lQool02m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2l0oooo4ooo00<03ooo
ool06?oo000`ool200l4ool200l2ool200l9ool01@1?05l0C`1O04l00ooo00<Pgb3_4=l00R3O00<P
koooool00ooo0U2_00A@_d2_D:m@[`ooo`07L7n0Sg1oP8m`Oh2?L7l03_oo00R`Gj1?/5nPCk1OX4n`
Gj1?8Ooo00c@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2oooolAool00`0?ooooo`0Hool0033oo`803`?o
o`803`Coo`803`Soo`0505l0C`1O04l0G`03ool01R3_4=lPka3O8>l@g`Goo`06@:m@_d2_D;m0[e2o
4?oo00I`Oh2?L7n0Sg1oP8l?ool02;1OX4nPGj1?/5nPCj1OX4lRool03=0_d1oP;m0Od2o@7n0_d1o@
;m0Oh2o@7oooo`ooo`0300oooooo01Soo`008?oo2@0?1ooo0P0?0ooo0P0?1?oo0P0?2?oo00H0C`1O
04l0G`1?05l2ool01Q3O8>l@gb3_4=lPk`Goo`06D;m0[e2o@:m@_d2_4?oo00N0Sg1oP8m`Oh2?L7n0
S`0?ool02;1OX4n`Gj1?/5nPCk1OX4lRool03N0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_0?ooo`go
o`0300oooooo01Soo`00<?oo0P0?0ooo0P0?1?oo0P0?2?oo00<0G`1?05l00P1O00X0Cooooooooa3O
8>l@gb3_4=lPk`Goo`06D;m0[e2o@:m@_d2_4?oo00N0Sg1oP8m`Oh2?L7n0S`0?ool02;1OX4n`Gj1O
/5nPCk1OX5lSool03M0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_0?ooo`Woo`<03a[oo`00<?oo0P0?
0ooo0P0?1?oo0P0?2?oo00H0C`1O04l0G`1?05l3ool01R3_4=lPgb3O8>l@g`Goo`03D:m@_d2_009@
[`03D;oooooo00koo`08L7n0Sg1oP8m`Oh2?L7n0S`ooo`08/5nPCk1OX4n`Gj1?/5nPCb?oo`0>d1oP
;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;oooo`Woo`0300oooooo01Soo`00<?oo0P0?0ooo0P0?1?oo
0P0?2?oo00H0G`1?05l0C`1O04l3ool01Q3O8>l@gb3_4=lPk`Koo`06@:m@_d2_D;m0[e2o4Ooo00N0
Sg1oP8m`Oh2?L7n0S`0?ool02;1OX4nPGj1?/5nPCj1OX4lTool03^0_d1o@;m0Oh2o@7m0_d1oP;m0O
d2o@7n0_d1ooool7ool00`0?ooooo`0Hool0033oo`803`?oo`803`Coo`803`Soo`0604l0G`1?05l0
C`1O0ooo00HPka3O8>l@gb3_4=l6ool01U2o@:m@_d2_D;m0[a7oo`07L7n0Sg1oP8m`Oh2?L7l04?oo
00V`Gj1?/5nPCk1OX4n`Gj1?/5l09?oo00g@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`3oool6ool0
0`0?ooooo`0Hool0033oo`803`?oo`803`Coo`803`Soo`0305l0C`1O0080G`0:04ooooooool@gb3_
4=lPka3O8>l6ool01T2_D;m0[e2o@:m@_a;oo`07L7n0Sg1oP8m`Oh2?L7l04?oo00V`Gj1?/5nPGk1O
X4n`Gj1O/5l09Ooo00gP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;`3oool4ool00`0?ooooo`0Hool0
02koo`@03`Coo`803`;oo`803`Woo`0604l0G`1?05l0C`1O1?oo00H@gb3O8=lPka3O8=l6ool01T2_
D:m@[e2o@:m@[a;oo`07L7n0Sg1oP8m`Oh2?L7l04?oo00V`Gj1?/5nPCk1OX4n`Gj1?/5l09_oo00g@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`3oool2ool00`0?ooooo`0Hool002ooo`<03`Coo`803`;o
o`803`Woo`0605l0C`1O04l0G`1?1?oo00HPka3O8>l@gb3_4=l6ool01U2o@:m@_d2_D;m0[a?oo`07
L7n0Sg1oP8m`Oh2?L7l04?oo00Z`Gj1?X5nPCk1OX4nPGj1?/5nPCbKoo`0=h2o@7m0_d1oP;m0Od2o@
7n0_d1o@;m0Oh2l0oooo00<03oooool06?oo000`ool200l5ool400l:ool01P1?05l0C`1O04l0G`Co
o`064=lPka3O8>l@gb3_1ooo00I@_d2_D;m0[e2o@:lCool01g1oP8m`Oh2?L7n0Sg1o017oo`09X4n`
Gj1?/5nPCk1OX4n`Gj1?02Ooo`0=d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0oOoo00<03oooool0
6?oo0015ool00`1O04l0G`0205l00`1?ooooo`02ool01R3_4=lPka3O8>l@g`Ooo`06@:m@_d2_D;m0
[e2o4ooo00N0Sg1oP8m`Oh2?L7n0S`0Bool02J1?/5nPGk1OX4n`Gj1O/5nPC`0Xool03N0_d2oP;m0O
h2o@;n0_d1oP;m0_h2o@7n0_0?[oo`803a[oo`00AOoo00H0C`1O04l0G`1?05l4ool01Q3O8=lPgb3_
4=lPg`Ooo`9@[`05D;m0[e2_D:m@_`0Cool01h2?L7n0Sg1oP8m`Oh2?01;oo`0:X4n`Gj1?/5nPCk1O
X4n`Gj1?/5lXool03]0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2ohool00`0?ooooo`0Hool004Go
o`0605l0C`1O04l0G`1?1Ooo00H@gb3_4=lPka3O8>l7ool01U2o@:m@_d2_D;m0[aCoo`07P8m`Oh2?
L7n0Sg1oP8l04ooo00VPGj1?/5nPCj1OX4n`Gj1?X5l0:Ooo00kP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;m0Om_oo00<03oooool06?oo0015ool01P1?05l0C`1O04l0G`Goo`068>l@gb3_4=lPka3O1ooo
00M0[e2o@:m@_d2_D;m0[`0Dool01h2?L7n0Sg1oP8m`Oh2?01?oo`09/5nPCk1OX4n`Gj1?/5nPCk1O
02_oo`0=h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2l0m?oo00<03oooool06?oo0015ool00`1O04l0
G`0205l00`1?ooooo`03ool01Q3O8>l@gb3_4=lPk`Ooo`07D;m0[e2o@:m@_d2_D;l05Ooo00N0Sg1o
P8m`Oh2?L7n0S`0Cool02[1OX5n`Gj1?/5nPGk1OX4n`Gj1O:ooo00g@;n0_d1oP;m0_h2o@7n0_d2oP
;m0Oh2o@;`3bool00`0?ooooo`0Hool004Goo`0604l0G`1?05l0C`1O1Ooo0R3O00@Pka3O8=lPg`So
o`07D;m0[e2_D:m@_d2_D:l05?oo00Q`Oh2?L7n0Sg1oP8m`Oh2?5?oo00VPCk1OX4n`Gj1?/5nPCk1O
X4l0;?oo00kP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Okooo00<03oooool06?oo0015ool01P1O
04l0G`1?05l0C`Koo`068>l@gb3_4=lPka3O1ooo00M0[e2o@:m@_d2_D;m0[`0Eool0271oP8m`Oh2?
L7n0Sg1oP8lDool02Z1?/5nPCj1OX4n`Gj1?X5nPCk1O;?oo00o@7m0_d1oP;m0Od2o@7n0_d1o@;m0O
h2o@7m0_d1l0k?oo00<03oooool06?oo0015ool01P1?05l0C`1O04l0G`Koo`064=lPka3O8>l@gb3_
2?oo00M0[e2o@:m@_d2_D;m0[`0Eool0271oP8m`Oh2?L7n0Sg1oP8lDool02Z1?/5nPCk1OX4n`Gj1?
/5nPCk1O;_oo00k@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_j_oo00<03oooool06?oo0015ool0
0`1O04l0G`0205l00`1?ooooo`04ool01R3_4=lPka3O8>l@g`Soo`07D;m0[e2o@:m@_d2_D;l05_oo
00Q`Oh2?L7n0Sg1oP8m`Oh2?5Ooo00Z`Gj1?/5nPGk1OX4n`Gj1O/5nPCbkoo`0?h2o@7n0_d2oP;m0O
h2o@;n0_d1oP;m0_h2o@7n0_0>Koo`803a[oo`00AOoo00H0C`1O04l0G`1?05l6ool00b3O8>l@g`02
8=l00b3_ooooo`07ool2D:l01E2o@:m@[e2_D;l05_oo00Q`Oh2?L7n0Sg1oP8m`Oh2?5Ooo00^`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1O02koo`0?d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O0>Goo`03
00oooooo01Soo`00AOoo00H0G`1?05l0C`1O04l7ool01Q3O8>l@gb3_4=lPk`Soo`07@:m@_d2_D;m0
[e2o@:l05ooo00Q`Oh2?L7n0Sg1oP8m`Oh2?5Ooo00b`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4l^ool0
4=0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Oh_oo00<03oooool06?oo0015ool01P1?05l0
C`1O04l0G`Ooo`068>l@gb3_4=lPka3O2Ooo00M0[e2o@:m@_d2_D;m0[`0Gool0271oP8m`Oh2?L7n0
Sg1oP8lFool02j1?/5nPCk1OX4n`Gj1?/5nPCk1OX4l0<?oo013P;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7mooo`0300oooooo01Soo`00AOoo00<0G`1?05l00P1O00<0Coooool01Ooo00H@gb3_
4=lPka3O8>l9ool01e2o@:m@_d2_D;m0[e2o01Soo`08L7n0Sg1oP8m`Oh2?L7n0SaKoo`0<X4n`Gj1O
/5nPCk1OX5n`Gj1?/5nPGk1O<Ooo013P;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7mcoo`03
00oooooo01Soo`00AOoo00L03`1O04l0G`1?05l0C`06ool01R3_4=lPgb3O8>l@g`[oo`07D;m0[e2_
D:m@_d2_D:l06?oo00U`Oh2?L7n0Sg1oP8m`Oh2?L7l05_oo00b`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4laool04M0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0fOoo00<03oooool06?oo0015
ool01`0?04l0G`1?05l0C`1O00Ooo`068>l@gb3_4=lPka3O2_oo00M@_d2_D;m0[e2o@:m@_`0Hool0
2G1oP8m`Oh2?L7n0Sg1oP8m`O`0Fool03J1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1O03;oo`0Ad1o@
;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7`3Fool00`0?ooooo`0Hool004Goo`0700l0G`1?
05l0C`1O04l01ooo00H@gb3_4=lPka3O8>l:ool01d2_D;m0[e2o@:m@_d2_01[oo`08P8m`Oh2?L7n0
Sg1oP8m`OaOoo`0<X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O<ooo01;P;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oCool00`0?ooooo`0Hool004Goo`0300l0C`1O0080G`0304l0Gooo00Ko
o`068>l@gb3_4=lPka3O2ooo00M0[e2o@:m@_d2_D;m0[`0Jool0282?L7n0Sg1oP8m`Oh2?L7lHool0
3;1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGcCoo`0Bh2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_
d2oP;m0Ocooo0P0?6_oo0015ool01`0?05l0C`1O04l0G`1?00Soo`8Pg`048>l@gb3O8=l:ool2D:l0
1E2o@:m@[e2_D;l06ooo00V0Sg1oP8m`Oh2?L7n0Sg1oP8l06?oo00bPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5leool04^0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7lgoo`0300oooooo01So
o`00AOoo00L03`1?05l0C`1O04l0G`08ool01Q3O8>l@gb3_4=lPk`_oo`07D;m0[e2o@:m@_d2_D;l0
6ooo00V0Sg1oP8m`Oh2?L7n0Sg1oP8l06?oo00fPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPC`0fool0
4n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_0<Woo`0300oooooo01Soo`00AOoo
00L03`1O04l0G`1?05l0C`08ool01R3_4=lPka3O8>l@g`coo`06D;m0[e2o@:m@_d2_7?oo00Z0Sg1o
P8m`Oh2?L7n0Sg1oP8m`OaSoo`0=/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5l0=ooo01?P;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;`36ool00`0?ooooo`0Hool004Goo`0300l0C`1O
0080G`0304l0Gooo00Soo`068>l@gb3_4=lPka3O2ooo00M0[e2o@:m@_d2_D;m0[`0Mool02W1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?6?oo00fPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPG`0hool05>0_d1oP;m0_
h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2o2ool00`0?ooooo`0Hool004Goo`0700l0G`1?
05l0C`1O04l02Ooo00<Pgb3_4=l00R3O00<Pkoooool02_oo00E0[e2_D:m@_d2_009@[agoo`0:L7n0
Sg1oP8m`Oh2?L7n0Sg1oP8lIool03K1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O03Woo`0Dh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7kooo`0300oooooo01Soo`00AOoo00L03`1?
05l0C`1O04l0G`09ool01R3_4=lPka3O8>l@g`goo`07@:m@_d2_D;m0[e2o@:l07Ooo00]`Oh2?L7n0
Sg1oP8m`Oh2?L7n0Sg1o01Soo`0>/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCc[oo`0Eh2o@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_0;_oo`0300oooooo01Soo`00AOoo00L0
3`1O04l0G`1?05l0C`0:ool01R3_4=lPka3O8>l@g`goo`07@:m@_d2_D;m0[e2o@:l07Ooo00]`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1o01[oo`0>/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCc[oo`0Fh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1ngool00`0?ooooo`0Hool004Go
o`0300l0C`1O0080G`0304l0Gooo00Woo`064=lPka3O8>l@gb3_3Ooo00M@_d2_D;m0[e2o@:m@_`0O
ool02h2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l06ooo00f`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`G`0l
ool05]0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_/_oo0P0?6_oo0015
ool01`0?05l0C`1O04l0G`1?00[oo`068>l@gb3O8=lPka3O3_oo00M@_d2_D:m@[e2o@:m@[`0Oool0
2h2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l07?oo00fPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPC`0mool0
5m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l0[ooo00<03oooool0
6?oo0015ool01`0?04l0G`1?05l0C`1O00_oo`068>l@gb3_4=lPka3O3_oo00M@_d2_D;m0[e2o@:m@
_`0Pool02g1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7l07?oo00jPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nP
Gj1??_oo01O@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_0:_oo`03
00oooooo01Soo`00=_oo100?2ooo00L03`1O04l0G`1?05l0C`0;ool01Q3O8>l@gb3_4=lPk`ooo`07
D;m0[e2o@:m@_d2_D;l08Ooo00^0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?01coo`0?X4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?03koo`0Ih2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2l0Y_oo00<03oooool06?oo000fool200l01?oo00l03`0?2Ooo00<03ooo05l0
0P1O00<0C`1O05l02ooo00H@gb3_4=lPka3O8>l?ool01e2o@:m@_d2_D;m0[e2o027oo`0<P8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1o7?oo012`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGcooo`0I
d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2l0X_oo00<03ooo
ool06?oo000jool200l9ool0200?ool0C`1O04l0G`1?05l;ool28=l0123_4=lPgb3O3ooo00=@[e2o
@:l00U2_00=@_d2_D:l08_oo00a`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lMool03k1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`G`11ool06^0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1nMool00`0?ooooo`0Hool003_oo`803`Soo`0800ooo`1O04l0G`1?05l0
C`_oo`074=lPka3O8>l@gb3_4=l03ooo00Q0[e2o@:m@_d2_D;m0[e2o8_oo00e`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`O`0Mool04:1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1O@_oo01_@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1l0V?oo00<03ooo
ool06?oo000Yool900l9ool200l8ool0200?ool0C`1O04l0G`1?05l<ool01Q3O8>l@gb3_4=lPka3o
o`08@:m@_d2_D;m0[e2o@:m@_b?oo`0=P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l07Ooo016`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O04?oo`0Lh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1nCool00`0?ooooo`0Hool003[oo`<03`Soo`80
3`<0G`0304l0G`1O00coo`078>l@gb3_4=lPka3O8>l04?oo00Q0[e2o@:m@_d2_D;m0[e2o8ooo00j0
Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o7_oo016`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O
/5nPCk1O04Coo`0Md2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_
d2oP;m0Oh2o@;`2<ool300lJool003[oo`803`Woo`0800ooo`1?05l0C`1O04l0G`goo`078>l@gb3O
8=lPka3O8=l03ooo0U2_00M@_d2_D:m@[e2o@:m@[`0Tool03W1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8lOool04[1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCdGoo`0Md1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7`29ool00`0?oooo
o`0Hool003Soo`@03`Woo`0800ooo`1O04l0G`1?05l0C`goo`074=lPka3O8>l@gb3_4=l04?oo00U@
_d2_D;m0[e2o@:m@_d2_D;l09?oo011`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Saooo`0B
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?A_oo01o@;m0Oh2o@7m0_d1oP;m0Od2o@
7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;`23ool00`0?ooooo`0Hool0
03Koo`@03`_oo`0800ooo`1?05l0C`1O04l0G`koo`074=lPka3O8>l@gb3_4=l04Ooo00Q0[e2o@:m@
_d2_D;m0[e2o9_oo00m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7l07ooo01BPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OAooo023P;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP
;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0OOOoo00<03oooool06?oo000fool2
00l=ool00`0?ool0G`0205l00`1?05l0G`0>ool01b3_4=lPka3O8>l@gb3_01;oo`08@:m@_d2_D;m0
[e2o@:m@_bOoo`0?P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?023oo`0DX4n`Gj1O/5nPCk1O
X5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`GdWoo`0Qh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_07Ooo`0300oooooo01Soo`00=_oo
0P0?3Ooo00P03ooo04l0G`1?05l0C`1O3ooo0R3O00@Pka3O8=lPga?oo`03D:m@_d2_009@[`03D;m0
[e2_02Soo`0?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o027oo`0EX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?04[oo`0Rh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1maool00`0?ooooo`0Hool003Oo
o`D03`Woo`0900oooooo04l0G`1?05l0C`1O00koo`074=lPka3O8>l@gb3_4=l04ooo00U0[e2o@:m@
_d2_D;m0[e2o@:l0:?oo00n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l08_oo01JPCj1OX4n`
Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGd_oo`0Sd2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;`1[ool00`0?
ooooo`0Hool003Ooo`H03`Soo`0900oooooo05l0C`1O04l0G`1?00ooo`074=lPka3O8>l@gb3_4=l0
4ooo00U0[e2o@:m@_d2_D;m0[e2o@:l0:Ooo011`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sb?oo`0F/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4m<ool09N0_d1oP
;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP
;m0Oh2o@7n0_06Coo`0300oooooo01Soo`00AOoo0P0?00Coo`1O05l0C`<0Ga3oo`074=lPka3O8>l@
gb3_4=l04ooo00Y0[e2o@:m@_d2_D;m0[e2o@:m@_bWoo`0AP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0S`0Sool05k1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O
/5l0C_oo02K@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_
d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_G?oo0P0?6_oo0015ool02@0?ooooo`1O04l0G`1?05l0C`0@
ool01b3_4=lPgb3O8>l@gb3O01Coo`03D:m@_d2_009@[`05D;m0[e2_D:m@_`0[ool04H2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l09?oo01RPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5m?ool0:>0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0OEOoo00<03oooool06?oo
0015ool02@0?ooooo`1?05l0C`1O04l0G`0Aool01b3_4=lPka3O8>l@gb3_01Coo`0;@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[`0/ool04H2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l09?oo01ZP
Ck1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OD?oo02W@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_
d1o@;m0Oh2o@7m0_d1oP;m0O04koo`0300oooooo01Soo`00AOoo00T03oooool0G`1?05l0C`1O04l0
4_oo00LPka3O8>l@gb3_4=lPk`0Eool02e2o@:m@_d2_D;m0[e2o@:m@_d2_D;l0;Ooo01:0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7lTool06k1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O
X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`G`1Aool0;>0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1m5ool00`0?ooooo`0Hool004Goo`0300oooooo0080G`0404l0G`1O05lBool0213O8>l@gb3_4=lP
ka3O8>lEool0352o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[bgoo`0DL7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0SbCoo`0LX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1O
X5n`Gj1?/5nPGk1OX4n`Gj1O/5mBool0;]0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP
;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_?Ooo
00<03oooool06?oo0015ool02P0?oooooooo04l0G`1?05l0C`1O4_oo00<Pgb3_4=l00R3O00<Pka3O
8=l05_oo00E0[e2_D:m@_d2_009@[`05D;m0[e2_D:m@_`0^ool0571oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lUool07[1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCe?oo`0`d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_=?oo00<03oooool06?oo0015ool02P0?oooooooo05l0C`1O04l0G`1?4ooo00P@gb3_4=lP
ka3O8>l@gb3_5_oo00a0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;l`ool05G1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`0Uool08:1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nP
Cj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5mDool0<m0Oh2o@7m0_d1oP;m0Od2o@7n0_
d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7`0Zool00`0?ooooo`0Hool004Goo`0:00ooooooool0C`1O04l0
G`1?05lDool0213O8>l@gb3_4=lPka3O8>lGool0352o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[c7oo`0F
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lVool08J1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPC`1Fool0
=N0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@
7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2l08?oo00<03oooool0
6?oo0015ool200l2ool00`1O04l0G`0205l00`1?ooooo`0Cool01a3O8>l@gb3_4=lPka3O01Soo`0=
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;l0<_oo01Q`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lVool08Z1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`
Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OEooo03SP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_
d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_
d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_5Ooo0P0?6_oo0015ool02P0?oooooooo04l0G`1?
05l0C`1O5_oo00<Pgb3_4=l00R3O00<Pka3O8=l06?oo00=@[e2o@:l00U2_00I@_d2_D:m@[e2o@:l2
D:ldool06H2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?02Ko
o`0TX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OFOoo03_P;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1oP;m0Oh2o@7n0_00[oo`0300oooooo01Soo`00AOoo00<03oooool00_oo00H0C`1O04l0
G`1?05lEool02B3_4=lPka3O8>l@gb3_4=lPk`0Iool03U2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:leool06W1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lV
ool09j1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1O
X4n`Gj1?X5nPCk1OX4nPGj1?/5nPC`1Iool0?]0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_
d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_
d1o@;m0Oh2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2lJool004Goo`0300oooooo00;oo`0605l0C`1O
04l0G`1?5_oo00TPka3O8>l@gb3_4=lPka3O8>l06_oo00m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:l0=Ooo01a`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0SbOoo`0Y/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`G`1Jool0=M0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1l06_oo0015ool00`0?ooooo`02ool01P1?05l0G`1O04l0
GaSoo`094=lPka3O8>l@gb3_4=lPka3O01[oo`0@D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:lfool07X2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0
Sg1oP8m`ObOoo`0/X4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1O
X4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Ge_oo`0[h2o@7n0_d2oP;m0Oh2o@
;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@7n0_d2oP;m0Oh2o@;n0_d1oP;m0_h2o@
7n0_d2oP;m0Oh2l06_oo0015ool00`0?ooooo`02ool01P1O04l0G`1?05l0CaWoo`038=lPka3O008P
g`058>l@gb3O8=lPk`0Kool01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_=ooo025`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7l09_oo02n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1O05coo`0Qd1oP;m0Oh2o@7n0_
d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0Oh2o@7n0_d1oP;m0O01[oo`00
AOoo00<03oooool00ooo00H0G`1?05l0C`1O04lIool02a3O8>l@gb3_4=lPka3O8>l@gb3_4=l06ooo
0190[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;lhool08g1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7l09Ooo03BP
Ck1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nP
Cj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGe_oo`0Gd2o@7n0_d1o@;m0O
h2o@7m0_d1oP;m0Od2o@7n0_d1o@;m0Oh2o@7m0_d1oP;`0Jool004Goo`0300oooooo00?oo`0604l0
G`1?05l0C`1O6_oo00`@gb3_4=lPka3O8>l@gb3_4=lPka3O8>lKool0552o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:liool09W1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8lTool0>:1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5mLool02m0Oh2o@7n0_d1oP;m0O
h2o@7n0_d1l06_oo0015ool200l4ool305l00`1?05l0G`0Kool03A3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O01coo`0ED;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o03[oo`0Y
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`0Tool0?K1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O
/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?
/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1O05Soo`803a[oo`00AOoo00<03oooool01?oo00H0
G`1?05l0C`1O04lLool01R3_4=lPgb3O8>l@g`8Pg`058>l@gb3O8=lPk`0Mool2D:l01U2o@:m@[e2_
D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00E@_d2_D:m@[e2o03[oo`0]L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1o02?oo`12X4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OC?oo00<03oooool06?oo0015ool00`0?ooooo`04
ool01`1?05l0C`1O04l0G`1?01coo`0?8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_01goo`0J
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[c[oo`0bP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Ob7oo`19X4n`Gj1?X5nPCk1OX4nPGj1?
/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?
/5nPCj1OX4l0??oo00<03oooool06?oo0015ool00`0?ooooo`04ool01`1O04l0G`1?05l0C`1O01ko
o`0@4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>lMool07U2o@:m@_d2_D;m0[e2o@:m@_d2_
D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[c[oo`0gP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8l07_oo056PCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`
Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4l0:ooo00<03oooool06?oo0015ool00`0?ooooo`04ool205l0
1@1?05l0G`1O04l08?oo014Pka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_01koo`0P@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_c_oo`0nP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oa_oo`1JX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nP
Gk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nP
Ck1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nP
Gk1OX4n`Gj1O/5nPCk1O5ooo00<03oooool06?oo0015ool00`0?ooooo`05ool01`1?05l0C`1O04l0
G`1?027oo`038=lPka3O008Pg`068>l@gb3O8=lPka3O0R3O00LPka3O8=lPgb3_4=lPg`0Mool01U2o
@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0
[`9@[`05D;m0[e2_D:m@_`0jool0AW1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?5_oo06NPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nP
Ck1OX4n`Gj1?/5l03`0Jool004Goo`0300oooooo00Koo`0704l0G`1?05l0C`1O04l08ooo01H@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPkacoo`0[@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:l0>?oo05:0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
O`ooo`1JX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?
/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?X5nPCk1OX4nPGj1?/5nPCj1OX4n`Gj1?
X5nPCk1O6_oo0015ool00`0?ooooo`06ool0201O04l0G`1?05l0C`1O04lTool06b3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPk`0Jool0<d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[`0dool0H82?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`Goo`1=X4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?/5nPCk1OX4n`Gj1?/5nPC`0Jool004Goo`803`Soo`<0G`0604l0G`1O05l0C`1O
9_oo01l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@g`0Hool0?E2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0
[e2o@:m@_d2_D;m0[e2o02ooo`2WP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`
Oh2?L7n0Sg1oP8nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nP
Gk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`Gj1O/5nPCk1OX5n`Gj1?/5nPGk1OX4n`G`0Jool0
04Goo`0300oooooo00Soo`0905l0C`1O04l0G`1?05l0C`1O02Soo`038=lPka3O008Pg`068>l@gb3O
8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O
00<Pka3O8=l04ooo0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@
_d2_0U2_00I@_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00I@
_d2_D:m@[e2o@:l2D:l01U2o@:m@[e2_D;m0[`9@[`06D;m0[e2_D:m@_d2_0U2_00=@_d2_ool09?oo
09]`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sj1?/5nPCk1OX4n`Gj1?
/5nPCk1OX4n`Gj1?01[oo`00AOoo00<03oooool02Ooo00`0G`1?05l0C`1O04l0G`1?05l0C`1O04lW
ool0=A3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=l02Ooo06E0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_01Coo`2=P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1o
P8m`Oh2?01[oo`00=ooo100?2_oo00<03oooool02_oo0180G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04lUool0oa3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPkd2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o
@:m@_d2_D;m0[e2o@:m@_d2_P8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?
L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`Oh2?L7n0Sg1oP8m`O`00@13O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_6_oo
000fool200l2ool200l9ool00`0?ooooo`0;ool305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?
00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00P1O6Ooo0?l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lP
ka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@_d2_D;m0[e2o@:m@
_d2_D;m0[e2o@:l003/@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O01[oo`00=_oo0P0?0_oo0P0?2Ooo00<03oooool03?oo0<`0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0Cb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@
gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O
0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O
8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l2
8=l01R3_4=lPgb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lP
gb3O8>l@g`8Pg`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=l28=l01R3_4=lPgb3O8>l@g`8P
g`068>l@gb3O8=lPka3O0R3O00HPka3O8=lPgb3_4=lJool003Goo`803`Coo`803`Soo`0300oooooo
00Koo`0300oooooo00Koo`3o05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0Cb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_
4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_001b05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0
G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?6_oo000eool200l4ool200l8ool0
0`0?ooooo`06ool00`0?ooooo`07ool0o`0?04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0
C`1O4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@
gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPk`00L@0?
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O
04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l0C`1O04l0G`1?05l06_oo000eool200l4ool2
00l8oolH00l00`1O04l0G`0205l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O
05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?
05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O
00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?
00<0G`0504l0G`1O05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O
05l0C`0305l01@1?05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`0504l0G`1O05l0C`0305l01@1?
05l0G`1O04l00`1O00D0C`1O05l0G`1?00<0G`2^04l0G`1O05l0Cb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O8>l@gb3_4=lPka3O
8>l@gb3_4=lPka3O8>l@gb3_6_oo000eool200l4ool200oooonVool003Goo`803`Coo`803oooojKo
o`00=Ooo0P0?1?oo0P0?ooooY_oo000eool200l4ool200oooonVool003Koo`803`;oo`803oooojOo
o`00=_oo0P0?0_oo0P0?ooooYooo000gool400oooonXool00?ooon?oo`00oooohooo003ooooSool0
0?ooon?oo`00oooohooo003ooooSool00?ooon?oo`00oooohooo003ooooSool00?ooon?oo`00\
\>"],
  ImageRangeCache->{{{0, 480.5625}, {296.5, 0}} -> {-71.694031, -35.003433, 
  1.035069, 0.125609}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[0.3\ Sin[2\ Pi\ x/4], \ {x, \ 0, \ 8}, \ Frame -> True, \ 
      PlotRange -> {{0, 8}, {\(-1.1\), 1.1}}, \ \n\ \ \ 
      PlotStyle -> Thickness[0.015], \ 
      FrameTicks
         -> {None, \ {\(-1\), \ \(-.5\), \ 0, \ .5, \ 1}, \ None, \ None}]\)],
   "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 0.125 0.309017 0.280925 [
[ 0 0 -0.125 0 ]
[-0.0125 .02809 -12 -4.5 ]
[-0.0125 .02809 0 4.5 ]
[-0.0125 .16855 -24 -4.5 ]
[-0.0125 .16855 0 4.5 ]
[-0.0125 .30902 -6 -4.5 ]
[-0.0125 .30902 0 4.5 ]
[-0.0125 .44948 -18 -4.5 ]
[-0.0125 .44948 0 4.5 ]
[-0.0125 .58994 -6 -4.5 ]
[-0.0125 .58994 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 .02809 m
.00625 .02809 L
s
[(-1)] -0.0125 .02809 1 0 Mshowa
0 .16855 m
.00625 .16855 L
s
[(-0.5)] -0.0125 .16855 1 0 Mshowa
0 .30902 m
.00625 .30902 L
s
[(0)] -0.0125 .30902 1 0 Mshowa
0 .44948 m
.00625 .44948 L
s
[(0.5)] -0.0125 .44948 1 0 Mshowa
0 .58994 m
.00625 .58994 L
s
[(1)] -0.0125 .58994 1 0 Mshowa
0 0 m
0 .61803 L
s
0 .61803 m
1 .61803 L
s
1 0 m
1 .61803 L
s
0 .30902 m
1 .30902 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.015 w
0 .30902 m
.04057 .35014 L
.06168 .36799 L
.07286 .37584 L
.08481 .38277 L
.0906 .38554 L
.09607 .38779 L
.1014 .38962 L
.10632 .39098 L
.11098 .39199 L
.11337 .3924 L
.11593 .39275 L
.11727 .3929 L
.11849 .39301 L
.11974 .39311 L
.12089 .39318 L
.12223 .39324 L
.12294 .39327 L
.1237 .39328 L
.12441 .39329 L
.12509 .39329 L
.12636 .39328 L
.12758 .39325 L
.12889 .39319 L
.13012 .39312 L
.13125 .39303 L
.134 .39276 L
.13661 .3924 L
.1418 .39142 L
.14744 .38997 L
.15752 .38636 L
.16684 .38191 L
.18644 .3694 L
.20807 .3514 L
.25028 .30872 L
.2909 .26758 L
.31153 .25015 L
.32244 .24246 L
.3341 .23563 L
.34539 .23051 L
.35073 .22863 L
.35565 .22722 L
.3606 .22612 L
.36321 .22566 L
.36597 .22528 L
.36836 .22503 L
.36951 .22494 L
.3706 .22487 L
.37189 .2248 L
.37306 .22476 L
Mistroke
.37433 .22474 L
.3757 .22474 L
.37639 .22475 L
.37711 .22477 L
.37839 .22482 L
.37978 .22489 L
.3813 .225 L
.38403 .22528 L
.38657 .22563 L
.39132 .22651 L
.3964 .22777 L
.40233 .22966 L
.40794 .23186 L
.41844 .23699 L
.43938 .25085 L
.45874 .26725 L
.50002 .30904 L
.53972 .34935 L
.56178 .36807 L
.57144 .37491 L
.58198 .38128 L
.59158 .38597 L
.60181 .38974 L
.60748 .39126 L
.61262 .39228 L
.6151 .39264 L
.61641 .3928 L
.61779 .39295 L
.619 .39305 L
.62032 .39315 L
.62153 .39321 L
.62266 .39326 L
.62398 .39329 L
.62465 .39329 L
.62538 .39329 L
.62668 .39328 L
.62791 .39324 L
.6286 .39321 L
.62934 .39317 L
.63065 .39308 L
.63207 .39296 L
.63362 .3928 L
.63622 .39246 L
.639 .39199 L
.644 .3909 L
.64925 .38941 L
.6542 .38768 L
.66348 .38363 L
.68447 .37084 L
.70384 .35521 L
Mistroke
.74518 .31412 L
.78492 .27321 L
.80703 .25366 L
.82725 .23946 L
.83723 .23405 L
.84251 .23167 L
.84813 .2295 L
.85353 .22779 L
.85843 .22656 L
.86079 .22608 L
.86335 .22564 L
.86577 .22531 L
.86798 .22507 L
.86917 .22497 L
.87047 .22488 L
.87185 .22481 L
.87315 .22476 L
.87436 .22474 L
.87565 .22474 L
.87675 .22476 L
.87797 .2248 L
.87866 .22483 L
.87939 .22487 L
.88069 .22495 L
.88362 .22523 L
.88616 .22557 L
.88893 .22603 L
.89447 .22725 L
.90039 .22899 L
.91105 .23324 L
.92182 .23891 L
.93348 .24649 L
.95465 .26354 L
.99763 .30651 L
1 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/P800@400ooo8Ol00?oo8Ol00?oo8Ol0
0?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol001_oo`0600006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Do`030008?ooo0Ol100005_l00c`01_?o
o`7o0@0001Ko00<l00K`ool1o`40000>o`050<07o0G?ool1o`40000Fo`03?006looo0Ol100005?l0
10<01ocoo`7o0@0001Ko00<l00Kcool1o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol0
0c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l1
00006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@00
01_o00<l0?oo0_l100002Ol00``01o`5`0Olool1o`400008o`04?00;o`Poool1o`400008o`04?00;
o`Poool1o`4000001?001@l6l`Go00D3`0K`ool1o`400008o`04?008o`04?`07o?oo0Ol100002?l0
13`02?l013l01ocoo`7o0@0000Wo00<<00So00<000Poool1o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?01Ko`P0N_l9
01_o0@0001_o00<l05Oo401co`l06?l100006ol00c`0EOlD06ko500Fo`40000Ko`03?01CoaP0JolG
01Co0@0001_o00<l05;o2@08o`X0I_l:00So2P0Bo`40000Ko`03?01?o`P03ol806Co200?o`P04?l1
00006ol00c`0C_l701Co1`1Po`L05?l700oo0@0001_o00<l04go1P0Go`L0G_l701Ko1`0>o`40000K
o`03?01<o`H06Ol705co1`0Io`L03?l100006ol00c`0Bol601co1P1Jo`H07Ol600_o0@0001_o00<l
04Wo1P0Oo`L0Eol601oo1P0:o`40000Ko`03?018o`H08_l605Go1@0Ro`H02Ol100006ol00c`0Aol6
02Co1P1Bo`H09?l600So0@0001_o00<l04Ko1P0Vo`H0D?l602Oo1@07o`40000Ko`03?015o`H0:?l6
04oo1@0Yo`D01_l100006ol00c`0A?l502co1@1=o`D0:ol500Go0@0001_o00<l04?o1@0^o`D0Bol5
02go1@01`004o00001_o00<l04;o1@0`o`D0BOl502oo1@001?`0000Ko`03?011o`D0<_l504Oo1@0a
o`D000?`00006ol00c`0@?l503Co1@15o`D0<ol500700@0001_o00<l03oo1@0fo`D0@ol503Go1P00
01Go00<<00Ol?Ol503So1@11o`D0=ol500005?l00c`023llo`D0>_l503oo1@0io`04000001Co00<l
00Do00<l03_o1@0lo`D0?Ol503_o00<000005?l00c`01Coo00D0000Do`03?005?`03000io`D0@?l5
03Wo1@0oo`40000Do`03?005?`04000go`D0@Ol503So1@10o`40000Eo`063o001P0eo`D0@ol503Ko
1@11o`40000Ko`D`00<<03;o1@15o`D0=?l504;o0@0001_o1C`00`00<_l504Ko1@0bo`D0@ol10000
6ol5?`04000`o`D0B?l5033o1@14o`40000Ko`05?l0502ko1@1:o`D0;_l504Go0@0001_o00Hol005
02co1@1<o`D0;?l504Ko0@0001_o00Loo0D0:_l504ko1P0Yo`D0Aol100006ol00c`01Ol502Oo1P1@
o`H09ol504So0@0001_o00<l00Ko1P0To`H0D_l602Co1P19o`40000Ko`03?007o`H08_l605Co1P0R
o`H0B_l100006ol00c`02?l6023o1P1Fo`H08?l604_o0@0001_o00<l00Wo1`0Lo`H0F_l601co1`1<
o`40000Ko`03?00:o`L06Ol705co1`0Io`L0COl100006ol00c`03?l601Oo1`1No`L05_l704oo0@00
01_o00<l00go1`0Co`P0H?l701?o201@o`40000Ko`03?00>o`P04?l706?o2@0?o`P0DOl100006ol0
0c`04?l900Wo2P1Vo`X02Ol905?o0@0001_o00<l01;o601ZoaT0E?l100006ol00c`05?lD06ko501G
o`40000Ko`03?00Fo`l0M?l?05Wo0@0001_o00<l01Wo2@1jo`T0G?l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`400009o`033007o0G01ocoo`7o0@0000So00@l00_o23ooo`7o0@0000So00@l00_o1Cl00c`0ool1
o`400008o`04?008o`040`07o?oo0Ol100002?l013`02?l013l01ocoo`7o0@0000So00@l00So00@o
00Olool1o`400009o`033008o`030008?ooo0Ol100006ol00c`0ool2o`40000Ko`03?03oo`;o0@00
01_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol0
0c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l1
00006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`40000Ko`03?03oo`;o0@0001Co00<000Poool1o`40000Fo`03?006looo0Ol100005_l00c`01_?o
o`7o0@0001Ko00<l00K`ool1o`40000Fo`03?006looo0Ol100005?l010<01ocoo`7o0@0001Ko00<l
00Kcool1o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Kool01P00
0?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.9375, 0}} -> {-0.836761, -1.20155, 
  0.030697, 0.013659}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(dc\  = \ 
      Plot[0.3\ Sin[2\ Pi\ x/4] + 0.4, \ {x, \ 0, \ 8}, \ Frame -> True, \ 
        PlotRange -> {{0, 8}, {\(-1.1\), 1.1}}, \ \n\ \ \ 
        PlotStyle -> Thickness[0.015], \ 
        FrameTicks
           -> {None, \ {\(-1\), \ \(-.5\), \ 0, \ .5, \ 1}, \ None, \ None}]; 
    \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 0.125 0.309017 0.280925 [
[ 0 0 -0.125 0 ]
[-0.0125 .02809 -12 -4.5 ]
[-0.0125 .02809 0 4.5 ]
[-0.0125 .16855 -24 -4.5 ]
[-0.0125 .16855 0 4.5 ]
[-0.0125 .30902 -6 -4.5 ]
[-0.0125 .30902 0 4.5 ]
[-0.0125 .44948 -18 -4.5 ]
[-0.0125 .44948 0 4.5 ]
[-0.0125 .58994 -6 -4.5 ]
[-0.0125 .58994 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 .02809 m
.00625 .02809 L
s
[(-1)] -0.0125 .02809 1 0 Mshowa
0 .16855 m
.00625 .16855 L
s
[(-0.5)] -0.0125 .16855 1 0 Mshowa
0 .30902 m
.00625 .30902 L
s
[(0)] -0.0125 .30902 1 0 Mshowa
0 .44948 m
.00625 .44948 L
s
[(0.5)] -0.0125 .44948 1 0 Mshowa
0 .58994 m
.00625 .58994 L
s
[(1)] -0.0125 .58994 1 0 Mshowa
0 0 m
0 .61803 L
s
0 .61803 m
1 .61803 L
s
1 0 m
1 .61803 L
s
0 .30902 m
1 .30902 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.015 w
0 .42139 m
.04057 .46251 L
.06168 .48036 L
.07286 .48821 L
.08481 .49514 L
.0906 .49791 L
.09607 .50016 L
.1014 .50199 L
.10632 .50335 L
.11098 .50436 L
.11337 .50477 L
.11593 .50512 L
.11727 .50527 L
.11849 .50538 L
.11974 .50548 L
.12089 .50555 L
.12223 .50561 L
.12294 .50564 L
.1237 .50565 L
.12441 .50566 L
.12509 .50566 L
.12636 .50565 L
.12758 .50562 L
.12889 .50556 L
.13012 .50549 L
.13125 .5054 L
.134 .50513 L
.13661 .50477 L
.1418 .50379 L
.14744 .50234 L
.15752 .49873 L
.16684 .49428 L
.18644 .48177 L
.20807 .46377 L
.25028 .42109 L
.2909 .37995 L
.31153 .36252 L
.32244 .35483 L
.3341 .348 L
.34539 .34288 L
.35073 .341 L
.35565 .33959 L
.3606 .33849 L
.36321 .33803 L
.36597 .33765 L
.36836 .3374 L
.36951 .33731 L
.3706 .33724 L
.37189 .33717 L
.37306 .33713 L
Mistroke
.37433 .33711 L
.3757 .33711 L
.37639 .33712 L
.37711 .33714 L
.37839 .33719 L
.37978 .33726 L
.3813 .33737 L
.38403 .33765 L
.38657 .338 L
.39132 .33887 L
.3964 .34014 L
.40233 .34203 L
.40794 .34423 L
.41844 .34936 L
.43938 .36322 L
.45874 .37962 L
.50002 .42141 L
.53972 .46172 L
.56178 .48044 L
.57144 .48728 L
.58198 .49365 L
.59158 .49834 L
.60181 .50211 L
.60748 .50363 L
.61262 .50465 L
.6151 .50501 L
.61641 .50517 L
.61779 .50532 L
.619 .50542 L
.62032 .50552 L
.62153 .50558 L
.62266 .50563 L
.62398 .50566 L
.62465 .50566 L
.62538 .50566 L
.62668 .50565 L
.62791 .50561 L
.6286 .50558 L
.62934 .50554 L
.63065 .50545 L
.63207 .50533 L
.63362 .50517 L
.63622 .50483 L
.639 .50436 L
.644 .50327 L
.64925 .50178 L
.6542 .50005 L
.66348 .496 L
.68447 .48321 L
.70384 .46758 L
Mistroke
.74518 .42649 L
.78492 .38558 L
.80703 .36603 L
.82725 .35183 L
.83723 .34642 L
.84251 .34404 L
.84813 .34187 L
.85353 .34016 L
.85843 .33893 L
.86079 .33845 L
.86335 .33801 L
.86577 .33768 L
.86798 .33744 L
.86917 .33734 L
.87047 .33725 L
.87185 .33718 L
.87315 .33713 L
.87436 .33711 L
.87565 .33711 L
.87675 .33713 L
.87797 .33717 L
.87866 .3372 L
.87939 .33724 L
.88069 .33732 L
.88362 .3376 L
.88616 .33794 L
.88893 .3384 L
.89447 .33962 L
.90039 .34136 L
.91105 .34561 L
.92182 .35128 L
.93348 .35886 L
.95465 .37591 L
.99763 .41888 L
1 .42139 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/P800@400ooo8Ol00?oo8Ol00?oo8Ol0
0?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol00?oo8Ol001_oo`0600006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Do`030008?ooo0Ol100005_l00c`01_?o
o`7o0@0001Ko00<l00K`ool1o`40000>o`050<07o0G?ool1o`40000Fo`03?006looo0Ol100005?l0
10<01ocoo`7o0@0001Ko00<l00Kcool1o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol0
0c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l1
00006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@00
01_o00<l0?oo0_l100002Ol00``01o`5`0Olool1o`400008o`04?00;o`Poool1o`400008o`04?00;
o`Poool1o`4000001?001@l6l`Go00D3`0K`ool1o`400008o`04?008o`04?`07o?oo0Ol100002?l0
13`02?l013l01ocoo`7o0@0000Wo00<<00So00<000Poool1o`40000Ko`03?03oo`;o0@0001_o00<l
0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2
o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@00
01_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol0
0c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l1
00006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Eo`033007o?oo0Ol100005?l0
0c`023ooo`7o0@0001Co00<l00Poool1o`40000Do`03?005?ol01@0001Co00<l00Poool1o`40000D
o`03?008?ooo0Ol100005Ol00``01ocoo`7o0@0001_o00<l0?oo0_l100006ol00c`0GOl01000O_l5
01go0@0001_o00<l05So3P1eo`d06Ol100006ol00c`0E_lB073o4`0Fo`40000Ko`03?01DoaH0K?lF
01Go0@0001_o00<l05;o2P06o`/0Iol;00Go2`0Bo`40000Ko`03?01@o`P03_l806Co2@0=o`T04?l1
00006ol00c`0C_l801;o201Qo`L04ol700oo0@0001_o00<l04go1`0Eo`P0G_l701Ko1`0>o`40000K
o`03?01<o`L06?l705co1`0Ho`L03Ol100006ol00c`0Bol601co1P1Jo`L06ol600co0@0001_o00<l
04[o1P0No`H0F?l601oo1P0:o`40000Ko`03?019o`D08_l505Ko1P0Qo`H02Ol100006ol00c`0B?l5
02Co1@1Do`D09?l600So0@0001_o00<l04Oo1@0Vo`D0D_l502Ko1P07o`40000Ko`03?016o`D0:?l5
053o1@0Yo`D01_l100006ol00c`0AOl502[o1@1>o`D0:ol500Go0@0001_o00<l04Co1@0/o`D0C?l5
02go1@01`004o00001_o00<l04?o1@0^o`D0B_l502oo1@001?`0000Ko`03?012o`D0<?l504So1@0a
o`D000?`00006ol00c`0@Ol503;o1@16o`D0<ol500700@0001_o00<l043o1@0do`D0A?l503Go1P00
01_o00<l03oo1@0fo`D0@_l503Oo1@0001_o00<l03ko1@0ho`D0@?l503Wo00@000006ol00``0?Ol5
03[o1@0no`D0>ol00`00000Ko`03000lo`D0??l503co1@0mo`400@0001_o00@003[o1@0no`D0>_l5
03ko0@0100006ol503So1@10o`D0>?l5043o0@0001_o1P0fo`D0@_l503Ko1@11o`40000Ko`D`00<<
03?o1@14o`D0=?l504;o0@0000Wo00<<00Ol1L06o0D0<_l504Ko1@0bo`D0@ol100002?l013`02ol9
?`04000`o`D0B?l5033o1@14o`400008o`04?00;o`Do1Cl01000;_l504[o1@0^o`D0AOl100002?l0
13`02?l010<01o`01o00;?l504co1@0/o`D0A_l100002?l013`02?l013l01o`00o`01@0Zo`D0C_l5
02[o1@17o`400008o`04?008o`04?`07o004o`0502So1@1@o`D0:?l504So0@0000Wo00<<00So00<0
00Po1Ol502Go1P1Bo`H09Ol504Wo0@0001_o00<l00Oo1P0Ro`H0E?l602;o1P1:o`40000Ko`03?008
o`H08?l605Ko1P0Po`H0Bol100006ol00c`02Ol601go1`1Ho`H07_l604co0@0001_o00<l00[o1`0J
o`L0F_l701[o1`1=o`40000Ko`03?00;o`L05ol705ko1`0Fo`P0C_l100006ol00c`03?l701Go1`1P
o`L05?l7053o0@0001_o00<l00ko1`0Ao`P0H_l8013o201Ao`40000Ko`03?00@o`P02ol906Go2@0<
o`T0D_l100006ol00c`04_lI06So6P1Do`40000Ko`03?00CoaD0K_lE05Ko0@0001_o00<l01Go4@1b
oa40F?l100006ol00c`06?l;07So2`1Ko`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol0
0c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03o
o`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l1
00006ol00c`0ool2o`40000Ko`03?03oo`;o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000K
o`03?03oo`;o0@0001_o00<l0?oo0_l100005?l00`0023ooo`7o0@0001Ko00<l00Kcool1o`40000F
o`03?006looo0Ol100005_l00c`01_3oo`7o0@0001Ko00<l00Kcool1o`40000Do`040`07o?oo0Ol1
00005_l00c`01_?oo`7o0@0001_o00<l0?oo0_l100006ol00c`0ool2o`40000Ko`03?03oo`;o0@00
01_oo`060000oolQo`00oolQo`00oolQo`00oolQo`00oolQo`00oolQo`00oolQo`00oolQo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.9375, 0}} -> {-0.836761, -1.20155, 
  0.030697, 0.013659}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(g\  = \ 
      Graphics[{Dashing[{0.01, \ 0.025}], \ Thickness[0.012], \n\ \ \ \ \ \ 
          RGBColor[0.3, \ 0.3, \ 0.3], \n\ \ \ \ \ \ \ 
          Line[{{0, 0.4}, \ {8, 0.4}}]\ }]; \)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[dc, \ g, \ dc]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 0.125 0.309017 0.280925 [
[ 0 0 -0.125 0 ]
[-0.0125 .02809 -12 -4.5 ]
[-0.0125 .02809 0 4.5 ]
[-0.0125 .16855 -24 -4.5 ]
[-0.0125 .16855 0 4.5 ]
[-0.0125 .30902 -6 -4.5 ]
[-0.0125 .30902 0 4.5 ]
[-0.0125 .44948 -18 -4.5 ]
[-0.0125 .44948 0 4.5 ]
[-0.0125 .58994 -6 -4.5 ]
[-0.0125 .58994 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 .02809 m
.00625 .02809 L
s
[(-1)] -0.0125 .02809 1 0 Mshowa
0 .16855 m
.00625 .16855 L
s
[(-0.5)] -0.0125 .16855 1 0 Mshowa
0 .30902 m
.00625 .30902 L
s
[(0)] -0.0125 .30902 1 0 Mshowa
0 .44948 m
.00625 .44948 L
s
[(0.5)] -0.0125 .44948 1 0 Mshowa
0 .58994 m
.00625 .58994 L
s
[(1)] -0.0125 .58994 1 0 Mshowa
0 0 m
0 .61803 L
s
0 .61803 m
1 .61803 L
s
1 0 m
1 .61803 L
s
0 .30902 m
1 .30902 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.015 w
0 .42139 m
.04057 .46251 L
.06168 .48036 L
.07286 .48821 L
.08481 .49514 L
.0906 .49791 L
.09607 .50016 L
.1014 .50199 L
.10632 .50335 L
.11098 .50436 L
.11337 .50477 L
.11593 .50512 L
.11727 .50527 L
.11849 .50538 L
.11974 .50548 L
.12089 .50555 L
.12223 .50561 L
.12294 .50564 L
.1237 .50565 L
.12441 .50566 L
.12509 .50566 L
.12636 .50565 L
.12758 .50562 L
.12889 .50556 L
.13012 .50549 L
.13125 .5054 L
.134 .50513 L
.13661 .50477 L
.1418 .50379 L
.14744 .50234 L
.15752 .49873 L
.16684 .49428 L
.18644 .48177 L
.20807 .46377 L
.25028 .42109 L
.2909 .37995 L
.31153 .36252 L
.32244 .35483 L
.3341 .348 L
.34539 .34288 L
.35073 .341 L
.35565 .33959 L
.3606 .33849 L
.36321 .33803 L
.36597 .33765 L
.36836 .3374 L
.36951 .33731 L
.3706 .33724 L
.37189 .33717 L
.37306 .33713 L
Mistroke
.37433 .33711 L
.3757 .33711 L
.37639 .33712 L
.37711 .33714 L
.37839 .33719 L
.37978 .33726 L
.3813 .33737 L
.38403 .33765 L
.38657 .338 L
.39132 .33887 L
.3964 .34014 L
.40233 .34203 L
.40794 .34423 L
.41844 .34936 L
.43938 .36322 L
.45874 .37962 L
.50002 .42141 L
.53972 .46172 L
.56178 .48044 L
.57144 .48728 L
.58198 .49365 L
.59158 .49834 L
.60181 .50211 L
.60748 .50363 L
.61262 .50465 L
.6151 .50501 L
.61641 .50517 L
.61779 .50532 L
.619 .50542 L
.62032 .50552 L
.62153 .50558 L
.62266 .50563 L
.62398 .50566 L
.62465 .50566 L
.62538 .50566 L
.62668 .50565 L
.62791 .50561 L
.6286 .50558 L
.62934 .50554 L
.63065 .50545 L
.63207 .50533 L
.63362 .50517 L
.63622 .50483 L
.639 .50436 L
.644 .50327 L
.64925 .50178 L
.6542 .50005 L
.66348 .496 L
.68447 .48321 L
.70384 .46758 L
Mistroke
.74518 .42649 L
.78492 .38558 L
.80703 .36603 L
.82725 .35183 L
.83723 .34642 L
.84251 .34404 L
.84813 .34187 L
.85353 .34016 L
.85843 .33893 L
.86079 .33845 L
.86335 .33801 L
.86577 .33768 L
.86798 .33744 L
.86917 .33734 L
.87047 .33725 L
.87185 .33718 L
.87315 .33713 L
.87436 .33711 L
.87565 .33711 L
.87675 .33713 L
.87797 .33717 L
.87866 .3372 L
.87939 .33724 L
.88069 .33732 L
.88362 .3376 L
.88616 .33794 L
.88893 .3384 L
.89447 .33962 L
.90039 .34136 L
.91105 .34561 L
.92182 .35128 L
.93348 .35886 L
.95465 .37591 L
.99763 .41888 L
1 .42139 L
Mfstroke
.3 .3 .3 r
.012 w
[ .01 .025 ] 0 setdash
0 .42139 m
1 .42139 L
s
0 g
.015 w
[ ] 0 setdash
0 .42139 m
.04057 .46251 L
.06168 .48036 L
.07286 .48821 L
.08481 .49514 L
.0906 .49791 L
.09607 .50016 L
.1014 .50199 L
.10632 .50335 L
.11098 .50436 L
.11337 .50477 L
.11593 .50512 L
.11727 .50527 L
.11849 .50538 L
.11974 .50548 L
.12089 .50555 L
.12223 .50561 L
.12294 .50564 L
.1237 .50565 L
.12441 .50566 L
.12509 .50566 L
.12636 .50565 L
.12758 .50562 L
.12889 .50556 L
.13012 .50549 L
.13125 .5054 L
.134 .50513 L
.13661 .50477 L
.1418 .50379 L
.14744 .50234 L
.15752 .49873 L
.16684 .49428 L
.18644 .48177 L
.20807 .46377 L
.25028 .42109 L
.2909 .37995 L
.31153 .36252 L
.32244 .35483 L
.3341 .348 L
.34539 .34288 L
.35073 .341 L
.35565 .33959 L
.3606 .33849 L
.36321 .33803 L
.36597 .33765 L
.36836 .3374 L
.36951 .33731 L
.3706 .33724 L
.37189 .33717 L
.37306 .33713 L
Mistroke
.37433 .33711 L
.3757 .33711 L
.37639 .33712 L
.37711 .33714 L
.37839 .33719 L
.37978 .33726 L
.3813 .33737 L
.38403 .33765 L
.38657 .338 L
.39132 .33887 L
.3964 .34014 L
.40233 .34203 L
.40794 .34423 L
.41844 .34936 L
.43938 .36322 L
.45874 .37962 L
.50002 .42141 L
.53972 .46172 L
.56178 .48044 L
.57144 .48728 L
.58198 .49365 L
.59158 .49834 L
.60181 .50211 L
.60748 .50363 L
.61262 .50465 L
.6151 .50501 L
.61641 .50517 L
.61779 .50532 L
.619 .50542 L
.62032 .50552 L
.62153 .50558 L
.62266 .50563 L
.62398 .50566 L
.62465 .50566 L
.62538 .50566 L
.62668 .50565 L
.62791 .50561 L
.6286 .50558 L
.62934 .50554 L
.63065 .50545 L
.63207 .50533 L
.63362 .50517 L
.63622 .50483 L
.639 .50436 L
.644 .50327 L
.64925 .50178 L
.6542 .50005 L
.66348 .496 L
.68447 .48321 L
.70384 .46758 L
Mistroke
.74518 .42649 L
.78492 .38558 L
.80703 .36603 L
.82725 .35183 L
.83723 .34642 L
.84251 .34404 L
.84813 .34187 L
.85353 .34016 L
.85843 .33893 L
.86079 .33845 L
.86335 .33801 L
.86577 .33768 L
.86798 .33744 L
.86917 .33734 L
.87047 .33725 L
.87185 .33718 L
.87315 .33713 L
.87436 .33711 L
.87565 .33711 L
.87675 .33713 L
.87797 .33717 L
.87866 .3372 L
.87939 .33724 L
.88069 .33732 L
.88362 .3376 L
.88616 .33794 L
.88893 .3384 L
.89447 .33962 L
.90039 .34136 L
.91105 .34561 L
.92182 .35128 L
.93348 .35886 L
.95465 .37591 L
.99763 .41888 L
1 .42139 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/Q000`40l00?003`oooo8Ooo003ooolQ
ool00?ooob7oo`00oooo8Ooo003ooolQool00?ooob7oo`00oooo8Ooo003ooolQool001_oool03`H0
3`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo
0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Dool400l3ool00`0?ooooo`3oool2ool1
00l001Koo`0300oooooo00;oo`0300oooooo0?ooo`;oo`403`005_oo00<03oooool00_oo0P0?oooo
0ooo0@0?000>ool400l4ool00`0?ooooo`02ool00`0?ooooo`3oool2ool100l001Koo`0300oooooo
00;oo`0300oooooo0?ooo`;oo`403`005?oo0`0?1?oo00<03oooool0oooo0_oo0@0?000Fool00`0?
ooooo`02ool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03ooo
ool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`00
6ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?oo
o`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`03
00oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool1
00l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?oooo
o`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000K
ool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo
0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<0
3oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`40
3`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo
0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?0009ool200l4ool00`0?ooooo`02ool300l4
ool00`0?ooooo`3oool2ool100l000Soo`0400oooooo00l;ool01@0?oooooooo00l0oooo1?oo0@0?
0008ool0100?ooooo`0?2ooo00D03oooooooo`0?0?ooo`Coo`403`000_oo100?0_oo00@03oooool0
3`Soo`<03`Coo`803oooo`?oo`403`002?oo00@03oooool03`Soo`0300oooooo00Coo`0300oooooo
0?ooo`;oo`403`002?oo00@03oooool03`Soo`0300oooooo00Coo`0300oooooo0?ooo`;oo`403`00
2Ooo0P0?2Ooo100?0ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_o
o`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2
ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?
ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?
000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0
oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo
00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;o
o`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oo
oooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l0
01_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3o
ool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool0
0`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo
0@0?000Eool200l4ool00`0?ooooo`3oool2ool100l001Coo`0400oooooo00l3ool00`0?ooooo`3o
ool2ool100l001Coo`0400oooooo00l3ool00`0?ooooo`3oool2ool100l001Coo`0400oooooo00l3
oooo00l600l001Coo`0400oooooo00l3ool00`0?ooooo`3oool2ool100l001Coo`0400oooooo00l3
ool00`0?ooooo`3oool2ool100l001Goo`803`Coo`0300oooooo0?ooo`;oo`403`006ooo00<03ooo
ool0oooo0_oo0@0?000Kool00`0?ooooo`1Mool400mnool500lMool100l001_oo`0300oooooo05So
o`h03gGoo`d03aWoo`403`006ooo00<03oooool0E_oo4P0?L?oo4`0?5_oo0@0?000Kool00`0?oooo
o`1DoolF00m/oolF00lEool100l001_oo`0300oooooo05;oo`X03`Koo`/03fOoo`/03`Goo`/03a;o
o`403`006ooo00<03oooool0D?oo200?3_oo200?I?oo2@0?3Ooo2@0?4?oo0@0?000Kool00`0?oooo
o`1>ool800lBool800mQool700lCool700l?ool100l001_oo`0300oooooo04goo`L03aGoo`P03eko
o`L03aKoo`L03`koo`403`006ooo00<03oooool0C?oo1`0?6?oo1`0?G?oo1`0?6?oo1`0?3Ooo0@0?
000Kool00`0?ooooo`1;ool600lLool600mJool700lKool600l<ool100l001_oo`0300oooooo04[o
o`H03akoo`H03eSoo`H03aooo`H03`[oo`403`006ooo00<03oooool0BOoo1@0?8_oo1@0?E_oo1P0?
8Ooo1P0?2Ooo0@0?000Kool00`0?ooooo`18ool500lTool500mDool500lTool600l8ool100l001_o
o`0300oooooo04Ooo`D03bKoo`D03e;oo`D03bKoo`H03`Ooo`403`006ooo00<03oooool0A_oo1@0?
:?oo1@0?D?oo1@0?:Ooo1@0?1_oo0@0?000Kool00`0?ooooo`15ool500lZool500m>ool500l[ool5
00l5ool100l001_oo`0300oooooo04Coo`D03bcoo`D03dcoo`D03bgoo`D03`Coo`403`006ooo00<0
3oooool0@ooo1@0?;_oo1@0?B_oo1@0?;ooo1@0?0ooo0@0?000Kool00`0?ooooo`12ool500l`ool5
00m8ool500laool500l2ool100l001_oo`0300oooooo047oo`D03c;oo`D03dKoo`D03c?oo`D03`7o
o`403`006ooo00<03oooool0@?oo1@0?=?oo1@0?A?oo1@0?=Ooo1P0?000Kool00`0?ooooo`0oool5
00lfool500m2ool500lgool500l001_oo`0300oooooo03koo`D03cSoo`D03d3oo`D03cWoo`@03`00
6ooo0P0?00=ECoooool01?oo00=DGeE?E5l01_oo00AECeAOADmDG`Goo`04E5m5CeAOEDl5ool014E?
E5mECeAO1Ooo00ADGeE?E5m5C`Goo`04EDmDGdE?E5l6ool500l4ool00eAOEDmDG`06ool00eE?E5m5
C`06ool015AOADmDGeE?1Ooo00A5CeAOEDmDG`Goo`04E5mECeAOADl5ool015E?E5m5CeAO1Ooo1@0?
1Ooo00=DGeE?E5l01_oo00=ECeAOADl01_oo00=DGdE?E5l01_oo00A5CeAOEDmDG`Goo`04E5mECeAO
ADl5ool015E?E5m5CeAO1Ooo00=DGdE?E5l01@0?00GoodE?E5mECeAO00Koo`03EDmDGdE?00Koo`03
E5m5CeAO00Koo`03ADmDGeE?00Koo`04E5mECeAOADl5ool015E?E5m5CeAO1Ooo00=DGdE?E5l00`0?
000Kool300l00dE?ooooo`02ool01EEOADmDGdE?EEl01?oo00I5CeAOADmEGdE?E5l3ool01UAOADmE
GdE?E5m5C`?oo`06ADmEGdE?E5m5CeEO0ooo00IEGdE?E5m5CeEOADl3ool01TE?E5m5CeEOADmDG`Co
o`D03`Coo`05EEm5CeAOADmEG`04ool01DE?E5m5CeEOADl01?oo00IDGdE?EEm5CeAOADl3ool01TE?
EEm5CeAOADmEG`?oo`06EEm5CeAOADmEGdE?0ooo00I5CeAOADmEGdE?E5l3ool00eAOADl03`0400l3
ool01EEOADmDGdE?EEl01?oo00E5CeAOADmEGdE?00Coo`05E5m5CeEOADmDG`04ool01TE?EEm5CeAO
ADmEG`?oo`06EEm5CeAOADmEGdE?0ooo00I5CeAOADmEGdE?E5l3ool00eAOADmEG`0500l01oooADmE
GdE?E5m5CeEO00Coo`05ADmDGdE?EEm5C`04ool01EAOADmEGdE?E5l01?oo00E5CeEOADmDGdE?00Co
o`06EEm5CeAOADmEGdE?0ooo00I5CeAOADmEGdE?E5l3ool01EAOADmEGdE?E5l00P0?000Kool400l5
ool00eAOADmDG`06ool014E?E5m5CeAO1Ooo00ADGdE?E5m5C`Goo`04ADmDGdE?E5l5ool015AOADmD
GdE?1Ooo00A5CeAOADmDG`Coo`D03`Koo`03E5m5CeAO00Koo`03ADmDGdE?00Koo`04E5m5CeAOADl5
ool014E?E5m5CeAO1Ooo00ADGdE?E5m5C`Goo`04ADmDGdE?E5l5ool00eAOADl03`0400l3ool00eAO
ADmDG`06ool00dE?E5m5C`06ool00eAOADmDG`06ool014E?E5m5CeAO1Ooo00ADGdE?E5m5C`Goo`04
ADmDGdE?E5l5ool00eAO00l03`0300l3ool014E?E5m5CeAO1_oo00=5CeAOADl01_oo00=DGdE?E5l0
1_oo00=5CeAOADl01_oo00ADGdE?E5m5C`Goo`04ADmDGdE?E5l5ool015AOADmDGdE?0P0?000Kool5
00lhool500m0ool500lhool500m0ool100l001_oo`H03cKoo`D03d;oo`D03cKoo`D03d7oo`403`00
6ooo00<03ooo00l0100?=?oo1@0?A?oo1@0?=?oo1@0?@_oo0@0?0009ool200l4ool00`0?ooooo`02
ool300l4ool00`0?ooooo`0500lbool500m6ool500lbool500m3ool100l000Soo`0400oooooo00l;
ool01@0?oooooooo00l00ooo1@0?<?oo1@0?B?oo1@0?<?oo1@0?A?oo0@0?0008ool0100?ooooo`0?
2ooo00@03oooooooo`803`?oo`D03bkoo`D03d[oo`D03bkoo`D03dGoo`403`002?oo00@03oooool0
3`Soo`<03`Coo`0300oooooo00?oo`D03bcoo`D03dcoo`D03bcoo`D03dKoo`403`002?oo00@03ooo
ool03`Soo`0300oooooo00Coo`0300oooooo00Coo`D03b[oo`D03dkoo`D03b[oo`D03dOoo`403`00
2?oo00@03oooool03`Soo`0300oooooo00Coo`0300oooooo00Goo`D03bSoo`D03e3oo`D03bSoo`D0
3dSoo`403`002Ooo0P0?2Ooo100?0ooo00<03oooool01_oo1@0?9Ooo1P0?D_oo1P0?9Ooo1@0?BOoo
0@0?000Kool00`0?ooooo`07ool600lRool600mDool600lRool600m:ool100l001_oo`0300oooooo
00Soo`H03b3oo`H03eKoo`H03b3oo`H03d_oo`403`006ooo00<03oooool02Ooo1P0?7Ooo1`0?F?oo
1P0?7_oo1P0?C?oo0@0?000Kool00`0?ooooo`0:ool700lJool700mJool700lJool700m=ool100l0
01_oo`0300oooooo00_oo`L03aOoo`L03ekoo`L03aKoo`P03dkoo`403`006ooo00<03oooool03?oo
1`0?5Ooo1`0?H?oo1`0?5?oo1`0?D?oo0@0?000Kool00`0?ooooo`0>ool700lAool800mRool800l@
ool800mAool100l001_oo`0300oooooo013oo`P03`_oo`T03fGoo`T03`coo`T03e;oo`403`006ooo
00<03oooool04_oo6@0?J?oo6P0?E?oo0@0?000Kool00`0?ooooo`0CoolE00m^oolE00mFool100l0
01_oo`0300oooooo01Gooa403g;ooa403eSoo`403`006ooo00<03oooool06?oo2`0?N?oo2`0?Fooo
0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03ooo
ool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`00
6ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?oo
o`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`03
00oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool1
00l001_oo`0300oooooo0?ooo`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Kool00`0?oooo
o`3oool2ool100l001_oo`0300oooooo0?ooo`;oo`403`005?oo100?0ooo00<03oooool0oooo0_oo
0@0?000Fool00`0?ooooo`02ool00`0?ooooo`3oool2ool100l001Koo`0300oooooo00;oo`0300oo
oooo0?ooo`;oo`403`005_oo00<03oooool00_oo0P0?oooo0ooo0@0?000Fool00`0?ooooo`02ool0
0`0?ooooo`3oool2ool100l001Coo`<03`Coo`0300oooooo0?ooo`;oo`403`005_oo00<03oooool0
0_oo00<03oooool0oooo0_oo0@0?000Kool00`0?ooooo`3oool2ool100l001_oo`0300oooooo0?oo
o`;oo`403`006ooo00<03oooool0oooo0_oo0@0?000Koooo00l600l00?ooob7oo`00oooo8Ooo003o
oolQool00?ooob7oo`00oooo8Ooo003ooolQool00?ooob7oo`00oooo8Ooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.9375, 0}} -> {-0.836761, -1.20155, 
  0.030697, 0.013659}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]]
},
FrontEndVersion->"NeXT 3.0",
ScreenRectangle->{{0, 1213}, {0, 1024}},
WindowSize->{573, 870},
WindowMargins->{{Automatic, 81}, {Automatic, 4}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 83, 1, 24, "Input"],

Cell[CellGroupData[{
Cell[1817, 54, 64, 1, 24, "Input"],
Cell[1884, 57, 92, 1, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2013, 63, 478, 8, 94, "Input"],
Cell[2494, 73, 47481, 1400, 271, 19178, 1046, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50012, 1478, 514, 10, 94, "Input"],
Cell[50529, 1490, 47479, 1391, 271, 19006, 1035, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[98045, 2886, 514, 10, 94, "Input"],
Cell[98562, 2898, 48055, 1400, 271, 19039, 1037, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[146654, 4303, 514, 10, 94, "Input"],
Cell[147171, 4315, 48135, 1403, 271, 19083, 1040, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[195343, 5723, 514, 10, 94, "Input"],
Cell[195860, 5735, 47562, 1401, 271, 19178, 1046, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[243459, 7141, 515, 10, 94, "Input"],
Cell[243977, 7153, 46558, 1394, 271, 19292, 1053, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[290572, 8552, 515, 10, 94, "Input"],
Cell[291090, 8564, 43830, 1363, 271, 19342, 1056, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[334957, 9932, 98, 2, 25, "Input"],
Cell[335058, 9936, 86766, 2049, 306, 22125, 1247, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[421861, 11990, 288, 6, 65, "Input"],
Cell[422152, 11998, 7886, 284, 186, 3443, 225, "GraphicsData", 
"PostScript", "Graphics"],
Cell[430041, 12284, 130, 3, 24, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[430208, 12292, 326, 7, 65, "Input"],
Cell[430537, 12301, 7894, 284, 186, 3443, 225, "GraphicsData", 
"PostScript", "Graphics"],
Cell[438434, 12587, 130, 3, 24, "Output"]
}, Open  ]],
Cell[438579, 12593, 223, 4, 51, "Input"],

Cell[CellGroupData[{
Cell[438827, 12601, 52, 1, 25, "Input"],
Cell[438882, 12604, 14407, 484, 186, 5675, 372, "GraphicsData", 
"PostScript", "Graphics"],
Cell[453292, 13090, 130, 3, 24, "Output"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

